dpdk-signed (20.11.2+2vyatta4+signed) unstable; urgency=medium
 
  * Sign version 20.11.2-2vyatta4
 
 -- OBS signing service <obssign@obs.service>  Sun, 10 Oct 2021 12:22:31 -0400
 
dpdk (20.11.2-2vyatta4) unstable; urgency=medium

  [ Sameer Agrawal ]
  * Revert commit c278f2836b54fcb218694754922f79194c920546 introduced in
    20.11.1 that breaks mlx driver in azure. VRVDR-56213

 -- Charles (Chas) Williams <ciwillia@vyatta.att-mail.com>  Sun, 10 Oct 2021 12:22:31 -0400

dpdk (20.11.2-2vyatta3) unstable; urgency=medium

  [ Sameer Agrawal ]
  * Bring mlx5 patches from dpdk 20.11.3 in 20.11.2 to address driver link
    status related issues and for better stability. Fixes VRVDR-52880.

 -- Charles (Chas) Williams <ciwillia@vyatta.att-mail.com>  Wed, 15 Sep 2021 18:46:07 -0400

dpdk (20.11.2-2vyatta2) unstable; urgency=medium

  [ Daniel Gollub ]
  * rte-acl: avoid non-RCU safe reset of RT structure

 -- Charles (Chas) Williams <ciwillia@vyatta.att-mail.com>  Tue, 24 Aug 2021 10:00:52 -0400

dpdk (20.11.2-2vyatta1) unstable; urgency=medium

  [ Dmitry Kozlyuk ]
  * eal/windows: fix build with MinGW-w64 8
  * bus/pci: fix build with MinGW-w64 8

  [ Nick Connolly ]
  * eal/windows: fix debug build with MinGW
  * eal/windows: fix vfprintf warning with clang

  [ John McNamara ]
  * license: add licenses for exception cases

  [ Vladimir Medvedkin ]
  * rib: fix insertion in some cases

  [ Dmitry Kozlyuk ]
  * bus/pci: fix hardware ID limit on Windows

  [ Tal Shnaiderman ]
  * bus/pci: ignore missing NUMA node on Windows

  [ Olivier Matz ]
  * build: fix plugin load on static build

  [ Wisam Jaddo ]
  * app/flow-perf: simplify objects initialization

  [ Guy Kaneti ]
  * regex/octeontx2: fix PCI table overflow

  [ Ferruh Yigit ]
  * app/procinfo: fix _filters stats reporting
  * app/procinfo: fix check on xstats-ids
  * app/procinfo: remove useless memset
  * app/procinfo: remove useless assignment
  * net/pcap: remove local variable shadowing outer one
  * net/bonding: remove local variable shadowing outer one
  * net/af_xdp: remove useless assignment
  * net/bnxt: remove redundant return
  * app/crypto-perf: remove always true condition
  * net/avp: remove always true condition

  [ Yunjian Wang ]
  * eal/linux: fix handling of error events from epoll

  [ Ashish Sadanandan ]
  * mbuf: add C++ include guard for dynamic fields header

  [ Gaetan Rivet ]
  * net/bonding: fix port id validity check on parsing

  [ Huisong Li ]
  * app/testpmd: fix queue stats mapping configuration

  [ Ivan Malov ]
  * common/sfc_efx/base: remove warnings about inline specifiers
  * common/sfc_efx/base: fix signed/unsigned mismatch warnings
  * common/sfc_efx/base: support alternative MAE match fields

  [ Andrew Boyer ]
  * net/ionic: do minor logging fixups

  [ Viacheslav Ovsiienko ]
  * net/mlx5: fix Verbs memory allocation callback

  [ Dekel Peled ]
  * net/mlx5: fix shared age action validation

  [ Yunjian Wang ]
  * net/bnxt: fix memory leak when mapping fails

  [ Lance Richardson ]
  * net/bnxt: disable end of packet padding for Rx

  [ Min Hu (Connor) ]
  * net/hns3: fix FEC state query

  [ Murphy Yang ]
  * net/ice: fix outer UDP Tx checksum offload
  * net/i40e: fix L4 checksum flag

  [ Beilei Xing ]
  * net/i40e: fix global register recovery

  [ Alvin Zhang ]
  * net/ixgbe: detect failed VF MTU set

  [ Samik Gupta ]
  * net/bnxt: fix Rx rings in RSS redirection table
  * net/bnxt: fix VNIC config on Rx queue stop

  [ Kalesh AP ]
  * net/bnxt: release HWRM lock in error
  * net/bnxt: propagate FW command failure to application

  [ Ajit Khaparde ]
  * net/bnxt: fix cleanup on mutex init failure
  * net/bnxt: fix format specifier for unsigned int

  [ Sriharsha Basavapatna ]
  * net/bnxt: fix max rings computation

  [ Ajit Khaparde ]
  * net/bnxt: fix freeing mbuf

  [ Kalesh AP ]
  * net/bnxt: fix VNIC RSS configure function

  [ Somnath Kotur ]
  * net/bnxt: fix PF resource query

  [ Ivan Malov ]
  * common/sfc_efx/base: update MCDI headers for MAE privilege
  * common/sfc_efx/base: check for MAE privilege

  [ Long Li ]
  * net/netvsc: ignore unsupported packet on sync command

  [ Ting Xu ]
  * net/iavf: fix memory leak in large VF

  [ Murphy Yang ]
  * net/ice: fix outer checksum flags

  [ Gregory Etelson ]
  * net/mlx5: fix Direct Verbs flow descriptor allocation

  [ Alexander Kozyrev ]
  * net/mlx5: fix mbuf freeing in vectorized MPRQ

  [ Viacheslav Ovsiienko ]
  * net/mlx5: fix buffer split offload advertising

  [ Gaetan Rivet ]
  * net/bonding: fix PCI address comparison on non-PCI ports

  [ Igor Ryzhov ]
  * net/i40e: fix stats counters

  [ Qi Zhang ]
  * doc: fix some statements for ice vector PMD

  [ Souvik Dey ]
  * net/i40e: fix VLAN stripping in VF

  [ Dapeng Yu ]
  * net/ixgbe: fix flex bytes flow director rule

  [ Alvin Zhang ]
  * net/i40e: fix Rx bytes statistics

  [ Dapeng Yu ]
  * net/ice: check Rx queue number on RSS init

  [ Qi Zhang ]
  * net/ice/base: fix tunnel destroy
  * net/ice/base: fix null pointer dereference

  [ Alvin Zhang ]
  * net/iavf: fix queue pairs configuration

  [ Junfeng Guo ]
  * net/iavf: fix GTPU UL and DL support for flow director

  [ Beilei Xing ]
  * net/i40e: fix flex payload rule conflict

  [ Lance Richardson ]
  * net/bnxt: limit Rx representor packets per poll
  * net/bnxt: fix doorbell write ordering
  * net/bnxt: fix outer UDP checksum Rx offload capability
  * net/bnxt: make offload flags mapping per-ring
  * net/bnxt: set correct checksum status in mbuf

  [ Gregory Etelson ]
  * app/testpmd: release flows left before port stop
  * net/mlx5: fix tunnel rules validation on VF representor

  [ Tal Shnaiderman ]
  * net/mlx5: fix constant array size

  [ Ophir Munk ]
  * net/mlx5: fix freeing packet pacing
  * net/mlx5: fix flow action destroy wrapper
  * net/mlx5: fix flow operation wrapper per OS
  * net/mlx5: unify operations for all OS

  [ Tal Shnaiderman ]
  * net/mlx5: fix device name size on Windows
  * net/mlx5: fix comparison sign in flow engine

  [ Suanming Mou ]
  * net/mlx5: fix shared RSS and mark actions combination

  [ Shiri Kuzin ]
  * net/mlx5: fix VXLAN decap on non-VXLAN flow

  [ Michael Baum ]
  * net/mlx5: fix leak on Rx queue creation failure
  * net/mlx5: fix leak on Tx queue creation failure

  [ Jiawei Zhu ]
  * net/virtio-user: fix run closing stdin and close callfd

  [ Olivier Matz ]
  * net/virtio-user: fix protocol features advertising

  [ Qi Zhang ]
  * net/ice/base: fix memory handling

  [ Alvin Zhang ]
  * doc: fix RSS flow description in i40e guide
  * net/i40e: fix returned code for RSS hardware failure

  [ Eugeny Parshutin ]
  * doc: add vtune profiling config to prog guide

  [ Dmitry Kozlyuk ]
  * build: fix linker flags on Windows

  [ Ruifeng Wang ]
  * lpm: fix vector IPv4 lookup
  * net/hns3: fix build with SVE
  * net/octeontx: fix build with SVE
  * common/octeontx2: fix build with SVE

  [ Karra Satwik ]
  * net/cxgbe: accept VLAN flow items without ethertype

  [ Maxime Coquelin ]
  * net/virtio: add missing backend features negotiation
  * net/virtio: fix memory init with vDPA backend

  [ Murphy Yang ]
  * net/iavf: fix conflicting RSS combination rules

  [ Alvin Zhang ]
  * net/ice: fix RSS lookup table initialization

  [ Murphy Yang ]
  * net/ice: disable IPv4 checksum offload in vector Tx

  [ Leyi Rong ]
  * net/ice: enlarge Rx queue rearm threshold to 64

  [ Murphy Yang ]
  * net/i40e: add null input checks

  [ Somnath Kotur ]
  * net/bnxt: fix lock init and destroy
  * net/bnxt: fix error handling in device start

  [ Yunjian Wang ]
  * net/mvneta: check allocation in Rx queue flush

  [ Sunil Kumar Kori ]
  * net/octeontx2: fix corruption in segments list

  [ Dekel Peled ]
  * net/mlx5: fix hairpin flow split decision

  [ Michael Baum ]
  * common/mlx5: fix completion queue entry size configuration
  * net/mlx5: remove CQE padding device argument
  * net/mlx5: fix leak on ASO SQ creation failure

  [ Tal Shnaiderman ]
  * common/mlx5: fix pointer cast on Windows

  [ Yicai Lu ]
  * ip_frag: remove padding length of fragment

  [ Thomas Monjalon ]
  * doc: fix figure numbering in graph guide

  [ Tyler Retzlaff ]
  * bus/pci: fix build with Windows SDK >= 10.0.20253

  [ Olivier Matz ]
  * service: propagate init error in EAL
  * test/mcslock: remove unneeded per lcore copy

  [ Tyler Retzlaff ]
  * eal/windows: fix C++ compatibility

  [ Stephen Hemminger ]
  * test/rwlock: fix spelling and missing whitespace
  * test: fix terminal settings on exit

  [ Alvin Zhang ]
  * test: fix buffer overflow in Tx burst

  [ Anatoly Burakov ]
  * fbarray: fix overlap check

  [ Harman Kalra ]
  * examples/l3fwd: remove limitation on Tx queue count

  [ Ori Kam ]
  * regex/mlx5: fix memory rule alignment
  * regex/mlx5: fix support for group id
  * regex/mlx5: fix number of supported queues

  [ Vladimir Medvedkin ]
  * crypto/qat: fix access to uninitialized variable

  [ Ciara Power ]
  * app/crypto-perf: fix spelling in output

  [ Weifeng Li ]
  * net/i40e: fix X722 for 802.1ad frames ability

  [ Lijun Ou ]
  * net/hns3: fix interception with flow director

  [ Huisong Li ]
  * net/hns3: fix xstats with id and names
  * net/hns3: fix error code in xstats
  * net/hns3: fix Rx/Tx errors stats

  [ Min Hu (Connor) ]
  * net/hns3: fix crash with multi-process

  [ Balazs Nemeth ]
  * net/qede: fix promiscuous enable

  [ Karra Satwik ]
  * app/testpmd: fix start index for showing FEC array

  [ Ivan Malov ]
  * common/sfc_efx/base: fix MPORT related byte order handling
  * common/sfc_efx/base: fix MAE match spec validation helper
  * common/sfc_efx/base: fix MAE match spec class comparison API
  * common/sfc_efx/base: enhance field ID check in field set API

  [ Steve Yang ]
  * ethdev: fix max Rx packet length check
  * app/testpmd: fix max Rx packet length for VLAN packets
  * net/dpaa: fix jumbo frame flag condition for MTU set
  * net/dpaa2: fix jumbo frame flag condition for MTU set
  * net/e1000: fix jumbo frame flag condition for MTU set
  * net/hns3: fix jumbo frame flag condition for MTU set
  * net/i40e: fix jumbo frame flag condition
  * net/iavf: fix jumbo frame flag condition
  * net/ice: fix jumbo frame flag condition
  * net/ipn3ke: fix jumbo frame flag condition for MTU set
  * net/octeontx: fix jumbo frame flag condition for MTU set
  * net/octeontx2: fix jumbo frame flag condition for MTU
  * net/qede: fix jumbo frame flag condition for MTU set
  * net/sfc: fix jumbo frame flag condition for MTU set
  * net/thunderx: fix jumbo frame flag condition for MTU set
  * net/ixgbe: fix jumbo frame flag condition
  * net/cxgbe: fix jumbo frame flag condition
  * net/axgbe: fix jumbo frame flag condition for MTU set
  * net/enetc: fix jumbo frame flag condition for MTU set
  * net/hinic: fix jumbo frame flag condition for MTU set
  * net/nfp: fix jumbo frame flag condition for MTU set
  * net/liquidio: fix jumbo frame flag condition for MTU set

  [ David Marchand ]
  * net/hinic: restore vectorised code

  [ Bruce Richardson ]
  * ethdev: avoid blocking telemetry for link status

  [ George Prekas ]
  * app/testpmd: fix IP checksum calculation

  [ Andrew Boyer ]
  * net/ionic: fix link speed and autonegotiation

  [ Chengwen Feng ]
  * net/hns3: fix VF query link status in dev init

  [ Hongbo Zheng ]
  * net/hns3: use new opcode for clearing hardware resource

  [ Chengchang Tang ]
  * net/hns3: fix register length when dumping registers
  * net/hns3: fix data overwriting during register dump
  * net/hns3: fix dump register out of range

  [ Ivan Malov ]
  * common/sfc_efx/base: apply mask to value on match field set

  [ Jiawei Wang ]
  * net/mlx5: fix unnecessary checking for RSS action

  [ Alvin Zhang ]
  * net/ixgbe: fix configuration of max frame size

  [ Bruce Richardson ]
  * build: provide suitable error for "both" libraries option
  * eal: fix reciprocal header include
  * telemetry: fix missing header include
  * ethdev: fix missing header include
  * net: fix missing header include
  * mbuf: fix missing header include
  * bitrate: fix missing header include
  * rib: fix missing header includes
  * vhost: fix missing header includes
  * ipsec: fix missing header include
  * fib: fix missing header includes
  * table: fix missing header include
  * pipeline: fix missing header includes
  * metrics: fix variable declaration in header
  * node: fix missing header include
  * app: fix build with extra include paths

  [ David Marchand ]
  * examples/pipeline: fix VXLAN script permission

  [ Bruce Richardson ]
  * build: force pkg-config for dependency detection

  [ Hemant Agrawal ]
  * app/procinfo: fix security context info

  [ Joyce Kong ]
  * eal/arm: fix debug build with gcc for 128-bit atomics

  [ Lukasz Wojciechowski ]
  * test/distributor: fix return buffer queue overload

  [ Bruce Richardson ]
  * power: create guest channel public header file
  * power: make channel message functions public
  * power: rename public structs
  * power: rename constants
  * power: export guest channel header file
  * power: clean up includes

  [ Feifei Wang ]
  * test/ring: reduce duration of performance tests

  [ Thomas Monjalon ]
  * lib: fix doxygen for parameters of function pointers

  [ Cristian Dumitrescu ]
  * examples/pipeline: fix CLI parsing crash

  [ Feifei Wang ]
  * app/eventdev: adjust event count order for pipeline test
  * app/eventdev: remove redundant enqueue in burst Tx
  * examples/eventdev: check CPU core enabling
  * examples/eventdev: add info output for main core
  * examples/eventdev: move ethdev stop to the end
  * app/eventdev: fix SMP barrier in performance test

  [ Ankur Dwivedi ]
  * test/event_crypto: set cipher operation in transform

  [ Ciara Power ]
  * app/crypto-perf: fix latency CSV output
  * app/crypto-perf: fix CSV output format

  [ Fan Zhang ]
  * crypto/qat: fix digest in buffer

  [ Gagandeep Singh ]
  * test/ipsec: fix result code for not supported
  * crypto/dpaa2_sec: fix memory allocation check

  [ Bruce Richardson ]
  * eal: fix MCS lock header include
  * eal: fix internal ABI tag with clang
  * power: fix missing header includes
  * rib: fix missing header include

  [ Jiawei Wang ]
  * app/testpmd: fix packets dump overlapping

  [ Wenjun Wu ]
  * net/e1000: fix flow control mode setting

  [ Dekel Peled ]
  * net/mlx5: fix flow split combined with counter
  * net/mlx5: fix flow split combined with age action

  [ Michael Baum ]
  * net/mlx4: fix device detach
  * net/mlx4: fix handling of probing failure

  [ Kalesh AP ]
  * net/bnxt: fix FW version log

  [ Lance Richardson ]
  * net/bnxt: fix packet type index calculation

  [ Somnath Kotur ]
  * net/bnxt: refactor init/uninit

  [ Haiyue Wang ]
  * net/ice: drain out DCF AdminQ command queue

  [ Alvin Zhang ]
  * app/testpmd: fix key for RSS flow rule

  [ Lance Richardson ]
  * net/bnxt: fix null termination of Rx mbuf chain

  [ Liron Himi ]
  * net/octeontx2: fix PF flow action for Tx

  [ Gregory Etelson ]
  * net/mlx5: fix mark action in active tunnel offload
  * net/mlx5: fix drop action in tunnel offload mode

  [ Alexander Kozyrev ]
  * net/mlx5: fix flow tag decompression

  [ Shiri Kuzin ]
  * net/mlx5: refuse empty VLAN in flow pattern

  [ Viacheslav Ovsiienko ]
  * doc: update flow mark action in mlx5 guide

  [ Suanming Mou ]
  * net/mlx5: fix multi-process port ID
  * net/mlx5: fix crash on secondary process port close
  * net/mlx5: fix port attach in secondary process
  * net/mlx4: fix port attach in secondary process

  [ Xuan Ding ]
  * net/iavf: fix symmetric flow rule creation

  [ Dapeng Yu ]
  * net/ixgbe: disable NFS filtering

  [ Viacheslav Galaktionov ]
  * net/sfc: fix generic byte statistics to exclude FCS bytes

  [ Thomas Monjalon ]
  * ethdev: fix close failure handling

  [ Maxime Coquelin ]
  * net/virtio: fix getting old status on reconnect

  [ Matan Azrad ]
  * vdpa/mlx5: fix configuration mutex cleanup

  [ Andrew Boyer ]
  * net/ionic: allow separate L3 and L4 checksum offload
  * net/ionic: fix up function attribute tags
  * net/ionic: fix address handling in Tx

  [ Yuri Chipchev ]
  * net/mvpp2: fix stack corruption

  [ Liron Himi ]
  * net/mvpp2: remove debug log on fast-path
  * net/mvpp2: remove VLAN flush
  * net/mvpp2: remove CRC length from MRU validation
  * net/mvpp2: fix frame size checking

  [ Jiawei Wang ]
  * net/mlx5: fix count actions query in sample flow

  [ Viacheslav Ovsiienko ]
  * net/mlx5: fix wire vport hint

  [ Lijun Ou ]
  * net/hns3: fix memory leak on secondary process exit

  [ Chengchang Tang ]
  * net/hns3: fix interrupt resources in Rx interrupt mode

  [ Lijun Ou ]
  * net/hns3: adjust some comments
  * net/hns3: adjust format specifier for enum

  [ Steve Yang ]
  * app/testpmd: fix setting maximum packet length

  [ Dapeng Yu ]
  * app/testpmd: avoid exit without terminal restore

  [ Heinrich Kuhn ]
  * net/nfp: read chip model from PluDevice register

  [ Ido Segev ]
  * net/ena: flush Rx buffers memory pool cache

  [ Amit Bernstein ]
  * net/ena: fix Tx doorbell statistics

  [ Michal Krawczyk ]
  * net/ena: validate Rx req ID upon acquiring descriptor

  [ Igor Chauskin ]
  * net/ena: fix Tx SQ free space assessment
  * net/ena: prevent double doorbell

  [ Jingjing Wu ]
  * net/iavf: fix vector mapping with queue

  [ Viacheslav Ovsiienko ]
  * app/testpmd: fix queue reconfig request on Rx split update

  [ Lance Richardson ]
  * net/bnxt: fix fallback mbuf allocation logic
  * net/bnxt: fix Rx completion ring size calculation

  [ Dekel Peled ]
  * net/mlx5: fix shared RSS translation and cleanup

  [ Bernard Iremonger ]
  * doc: fix QinQ flow rules in testpmd guide

  [ Hyong Youb Kim ]
  * net/enic: fix filter type used for flow API

  [ Min Hu (Connor) ]
  * doc: add FEC to NIC features

  [ Lijun Ou ]
  * doc: fix product link in hns3 guide

  [ Ivan Malov ]
  * net/sfc: fix TSO and checksum offloads for EF10

  [ Alexander Kozyrev ]
  * net/mlx5: check FW miniCQE format capabilities
  * net/mlx5: fix miniCQE configuration for Verbs

  [ Fei Chen ]
  * vhost: fix vid allocation race

  [ Sunil Kumar Kori ]
  * net/octeontx: fix max Rx packet length

  [ Viacheslav Ovsiienko ]
  * doc: fix supported feature table in mlx5 guide

  [ Jiawei Wang ]
  * net/mlx5: fix counter and age flow action validation

  [ Souvik Dey ]
  * common/mlx5: fix storing synced MAC to internal table

  [ Huisong Li ]
  * net/hns3: fix link status change from firmware

  [ Lijun Ou ]
  * net/hns3: fix RSS indirection table size

  [ Chengwen Feng ]
  * net/hns3: remove MPLS from supported flow items
  * net/hns3: fix flow director rule residue on malloc failure

  [ Chengchang Tang ]
  * net/hns3: fix firmware exceptions by concurrent commands
  * net/hns3: fix VF reset on mailbox failure

  [ Huisong Li ]
  * net/hns3: validate requested maximum Rx frame length

  [ Dekel Peled ]
  * app/testpmd: support shared age action query

  [ Ferruh Yigit ]
  * net/pcap: fix byte stats for drop Tx
  * net/pcap: fix infinite Rx with large files

  [ Dekel Peled ]
  * net/mlx5: fix shared RSS capability check
  * net/mlx5: validate hash Rx queue pointer

  [ Hyong Youb Kim ]
  * net/enic: fix filter log message

  [ Timothy McDaniel ]
  * event/dlb: fix accessing uninitialized variables

  [ Harry van Haaren ]
  * eventdev: fix a return value comment

  [ Olivier Matz ]
  * mempool: fix panic on dump or audit

  [ David Marchand ]
  * mbuf: remove unneeded atomic generic header include

  [ Bruce Richardson ]
  * eal: fix automatic loading of drivers as shared libs

  [ Haiyue Wang ]
  * net/ixgbe: fix UDP zero checksum on x86

  [ Marvin Liu ]
  * vhost: fix packed ring dequeue offloading

  [ Viacheslav Ovsiienko ]
  * doc: fix mark action zero value in mlx5 guide

  [ Ferruh Yigit ]
  * app/testpmd: fix help of metering commands

  [ Yongxin Liu ]
  * usertools: fix binding built-in kernel driver

  [ Viacheslav Ovsiienko ]
  * net/mlx5: fix Tx queue size created with DevX

  [ Huisong Li ]
  * net/hns3: fix query order of link status and link info

  [ Chengchang Tang ]
  * net/hns3: fix stats flip overflow

  [ Luca Boccassi ]
  * version: 20.11.1-rc1
  * version: 20.11.1

  [ Nithin Dabilpuram ]
  * vfio: do not merge contiguous areas
  * vfio: fix DMA mapping granularity for IOVA as VA
  * test/mem: fix page size for external memory

  [ Ferruh Yigit ]
  * power: remove duplicated symbols from map file

  [ Yunjian Wang ]
  * vfio: fix API description

  [ Anatoly Burakov ]
  * fbarray: fix log message on truncation error

  [ Andrew Rybchenko ]
  * net/failsafe: fix RSS hash offload reporting
  * net/failsafe: report minimum and maximum MTU

  [ Viacheslav Ovsiienko ]
  * net/mlx5: fix external buffer pool registration for Rx queue

  [ Dekel Peled ]
  * common/mlx5: fix DevX read output buffer size

  [ Viacheslav Ovsiienko ]
  * net/mlx5: fix metadata item validation for ingress flows

  [ Youri Querry ]
  * bus/fslmc: fix random portal hangs with qbman 5.0

  [ Nipun Gupta ]
  * bus/dpaa: fix statistics reading

  [ Rohit Raj ]
  * net/dpaa2: fix getting link status
  * net/dpaa: fix getting link status

  [ Andrew Boyer ]
  * net/ionic: fix completion type in lif init

  [ Xiaoyun Li ]
  * app/testpmd: remove unnecessary UDP tunnel check

  [ Ivan Malov ]
  * net/sfc: fix buffer size for flow parse

  [ Ciara Loftus ]
  * net/af_xdp: fix error handling during Rx queue setup

  [ Dmitry Kozlyuk ]
  * net/pcap: fix format string

  [ Viacheslav Ovsiienko ]
  * net/mlx5: fix hashed list size for tunnel flow groups
  * net/mlx5: fix UAR allocation diagnostics messages

  [ Tengfei Zhang ]
  * net/pcap: fix file descriptor leak on close

  [ Matan Azrad ]
  * common/mlx5/linux: add glue function to query WQ
  * common/mlx5: add DevX command to query WQ
  * common/mlx5: add DevX commands for queue counters

  [ Huisong Li ]
  * net/hns3: fix device capabilities for copper media type

  [ Chengchang Tang ]
  * net/hns3: fix HW buffer size on MTU update

  [ Huisong Li ]
  * net/hns3: remove unused parameter markers

  [ Vadim Podovinnikov ]
  * net/bonding: fix LACP system address check

  [ Jiawen Wu ]
  * net/txgbe: remove unused functions
  * net/txgbe: fix Rx missed packet counter
  * net/txgbe: update packet type

  [ Alvin Zhang ]
  * net/ice: fix VLAN filter with PF

  [ Dapeng Yu ]
  * net/igc: remove MTU setting limitation
  * net/e1000: remove MTU setting limitation

  [ Qi Zhang ]
  * net/ice/base: fix payload indicator on ptype
  * net/ice/base: fix uninitialized struct
  * net/ice/base: cleanup filter list on error

  [ Beilei Xing ]
  * net/i40evf: fix packet loss for X722

  [ Xiaoyun Li ]
  * net/i40e: fix IPv4 fragment offload

  [ Jiawei Zhu ]
  * net/mlx5: fix Rx segmented packets on mbuf starvation

  [ Satheesh Paul ]
  * net/octeontx2: fix VLAN filter

  [ Bruce Richardson ]
  * build: exclude meson files from examples installation

  [ Ferruh Yigit ]
  * log/linux: make default output stderr

  [ Dmitry Kozlyuk ]
  * eal/windows: add missing SPDX license tag

  [ Tal Shnaiderman ]
  * eal/windows: fix default thread priority

  [ Pallavi Kadam ]
  * bus/pci: skip probing some Windows NDIS devices

  [ Thomas Monjalon ]
  * bus/pci: fix Windows kernel driver categories

  [ Ivan Malov ]
  * net: fix comment in IPv6 header

  [ Kalesh AP ]
  * net/bnxt: remove unused macro
  * net/bnxt: fix VNIC configuration

  [ Venkat Duvvuru ]
  * net/bnxt: fix queues per VNIC

  [ Kalesh AP ]
  * net/bnxt: fix firmware fatal error handling
  * net/bnxt: fix FW readiness check during recovery
  * net/bnxt: fix device readiness check
  * net/bnxt: fix VF info allocation
  * net/bnxt: fix HWRM and FW incompatibility handling
  * net/bnxt: mute some failure logs

  [ Somnath Kotur ]
  * net/bnxt: fix xstats get
  * net/bnxt: fix Rx and Tx timestamps

  [ Kalesh AP ]
  * app/testpmd: check MAC address query

  [ Wenjun Wu ]
  * net/ice: check some functions return

  [ Viacheslav Ovsiienko ]
  * common/mlx5: add timestamp format support to DevX
  * vdpa/mlx5: support timestamp format
  * net/mlx5: fix Rx metadata leftovers

  [ Thomas Monjalon ]
  * eal: fix comment of OS-specific header files
  * buildtools: fix build with busybox
  * build: detect execinfo library on Linux
  * build: remove redundant _GNU_SOURCE definitions
  * eal: fix build with musl

  [ Natanael Copa ]
  * common/dpaax/caamflib: fix build with musl
  * bus/dpaa: fix 64-bit arch detection
  * bus/dpaa: fix build with musl
  * net/cxgbe: remove use of uint type

  [ Thomas Monjalon ]
  * net/igc: remove use of uint type
  * event/dlb: fix header includes for musl

  [ Natanael Copa ]
  * app/testpmd: fix build with musl

  [ Thomas Monjalon ]
  * examples/bbdev: fix header include for musl

  [ Cristian Dumitrescu ]
  * table: fix actions with different data size

  [ Dapeng Yu ]
  * examples/packet_ordering: fix port configuration

  [ Cristian Dumitrescu ]
  * pipeline: fix instruction translation

  [ Thinh Tran ]
  * test: fix autotest handling of skipped tests

  [ Ed Czeck ]
  * net/ark: update packet director initial state
  * net/ark: refactor Rx buffer recovery

  [ Andrew Rybchenko ]
  * common/sfc_efx: remove GENEVE from supported tunnels

  [ Jiawei Wang ]
  * app/testpmd: fix NVGRE encap configuration

  [ Somnath Kotur ]
  * net/bnxt: fix Tx timestamp init

  [ Kalesh AP ]
  * net/bnxt: fix PCI write check

  [ Ajit Khaparde ]
  * net/bnxt: fix RSS context cleanup

  [ Kalesh AP ]
  * net/bnxt: fix link state operations
  * net/bnxt: fix timesync when PTP is not supported

  [ Lance Richardson ]
  * net/bnxt: fix Rx buffer posting
  * net/bnxt: fix Tx length hint threshold
  * net/bnxt: fix handling of null flow mask

  [ Ajit Khaparde ]
  * net/bnxt: check kvargs parsing

  [ Kalesh AP ]
  * net/bnxt: fix memory allocation for command response

  [ Igor Russkikh ]
  * net/qede: reduce log verbosity
  * net/qede: accept bigger RSS table

  [ Alvin Zhang ]
  * net/i40e: fix input set field mask

  [ Wenjun Wu ]
  * net/ice: fix RSS hash update

  [ Qi Zhang ]
  * net/ice/base: fix memory allocation for MAC addresses

  [ Li Zhang ]
  * net/mlx5: fix flow actions index in cache

  [ Xiaoyu Min ]
  * net/mlx5: support RSS expansion for IPv6 GRE

  [ Huisong Li ]
  * net/hns3: fix reporting undefined speed

  [ Chengchang Tang ]
  * net/hns3: fix processing Tx offload flags
  * net/hns3: fix Tx checksum for UDP packets with special port

  [ Huisong Li ]
  * net/hns3: fix link update when failed to get link info

  [ Chengchang Tang ]
  * net/hns3: fix long task queue pairs reset time

  [ Guoyang Zhou ]
  * net/hinic: fix crash in secondary process

  [ Ivan Malov ]
  * net/sfc: fix error path inconsistency

  [ Hongbo Zheng ]
  * app/testpmd: fix Tx/Rx descriptor query error log

  [ Feifei Wang ]
  * net/i40e: fix parsing packet type for NEON

  [ Leyi Rong ]
  * net/iavf: fix packet length parsing in AVX512

  [ Robin Zhang ]
  * net/i40e: announce request queue capability in PF

  [ Alvin Zhang ]
  * net/igc: fix Rx RSS hash offload capability

  [ Qi Zhang ]
  * net/iavf: fix TSO max segment size

  [ Murphy Yang ]
  * net/ixgbe: fix RSS RETA being reset after port start

  [ Yunjian Wang ]
  * net/mlx5: fix using flow tunnel before null check

  [ Xiao Wang ]
  * vdpa/ifc: check PCI config read

  [ Chenbo Xia ]
  * examples/vhost: check memory table query

  [ Marvin Liu ]
  * vhost: fix split ring potential buffer overflow
  * vhost: fix packed ring potential buffer overflow
  * vhost: fix batch dequeue potential buffer overflow

  [ Ibtisam Tariq ]
  * examples/vhost_crypto: remove unused short option

  [ Matan Azrad ]
  * vdpa/mlx5: fix virtq cleaning

  [ David Marchand ]
  * doc: fix sphinx rtd theme import in GHA

  [ Anatoly Burakov ]
  * power: do not skip saving original P-state governor

  [ Roy Shterman ]
  * mem: fix freeing segments in --huge-unlink mode

  [ David Marchand ]
  * service: clean references to removed symbol

  [ Thomas Monjalon ]
  * drivers: fix log level after loading

  [ Stanislaw Kardach ]
  * test: proceed if timer subsystem already initialized

  [ David Marchand ]
  * eal: fix evaluation of log level option

  [ Thomas Monjalon ]
  * app/regex: fix usage text
  * app/testpmd: fix usage text

  [ Luc Pelletier ]
  * eal: fix race in control thread creation
  * eal: fix hang in control thread creation

  [ Min Hu (Connor) ]
  * net/hns3: fix MTU config complexity
  * net/hns3: update HiSilicon copyright syntax

  [ David Harton ]
  * net/ena: fix releasing Tx ring mbufs

  [ Alvin Zhang ]
  * net/igc: fix Rx error counter for bad length
  * net/e1000: fix Rx error counter for bad length

  [ Robin Zhang ]
  * doc: update recommended versions for i40e

  [ Murphy Yang ]
  * net/i40e: fix flow director config after flow validate

  [ Xiaoyu Min ]
  * net/mlx5: fix shared inner RSS
  * net/mlx5: fix missing shared RSS hash types

  [ Viacheslav Ovsiienko ]
  * net/mlx5: fix drop action for Direct Rules/Verbs

  [ Kalesh AP ]
  * net/bnxt: fix double free in port start failure
  * net/bnxt: fix configuring LRO

  [ Marvin Liu ]
  * vhost: fix initialization of temporary header
  * vhost: fix initialization of async temporary header

  [ Chengchang Tang ]
  * ethdev: validate input in module EEPROM dump
  * ethdev: validate input in register info
  * ethdev: validate input in EEPROM info

  [ Min Hu (Connor) ]
  * net/hns3: fix copyright date

  [ Hongbo Zheng ]
  * net/hns3: fix FLR miss detection

  [ Chengchang Tang ]
  * net/hns3: fix rollback after setting PVID failure

  [ Huisong Li ]
  * net/hns3: fix flow control exception

  [ Chengwen Feng ]
  * net/hns3: fix flow counter value
  * net/hns3: fix VF mailbox head field
  * net/hns3: support get device version when dump register

  [ Hongbo Zheng ]
  * net/hns3: delete redundant blank line

  [ John Daley ]
  * net/enic: fix flow initialization error handling

  [ Wisam Jaddo ]
  * app/flow-perf: fix encap/decap actions

  [ Tal Shnaiderman ]
  * eal/windows: fix return codes of pthread shim layer

  [ Pavan Nikhilesh ]
  * test/event: fix timeout accuracy
  * app/eventdev: fix timeout accuracy

  [ Harman Kalra ]
  * event/octeontx2: fix device reconfigure for single slot

  [ Ferruh Yigit ]
  * license: fix typos

  [ Feifei Wang ]
  * test/trace: fix race on collected perf data

  [ Radha Mohan Chintakuntla ]
  * raw/octeontx2_dma: assign PCI device in DPI VF

  [ Tyler Retzlaff ]
  * eal: add C++ include guard for reciprocal header

  [ Ankur Dwivedi ]
  * crypto/octeontx: fix session-less mode

  [ Apeksha Gupta ]
  * examples/l2fwd-crypto: skip masked devices

  [ Rohit Raj ]
  * examples/l2fwd-crypto: fix packet length while decryption

  [ Arek Kusztal ]
  * crypto/qat: fix offset for out-of-place scatter-gather

  [ Dmitry Kozlyuk ]
  * buildtools: fix all drivers disabled on Windows

  [ Lance Richardson ]
  * test: fix TCP header initialization

  [ Chengwen Feng ]
  * net/hns3: fix some packet types

  [ Chengchang Tang ]
  * net/hns3: fix timing in resetting queues
  * net/hns3: fix queue state when concurrent with reset
  * net/hns3: fix configure FEC when concurrent with reset

  [ Ivan Malov ]
  * common/sfc_efx/base: fix indication of MAE encap support

  [ Alvin Zhang ]
  * net/e1000: fix max Rx packet size

  [ Wenwu Ma ]
  * net/ice: fix illegal access when removing MAC filter

  [ Xiaoyu Min ]
  * net/mlx5: fix redundant flow after RSS expansion

  [ Viacheslav Ovsiienko ]
  * net/mlx4: fix RSS action with null hash key

  [ Jiawei Wang ]
  * net/mlx5: fix resource release for mirror flow

  [ Haiyue Wang ]
  * net/ixgbe: fix Rx errors statistics for UDP checksum

  [ Huisong Li ]
  * app/testpmd: fix bitmap of link speeds when force speed

  [ Raslan Darawsheh ]
  * ethdev: update flow item GTP QFI definition

  [ Wenzhuo Lu ]
  * net/iavf: fix crash in AVX512
  * net/ice: fix crash in AVX512

  [ Chengchang Tang ]
  * net/hns3: fix use of command status enumeration

  [ Chengwen Feng ]
  * net/hns3: fix missing outer L4 UDP flag for VXLAN
  * net/hns3: remove VLAN/QinQ ptypes from support list

  [ Huisong Li ]
  * net/hns3: fix flow control mode

  [ Robin Zhang ]
  * net/i40e: fix lack of MAC type when set MAC address
  * net/iavf: fix lack of MAC type when set MAC address

  [ Shijith Thotton ]
  * eventdev: fix case to initiate crypto adapter service

  [ Yunjian Wang ]
  * vfio: fix duplicated user mem map

  [ Cristian Dumitrescu ]
  * pipeline: fix endianness conversions

  [ Min Hu (Connor) ]
  * examples/ptpclient: remove wrong comment

  [ Conor Walsh ]
  * examples/l3fwd: fix LPM IPv6 subnets

  [ Kevin Traynor ]
  * test/cmdline: fix inputs array

  [ Chengwen Feng ]
  * test: check thread creation

  [ Pu Xu ]
  * ip_frag: fix fragmenting IPv4 packet with header option

  [ Savinay Dharmappa ]
  * sched: fix traffic class oversubscription parameter

  [ Chengwen Feng ]
  * common/dpaax: fix possible null pointer access

  [ Min Hu (Connor) ]
  * test/bpf: fix error message

  [ Richael Zhuang ]
  * test/power: add delay before checking CPU frequency
  * test/power: round CPU frequency to check

  [ Chengchang Tang ]
  * examples: add eal cleanup to examples

  [ Chengwen Feng ]
  * examples/ethtool: remove unused parsing

  [ Min Hu (Connor) ]
  * doc: fix HiSilicon copyright syntax
  * net/hns3: remove unused macros

  [ Qi Zhang ]
  * doc: fix matching versions in ice guide

  [ Huisong Li ]
  * net/hns3: remove redundant mailbox response
  * net/hns3: fix DCB mode check
  * net/hns3: fix VMDq mode check

  [ Chengwen Feng ]
  * net/hns3: fix flow director lock

  [ Chengchang Tang ]
  * net/bonding: fix adding itself as its slave

  [ Ajit Khaparde ]
  * net/bnxt: fix resource cleanup

  [ Kalesh AP ]
  * net/bnxt: fix health check alarm cancellation

  [ Alvin Zhang ]
  * net/igc: fix Rx packet size

  [ Min Hu (Connor) ]
  * net/hns3: remove unused macro

  [ Siwar Zitouni ]
  * net/ice: fix disabling promiscuous mode

  [ Murphy Yang ]
  * net/i40e: fix flow director for common pctypes

  [ Chengwen Feng ]
  * net/e1000/base: fix timeout for shadow RAM write

  [ Thomas Monjalon ]
  * doc: fix names of UIO drivers

  [ Elad Nachman ]
  * kni: support async user request

  [ Stephen Hemminger ]
  * kni: refactor user request processing

  [ Elad Nachman ]
  * kni: fix kernel deadlock with bifurcated device

  [ David Marchand ]
  * ci: hook to GitHub Actions
  * ci: enable v21 ABI checks
  * ci: fix package installation in GitHub Actions
  * ci: ignore APT update failure in GitHub Actions
  * ci: catch coredumps

  [ Huisong Li ]
  * net/hns3: fix mbuf leakage

  [ Chengwen Feng ]
  * net/hns3: fix setting default MAC address in bonding of VF

  [ Qi Zhang ]
  * net/iavf: fix wrong Tx context descriptor

  [ Ilya Maximets ]
  * net/virtio: fix interrupt unregistering for listening socket

  [ Chengwen Feng ]
  * net/hns3: fix possible mismatched response of mailbox
  * net/hns3: fix VF handling LSC event in secondary process

  [ Chengchang Tang ]
  * net/hns3: fix timing in mailbox

  [ Chengwen Feng ]
  * net/hns3: fix verification of NEON support

  [ Ivan Malov ]
  * net/sfc: fix outer rule rollback on error

  [ Lance Richardson ]
  * net/bnxt: fix Rx descriptor status
  * net/bnxt: fix Rx queue count

  [ Kalesh AP ]
  * net/bnxt: fix PTP support for Thor

  [ Thomas Monjalon ]
  * doc: fix build with Sphinx 4

  [ Viacheslav Ovsiienko ]
  * net/mlx5: support timestamp format
  * regex/mlx5: support timestamp format

  [ Kalesh AP ]
  * net/bnxt: fix ring count calculation for Thor

  [ Thomas Monjalon ]
  * bus/pci: support I/O port operations with musl
  * app: fix exit messages

  [ Xueming Li ]
  * version: 20.11.2-rc1

  [ Stanislaw Kardach ]
  * stack: allow lock-free only on relevant architectures

  [ David Christensen ]
  * config/ppc: reduce number of cores and NUMA nodes

  [ Bruce Richardson ]
  * raw/ioat: fix script for configuring small number of queues

  [ Juraj Linkeš ]
  * eal/arm64: fix platform register bit

  [ Chengwen Feng ]
  * mbuf: check shared memory before dumping dynamic space

  [ Olivier Matz ]
  * test/mempool: fix object initializer

  [ Min Hu (Connor) ]
  * app/eventdev: fix overflow in lcore list parsing

  [ Chengwen Feng ]
  * eventdev: remove redundant thread name setting
  * eventdev: fix memory leakage on thread creation failure

  [ Konstantin Ananyev ]
  * acl: fix build with GCC 11

  [ Hongbo Zheng ]
  * bpf: fix JSLT validation

  [ Anatoly Burakov ]
  * power: save original ACPI governor always

  [ Chaoyong He ]
  * doc: fix multiport syntax in nfp guide

  [ Chengwen Feng ]
  * net/kni: check init result

  [ Ferruh Yigit ]
  * drivers/net: fix FW version query

  [ Chengwen Feng ]
  * net/hns3: fix mailbox error message
  * net/hns3: fix processing link status message on PF
  * net/hns3: remove unused mailbox macro and struct
  * net/bonding: fix leak on remove

  [ Min Hu (Connor) ]
  * test/kni: fix a comment
  * test/kni: check init result

  [ Chengchang Tang ]
  * app/testpmd: fix max queue number for Tx offloads
  * net/tap: fix interrupt vector array size

  [ Min Hu (Connor) ]
  * net/hns3: fix typos on comments

  [ Viacheslav Ovsiienko ]
  * app/testpmd: fix segment number check

  [ Ajit Khaparde ]
  * doc: fix formatting in testpmd guide

  [ Chengchang Tang ]
  * net/bonding: fix socket ID check

  [ Chengwen Feng ]
  * net/hns3: fix handling link update

  [ Hongbo Zheng ]
  * common/sfc_efx/base: fix dereferencing null pointer

  [ Chengwen Feng ]
  * net/i40e: fix negative VEB index
  * net/i40e: remove redundant VSI check in Tx queue setup

  [ Alvin Zhang ]
  * net/ice: fix fast mbuf freeing
  * net/iavf: fix VF to PF command failure handling

  [ Qi Zhang ]
  * common/iavf: fix duplicated offload bit

  [ Min Hu (Connor) ]
  * net/e1000: fix flow error message object

  [ Jiayu Hu ]
  * vhost: fix queue initialization
  * vhost: fix redundant vring status change notification

  [ Chengwen Feng ]
  * net/virtio: fix getline memory leakage

  [ Kalesh AP ]
  * net/bnxt: remove unnecessary forward declarations
  * net/bnxt: remove unused function parameters

  [ Stephen Hemminger ]
  * net/bnxt: use prefix on global function

  [ Viacheslav Ovsiienko ]
  * net/mlx5: remove drop queue function prototypes
  * net/mlx4: fix buffer leakage on device close
  * net/mlx5: fix probing device in legacy bonding mode

  [ Huisong Li ]
  * net/hns3: fix link status when port is stopped
  * net/hns3: fix link speed when port is down

  [ Min Hu (Connor) ]
  * app/testpmd: fix division by zero on socket memory dump

  [ Chengchang Tang ]
  * net/tap: check ioctl on restore

  [ Min Hu (Connor) ]
  * net/kni: warn on stop failure

  [ Huisong Li ]
  * app/testpmd: fix forward lcores number for DCB
  * app/testpmd: fix DCB forwarding configuration
  * app/testpmd: fix DCB re-configuration
  * app/testpmd: verify DCB config during forward config

  [ Chengwen Feng ]
  * net/hns3: log time delta in decimal format
  * net/hns3: fix time delta calculation
  * net/hns3: remove unused macros

  [ Michael Baum ]
  * net/mlx5: fix flow age event triggering

  [ Wei Huang ]
  * raw/ifpga: fix device name format

  [ Robin Zhang ]
  * net/iavf: fix primary MAC type when starting port
  * net/i40e: fix primary MAC type when starting port

  [ Andrew Rybchenko ]
  * net/sfc: fix mark support in EF100 native Rx datapath

  [ Kalesh AP ]
  * net/bnxt: drop unused attribute

  [ Chengwen Feng ]
  * net/hns3: fix vector Rx burst limitation
  * net/hns3: remove read when enabling TM QCN error event
  * net/hns3: remove unused VMDq code
  * net/hns3: increase readability in logs

  [ Hemant Agrawal ]
  * ethdev: add missing buses in device iterator

  [ Stanislaw Kardach ]
  * test/distributor: fix worker notification in burst mode
  * test/distributor: fix burst flush on worker quit

  [ Ciara Power ]
  * telemetry: fix race on callbacks list

  [ Xueming Li ]
  * net/virtio: fix vectorized Rx queue rearm

  [ David Marchand ]
  * vhost: fix offload flags in Rx path

  [ Somnath Kotur ]
  * net/bnxt: refactor multi-queue Rx configuration
  * net/bnxt: fix Rx timestamp when FIFO pending bit is set

  [ Lance Richardson ]
  * net/bnxt: fix dynamic VNIC count

  [ Kalesh AP ]
  * net/bnxt: fix single PF per port check

  [ Ajit Khaparde ]
  * net/bnxt: fix mismatched type comparison in MAC restore
  * net/bnxt: check PCI config read
  * net/bnxt: fix mismatched type comparison in Rx

  [ Kalesh AP ]
  * net/bnxt: prevent device access in error state

  [ Thomas Monjalon ]
  * regex/octeontx2: remove unused include directory

  [ Jerin Jacob ]
  * examples: fix pkg-config override

  [ Chengwen Feng ]
  * raw/ntb: check SPAD user index
  * raw/ntb: check memory allocations
  * ipc: check malloc sync reply result
  * eal: fix service core list parsing

  [ Min Hu (Connor) ]
  * app/bbdev: check memory allocation
  * app/bbdev: fix HARQ error messages

  [ Adam Dybkowski ]
  * common/qat: increase IM buffer size for GEN3
  * compress/qat: enable compression on GEN3

  [ Kai Ji ]
  * test/crypto: fix auth-cipher compare length in OOP

  [ Hemant Agrawal ]
  * crypto/dpaa_sec: affine the thread portal affinity
  * crypto/dpaa2_sec: fix close and uninit functions

  [ Kai Ji ]
  * test/crypto: copy offset data to OOP destination buffer

  [ David Marchand ]
  * bus/fslmc: remove unused debug macro
  * eal: fix leak in shared lib mode detection

  [ Lance Richardson ]
  * eal: fix memory mapping on 32-bit target

  [ Min Hu (Connor) ]
  * raw/skeleton: add missing check after setting attribute

  [ Chengwen Feng ]
  * ipc: use monotonic clock

  [ Chengchang Tang ]
  * examples/timer: fix time interval

  [ Min Hu (Connor) ]
  * test/timer: check memzone allocation

  [ Thomas Monjalon ]
  * doc: remove PDF requirements

  [ Hongbo Zheng ]
  * power: fix sanity checks for guest channel read

  [ David Marchand ]
  * event/dpaa2: remove unused macros

  [ Pavan Nikhilesh ]
  * app/eventdev: fix lcore parsing skipping last core

  [ David Marchand ]
  * net/ice/base: fix memory allocation wrapper

  [ Jiawei Wang ]
  * net/mlx5: fix RSS flow item expansion for GRE key

  [ Kamil Vojanec ]
  * net/mlx5/linux: fix firmware version

  [ Igor Chauskin ]
  * net/ena: switch memcpy to optimized version

  [ Michal Krawczyk ]
  * net/ena/base: improve style and comments
  * net/ena/base: fix type conversions by explicit casting
  * net/ena/base: destroy multiple wait events

  [ Igor Chauskin ]
  * net/ena: fix parsing of large LLQ header device argument

  [ Michal Krawczyk ]
  * net/ena: fix crash with unsupported device argument

  [ Stanislaw Kardach ]
  * net/ena: remove endian swap functions
  * net/ena: report default ring size

  [ Heinrich Kuhn ]
  * net/nfp: fix reporting of RSS capabilities

  [ Chengwen Feng ]
  * net/hns3: return error on PCI config write failure
  * net/hns3: fix log on flow director clear
  * net/hns3: clear hash map on flow director clear

  [ Hongbo Zheng ]
  * net/hns3: fix VF alive notification after config restore

  [ Chengwen Feng ]
  * net/hns3: fix querying flow director counter for out param

  [ Jiawen Wu ]
  * net/txgbe: fix QinQ strip

  [ Chengwen Feng ]
  * net/hns3: fix TM QCN error event report by MSI-X
  * net/hns3: fix mailbox message ID in log
  * net/hns3: fix secondary process request start/stop Rx/Tx
  * net/hns3: fix ordering in secondary process initialization
  * net/hns3: fail setting FEC if one bit mode is not supported

  [ Gregory Etelson ]
  * app/testpmd: fix tunnel offload flows cleanup

  [ David Marchand ]
  * net/ice: fix leak on thread termination

  [ John Daley ]
  * net/enic: enable GENEVE offload via VNIC configuration

  [ Gregory Etelson ]
  * net/mlx5: fix tunnel offload private items location

  [ Michal Krawczyk ]
  * net/ena: indicate Rx RSS hash presence

  [ Jie Wang ]
  * net/ice: fix VSI array out of bounds access

  [ Alvin Zhang ]
  * net/i40e: fix VF RSS configuration
  * net/igc: fix speed configuration

  [ Ferruh Yigit ]
  * net/bnx2x: fix build with GCC 11
  * net/bnx2x: fix build with GCC 11
  * net/ice/base: fix build with GCC 11
  * net/tap: fix build with GCC 11

  [ Chengwen Feng ]
  * net/mlx4: fix secondary process initialization ordering
  * net/mlx5: fix secondary process initialization ordering

  [ Jiawei Wang ]
  * net/mlx5: fix RSS flow item expansion for NVGRE

  [ Ciara Power ]
  * test/crypto: fix return value of a skipped test

  [ Adam Dybkowski ]
  * crypto/qat: fix null authentication request

  [ Min Hu (Connor) ]
  * app/crypto-perf: check memory allocation

  [ Dmitry Kozlyuk ]
  * examples/rxtx_callbacks: fix port ID format specifier

  [ Min Hu (Connor) ]
  * examples/flow_classify: fix NUMA check of port and core
  * examples/l2fwd-cat: fix NUMA check of port and core
  * examples/skeleton: fix NUMA check of port and core
  * test: check flow classifier creation

  [ David Hunt ]
  * test/power: fix CPU frequency check
  * test/power: add turbo mode to frequency check
  * test/power: fix low frequency test when turbo enabled
  * test/power: fix turbo test

  [ Ferruh Yigit ]
  * test/table: fix build with GCC 11

  [ Hongbo Zheng ]
  * examples/l3fwd-power: fix empty poll thresholds

  [ Min Hu (Connor) ]
  * test: fix division by zero

  [ David Marchand ]
  * devtools: fix orphan symbols check with busybox

  [ Kevin Traynor ]
  * test/crypto: fix build with GCC 11
  * crypto/zuc: fix build with GCC 11

  [ Yunjian Wang ]
  * net/mlx4: fix leak when configured repeatedly
  * net/mlx5: fix leak when configured repeatedly

  [ Suanming Mou ]
  * net/mlx5: fix counter offset detection

  [ David Marchand ]
  * net/vhost: restore pseudo TSO support

  [ Matan Azrad ]
  * vdpa/mlx5: fix device unplug

  [ Huisong Li ]
  * net/hns3: fix Rx/Tx queue numbers check
  * net/hns3: fix requested FC mode rollback
  * net/hns3: remove meaningless packet buffer rollback
  * net/hns3: fix DCB configuration
  * net/hns3: fix DCB reconfiguration
  * net/hns3: fix link speed when VF device is down

  [ Bing Zhao ]
  * net/mlx5: fix loopback for Direct Verbs queue

  [ Andy Moreton ]
  * common/sfc_efx/base: limit reported MCDI response length
  * common/sfc_efx/base: add missing MCDI response length checks

  [ Tianyu Li ]
  * net/memif: fix Tx bps statistics for zero-copy

  [ Kevin Traynor ]
  * test: fix build with GCC 11

  [ Timothy McDaniel ]
  * event/dlb2: remove references to deferred scheduling
  * doc: fix runtime options in DLB2 guide

  [ Kevin Traynor ]
  * test/cmdline: silence clang 12 warning

  [ Hongbo Zheng ]
  * net/hns3: fix concurrent interrupt handling

  [ David Marchand ]
  * net/ark: fix leak on thread termination
  * build: fix drivers selection without Python

  [ Shijith Thotton ]
  * event/octeontx2: fix crypto adapter queue pair operations
  * event/octeontx2: configure crypto adapter xaq pool

  [ Pavan Nikhilesh ]
  * event/octeontx2: fix XAQ pool reconfigure

  [ Wenjun Wu ]
  * net/ice: fix RSS for L2 packet

  [ Viacheslav Ovsiienko ]
  * net/mlx5: fix receiving queue timestamp format

  [ Xueming Li ]
  * version: 20.11.2-rc2
  * version: 20.11.2

  [ Charles (Chas) Williams ]
  * Updates to local patches for 20.11.2 (Bugfix: VRVDR-55131)

 -- Charles (Chas) Williams <ciwillia@vyatta.att-mail.com>  Sun, 15 Aug 2021 14:34:18 -0400

dpdk (20.11-2vyatta13) unstable; urgency=medium

  [ Daniel Gollub ]
  * rte-acl: Optimize rte_acl_build for building small tries at high-rate
  * rte-acl: Optimize for 5-tuple IPsec policies tunnel-mode with full
    port-range
  * rte-acl: Cache ACL rule bitmask generation to speed-up rte_acl_build
    calls

 -- Charles (Chas) Williams <ciwillia@vyatta.att-mail.com>  Fri, 30 Jul 2021 10:40:44 -0400

dpdk (20.11-2vyatta12) unstable; urgency=medium

  [ Daniel Gollub ]
  * rte-acl: introduce hash-cmp-func parameter

 -- Srinivas Narayan <narayan@vyatta.att-mail.com>  Tue, 06 Jul 2021 18:54:39 +0100

dpdk (20.11-2vyatta11) unstable; urgency=medium

  [ Daniel Gollub ]
  * rte-acl: don't insert incomplete acx in the rte_acl_list

 -- Charles (Chas) Williams <ciwillia@vyatta.att-mail.com>  Fri, 02 Jul 2021 10:31:41 -0400

dpdk (20.11-2vyatta10) unstable; urgency=medium

  * Restore missing libdpdk-dbg (Bugfix: VRVDR-55317)

 -- Charles (Chas) Williams <ciwillia@vyatta.att-mail.com>  Wed, 09 Jun 2021 10:43:32 -0400

dpdk (20.11-2vyatta9) unstable; urgency=medium

  [ Daniel Gollub ]
  * rte-acl: prepare add/del methods for growing pools
  * rte-acl: fix error-path in rte_acl_copy_rules method
  * rte-acl: allocate all memory before copying rules in
    rte_acl_copy_rules
  * rte-acl: avoid pre-mature derference of ctx in rte_acl_reset
  * rte-acl: reduce the HT load when completely filled

 -- Charles (Chas) Williams <ciwillia@vyatta.att-mail.com>  Tue, 01 Jun 2021 11:01:09 -0400

dpdk (20.11-2vyatta8) unstable; urgency=medium

  * virtio: fix all xmit routines (Bugfix: VRVDR-55233)

 -- Charles (Chas) Williams <ciwillia@vyatta.att-mail.com>  Tue, 01 Jun 2021 06:24:18 -0400

dpdk (20.11-2vyatta7) unstable; urgency=medium

  [ Daniel Gollub ]
  * cryptodev: initial support for symmetric empty mempool

 -- Charles (Chas) Williams <ciwillia@vyatta.att-mail.com>  Thu, 27 May 2021 13:17:08 -0400

dpdk (20.11-2vyatta6) unstable; urgency=medium

  [ Daniel Gollub ]
  * rte-acl: correct invalid copy_rules sanity check for acx flags

 -- Charles (Chas) Williams <ciwillia@vyatta.att-mail.com>  Wed, 26 May 2021 08:13:17 -0400

dpdk (20.11-2vyatta5) unstable; urgency=medium

  [ Charles (Chas) Williams ]
  * net/ixgbe: avoid branches in xmit path (Bugfix: VRVDR-54129)
  * Add Provides for SBP mbuf changes (Bugfix: VRVDR-54129)

  [ James Wheatley ]
  * Add noobs build profile (Closes: VRVDR-53810)

 -- Charles (Chas) Williams <ciwillia@vyatta.att-mail.com>  Wed, 19 May 2021 13:33:05 -0400

dpdk (20.11-2vyatta4) unstable; urgency=medium

  * rte-acl: DPDK QSBR RCU Defer Queue support

 -- Charles (Chas) Williams <ciwillia@vyatta.att-mail.com>  Wed, 19 May 2021 08:36:00 -0400

dpdk (20.11-2vyatta3) unstable; urgency=medium

  [ Nicholas Brown ]
  * d/rules update dpdk_config_options for make 4.3

  [ Daniel Gollub ]
  * rte-acl: report thread id to the RCU QS variable
  * rte-acl: DPDK QSBR RCU Defer Queue support

 -- Charles (Chas) Williams <ciwillia@vyatta.att-mail.com>  Wed, 19 May 2021 08:15:05 -0400

dpdk (20.11-2vyatta2) unstable; urgency=medium

  * net/bonding: fix potential endless loop on closing (Bugfix:
    VRVDR-54505)

 -- Charles (Chas) Williams <ciwillia@vyatta.att-mail.com>  Thu, 18 Feb 2021 16:16:10 -0500

dpdk (20.11-2vyatta1) unstable; urgency=medium

  [ C.J. Collier ]
  * Initial empty repository

  [ Ed Warnicke ]
  * Initial .gitreview

  [ C.J. Collier ]
  * Imported upstream release 16.04
  * Imported Upstream version 16.04

  [ Christian Ehrhardt ]
  * Merge Ubuntu DPDK packaging as of 15th June 2016
  * gitreview: set default branch in dpdk release specific branch
  * backport of further dpdk 16.07 fixes for library linking
  * changelog: backport more dpdk 16.07 library linking fixes
  * d/rules: allow external override of base dpdk configuration
  * Ignore quilt dir
  * d/control set maintainers to deb-dpdk@lists.fd.io
  * d/control bump to Standards-Version 3.9.8
  * fix package names to match sonames
  * d/control: drop unused mempool dependency from librte-eal2
  * d/copyright include BSD license as recommended by debian policy
  * d/copyright: refer to full on system GPL-3 license
  * d/control: add build dep to python-sphinx-rtd-theme
  * d/rules: make build more verbose by default
  * d/rules: report on used build flags
  * d/rules: transfer dpkg-buildflags to the dpdk build system
  * changelog: use dpkg-buildflags and properly enable hardening
  * d/rules: strip -Wl, from dpkg-buildflags output
  * d/rules: unify whitespace v2
  * debian/*.dirs sanitize dir files v2
  * Imported Upstream version 16.07-rc1
  * Imported Upstream version 16.07-rc1
  * adapt packaging to the import of 16.07-rc1
  * bump library versions to match ABIs in dpdk 16.07
  * fix exported symbols in librte_bond
  * add librte_pdump1
  * update symbols files for dpdk 16.07
  * initial changelog for the merge to dpdk 16.07-rc1
  * symbols: remove debian package versioning from symbols file

  [ Ricardo Salveti ]
  * Imported Upstream version 16.07-rc2
  * Imported Upstream version 16.07-rc3
  * Imported Upstream version 16.07-rc2
  * Imported Upstream version 16.07-rc3

  [ Christian Ehrhardt ]
  * droping upstreamed backports d/p/ubuntu-fix-bond-symbol-export.patch
  * droping upstreamed backport for fd >1023 handling
  * refresh d/p/ubuntu-fix-vhost-user-socket-permission.patch
  * adapt symbols to 16.07-rc3, rte_eth_dev_get_reg_length
  * update symbols rte_rtm_supported
  * update symbol rte_hash_get_key_with_position
  * update symbols of librte-pmd-bond1.symbols
  * changelog for dpdk 16.07-rc3
  * librte-eal2.symbols now arch specific
  * librte-port3.symbols is now arch specific

  [ Ricardo Salveti ]
  * Removing old patches, not used anymore
  * debian/rules: allow all make commands to be verbose
  * Fix libdpdk-dev headers path
  * Renaming package librte-pmd-e10001 to librte-pmd-e1000-1
  * Adding package librte-pmd-bnxt1
  * Merging symbols files, handling the arch differences inline instead

  [ Christian Ehrhardt ]
  * put a note in empty symbols files

  [ Anders Roxell ]
  * debian/control: add libpcap-dev to libdpdk-dev's Depends list

  [ Ricardo Salveti ]
  * Imported Upstream version 16.07-rc4
  * Imported Upstream version 16.07-rc4
  * Updating packaging with the 16.07-rc4 release
  * Imported Upstream version 16.07-rc5
  * Imported Upstream version 16.07-rc5
  * Updating packaging with the 16.07-rc5 release

  [ Luca Boccassi ]
  * Generate pkgconfig and ship it in libdpkg-dev
  * Document use of dquilt in debian/README.source

  [ Christian Ehrhardt ]
  * Imported Upstream version 16.07
  * Imported Upstream version 16.07
  * Updating packaging with the 16.07 release

  [ Anders Roxell ]
  * debian/control: add pciutils to the dpdk depends list

  [ Luca Boccassi ]
  * Add debian/.gitignore for debuild output files

  [ Christian Ehrhardt ]
  * ethtool: remove triple license information
  * examples: fix unusual-interpreter

  [ Luca Boccassi ]
  * Add d/source/options to ignore .gitreview

  [ Christian Ehrhardt ]
  * evolve "fix unusual interpreters" along the upstream discussion
  * Drop ubuntu prefix from patches
  * Update changelog regarding lintian fixes
  * Changelog: mention socket permission patch renaming

  [ Luca Boccassi ]
  * Add ${shlib:Depends} to dpdk-dev dependencies
  * Install api and guides in dpdk-doc
  * Convert debian/rules to new style DH targets
  * Add python to dpdk-doc Recommends to fix Lintian W
  * Fix typo in dpdk-doc.README.Debian
  * Fix upstream rc versions by using "~" instead of "-"

  [ Ricardo Salveti ]
  * changelog: fix debian-changelog-line-too-long lintian warning

  [ Luca Boccassi ]
  * Override lintian W: embedded-javascript-library

  [ Christian Ehrhardt ]
  * Add lintian-overrides for: E: dpdk-dev: arch-dependent-file-in-usr-
    share
  * doc: fix old dpdk-nic-bind.py references
  * scripts: make load-devel-config not to appear as executable
  * d/changelog: mark version as 16.07-0 until released
  * d/t/test-initscripts fix false positive in adt

  [ Luca Boccassi ]
  * Add optional binary kernel modules package

  [ Christian Ehrhardt ]
  * changelog: fix d/t/test-initscripts

  [ Luca Boccassi ]
  * Change debian version to 16.07-0~git1
  * Import patch to set *CPPFLAGS in upstream's mkfile
  * Set EXTRA/HOST CPP/LD/CFLAGS in debian/rules
  * Document how to build in debian/README.source
  * Add missing entries in debian/changelog
  * Fix rte-compile-pre-cppflags.patch header
  * Pass RTE_KERNELDIR to static build too
  * Restore d/control via sed rather than control.orig

  [ Christian Ehrhardt ]
  * build: enable powerpc
  * symbols: stop x86 only symbol to be required on ppc64el
  * d/tests: make tests compatible with ppc64el
  * d/tests: extend test-initscripts for 16M huge pages
  * config: fix power8 default conf
  * runtime: add 16M hugepages to config and init
  * changelog: ppc64el enablement

  [ Luca Boccassi ]
  * Build with RTE_DEVEL_BUILD=n to remove rpath
  * Update debian/copyright with changes from santiagorr

  [ Christian Ehrhardt ]
  * add man pages for installed binaries
  * d/rules build man pages
  * debian/changelog: fix minor typos
  * debian/copyright: fix some wrong file entries
  * remove duplicate homepage and lib entries
  * changelog: man page generation
  * changelog: mention the contributions of santiago
  * retain dkms build as adt artifacts
  * fix dkms of rte_kni for kernel >=4.8
  * changelog: mention dkms related fixes

  [ Luca Boccassi ]
  * Fix README build-dep bash snippet
  * Fix d/watch file to point to fast.dpdk.org/rel
  * Update changelog for d/watch fix
  * Use ?= to allow env var overrides in d/rules
  * Allow DPDK_CONFIG, RTE_MACHINE, RTE_TARGET overrides
  * Switch default branch to deb_dpdk_16.07
  * Update changelog for DPDK_CONFIG overrides
  * Have dpdk-modules-* conflicts with DKMS packages
  * Close ITP 815760 in changelog
  * Add myself as uploader

  [ Gowrishankar Muthukrishnan ]
  * dpdk-dev: enable lpm, acl, sched, table, port and pipeline libs in
    ppc64le
  * debian: fix control file to enable additional libs for ppc64le
  * debian: fix control file to enable virtio pmd for ppc64le
  * debian: update changelog for enabling missing libraries in ppc64le

  [ Santiago ]
  * debian/control: dpdk binary package Recommends [arm64] and Suggest
    dpdk dkms packages

  [ Christian Ehrhardt ]
  * Add myself as uploader

  [ Luca Boccassi ]
  * Finalize changelog for upload to unstable

  [ Christian Ehrhardt ]
  * fix fix-vhost-user-socket-permission.patch for 16.07
  * add dependencies for dpdk-pmdinfo
  * changelog: Fix d/p/fix-vhost-user-socket-permission.patch for dpdk
    16.07
  * changelog: d/control add python-elftools and hwdata dependencies

  [ Gowrishankar Muthukrishnan ]
  * dpdk-dev: fix ip_pipeline to load PMD driver correctly

  [ Christian Ehrhardt ]
  * utilize RTE_EAL_PMD_PATH
  * document pmd autoloading
  * changelog: utilize RTE_EAL_PMD_PATH
  * add empty RTE_EAL_PMD_PATH dir to librte_eal
  * add PMDs as recommend for dpdk runtime.
  * changelog: add PMDs as recommend for dpdk runtime
  * changelog: fix typo
  * changelog: fix ip_pipeline -d parameter
  * Fix dl_open issues in ip_pipeline
  * changelog: fixing dl_open issues in ip_pipeline
  * d/rules support DEB_BUILD_OPTIONS parallel
  * changelog: support DEB_BUILD_OPTIONS parallel
  * include the autotest suite in dpdk-dev
  * changelog: include the autotest suite in dpdk-dev
  * enable dpdk autotests as dep8 tests
  * changelog: enable dpdk autotests as dep8 tests

  [ Santiago ]
  * debian/rules: Only export hardening related building HOST_/EXTRA flags
    when dpkg-dev < 1.18.11.
  * debian/changelog: move post-first-debian-release changes to a new
    changelog stanza

  [ Luca Boccassi ]
  * DKMS: build against the requested kernel
  * Update changelog and close bug for DKMS kernel version
  * Use -fno-PIE when building kernel modules
  * Add changelog entry for -fno-PIE kernel module build fix
  * Backport patch to fix kernel modules builds on 4.9
  * Update changelog for kernel 4.9 build failures patch
  * Mark dpdk-doc as Multi-Arch: foreign
  * Update changelog for Multi-Arch: foreign in dpdk-doc
  * Finalize changelog for unstable
  * Set myself as maintainer until mailing list is open
  * Finalize changelog for unstable upload

  [ Christian Ehrhardt ]
  * Imported Upstream version 16.07.2
  * Imported Upstream version 16.07.2
  * Drop/Refresh patches due to moving to 16.07.2
  * changelog for merge of stable release 16.07.2
  * Imported Upstream version 16.11
  * Make 16.11.x the new default git-review branch
  * Imported Upstream version 16.11
  * refresh d/p/fix-vhost-user-socket-permission.patch
  * Drop d/p/fix-double-license-info.patch (is upstream)
  * Drop d/p/dpdk-dev-doc-fix-old-dpdk-nic-bind.py-references.patch (is
    upstream)
  * Drop d/p/make-load-devel-config-not-to-appear-as-executable.patch (is
    upstream)
  * Drop d/p/rte-compile-pre-cppflags.patch (is upstream)
  * Drop d/p/rte-devel-build-env.patch (is upstream)
  * Drop d/p/dpdk-dev-v2-*-4* (are upstream)
  * Drop d/p/dpdk-dev-ppc-enable-* (are upstream)
  * Changelog: initial version of 16.11-1~git1
  * add new (16.11) pmd qede
  * add new net library
  * changelog: add qede pmd now built by default
  * changelog: add new librte-net library
  * bump librte-eal version from 2 to 3 as package transition
  * changelog: bump librte-eal version from 2 to 3 as package transition
  * bump librte-cryptodev version from 1 to 2 as package rename transition
  * changelog: bump librte-cryptodev version from 1 to 2 as package
    transition
  * handle librte-ethdev version and rename changes package rename
    transition
  * changelog: handle librte-ethdev version and rename changes as package
    rename
  * rename and adapt bumped symbols so versions
  * add symbols to libs that only gained symbols (no new soname)
  * update add symbols in libs that bumped soname (drop symbols)
  * changelog: update symbols files to match the new release
  * make test-autotest always pass
  * changelog: make test-autotest always pass

  [ Luca Boccassi ]
  * Set maintainer to pkg-dpdk-dev alioth list
  * Update changelog for 16.11-1 release
  * Make dpdk suggest dpdk-doc (Closes: #847626)
  * Make dpdk suggest dpdk-doc (Closes: #847626)
  * Mention suggest of dpdk-doc in changelog

  [ Christian Ehrhardt ]
  * Make dpdk-dev's //lib symlink multiarch aware
  * changelog: Make dpdk-dev's //lib symlink multiarch aware
  * apply wrap-and-sort
  * Make the python-pyelftools only a Suggests
  * d/t/test-linkage - drop lrt check
  * d/t/test-linkage - drop pmd xenvirt check
  * changelog: d/control: apply wrap and sort
  * changelog: python-pyelftools as Suggests
  * changelog: d/t/test-linkage: fix issues on non-x86
  * Undo library version transition packages
  * changelog: Undo library transition packages
  * provide old ABI levels via backward compatibility of new DPDK
    libraries.
  * changelog: provide old ABI levels via backward compatibility
  * Imported Upstream version 16.11.1
  * Imported Upstream version 16.11.1
  * changelog: Merge stable update of DPDK 16.11.1

  [ Jan Blunck ]
  * Pass Debian multiarch libdir during install
  * Fix pkg-config multiarch libdir
  * Make debian/rules file call install-kmod
  * Explicitly pass kerneldir= variable

  [ Luca Boccassi ]
  * Update changelog for latest fixes

  [ Christian Ehrhardt ]
  * dpdk.conf: info about unwanted effects of multiple hugepage
    mountpoints
  * changelog: info about unwanted effects of multiple hugepage
    mountpoints

  [ Luca Boccassi ]
  * Clarify that only kni and igb_uio are under GPL2
  * Add changelog entry about GPL2

  [ Christian Ehrhardt ]
  * set default gerrit branch to new 17.05.x
  * Imported Upstream version 17.05
  * Add update-control.py helper script to rename packages
  * Imported Upstream version 17.05
  * Initial 17.05 changelog entry
  * debian/update-helper-*: packaging update helpers
  * changelog: add packaging update helpers
  * debian/control: drop old compat workaround
  * debian/control: switch to 17.05 package names
  * debian/rules: build using MAJOR_ABI
  * refresh debian/patches/* to match new DPDK version
  * debian/rules: adapt new location and build of tests
  * changelog: adapt new location and build of tests
  * changelog: adapt new location and build of tests
  * fix library availability per architecture
  * changelog: fix lib availability per architecture
  * debian/control: package the new libraries of 17.05
  * changelog: package the new libraries of 17.05
  * d/*symbols: update symbols files for 17.02/17.05
  * d/*.symbols: update symbols dropped in 17.02/17.05
  * changelog: update symbols files for DPDK 17.05
  * mention Ubuntu merge bug

  [ Luca Boccassi ]
  * Add option to disable docs build
  * Mention nodocs in the changelog
  * Add option to disable static libraries build
  * Mention nostatic in the changelog

  [ Christian Ehrhardt ]
  * sPAPR IOMMU based pci probing
  * changelog: sPAPR IOMMU based pci probing
  * i40e PMD / i40e vector PMD on ppc64el
  * changelog: i40e PMD / vector PMD on ppc64el
  * fix library availability/dependency
  * changelog:fix library availability/dependency
  * Add thunderx (LP: #1691659)
  * changelog: Add thunderx (LP: #1691659)
  * d/control deps and pkg for thunderx
  * changelog: d/control deps and pkg for thunderx
  * thunderx symbols
  * changelog: thunderx symbols
  * fix dkms issues on 4.11 (LP: #1691830)
  * changelog: fix dkms issues on 4.11 (LP: #1691830)
  * debian/control: remove arm64 dkms recommends
  * debian/rules: fix man pages on non-x86
  * changelog: fix man pages on non-x86
  * d/p/fix-vhost-user-socket-permission update ovs
  * changelog: d/p/fix-vhost-user-socket-permission

  [ Luca Boccassi ]
  * Finalise changelog for 16.11.1-2, upload to experimental
  * Change DEB_BUILD_OPTIONS nodocs to nodoc
  * Update changelog for nodocs to nodoc change
  * Use HTTPS for d/copyright format URL
  * Add try-restart to init script
  * Mention try-restart in changelog
  * Declare compliance with Debian Policy v4.0.0
  * Mention Standards-Version bump in changelog

  [ Christian Ehrhardt ]
  * Imported Upstream version 16.11.2
  * Imported Upstream version 16.11.2
  * Changelog: Merge stable update to 16.11.2
  * Drop patches that are in 16.11.2
  * Changelog: mention dropped changes

  [ Jan Blunck ]
  * Pass jobs argument via MAKEFLAGS variable

  [ Charles (Chas) Williams ]
  * Add support for building mempool packages

  [ Jan Blunck ]
  * Add dbgsym meta-package

  [ Luca Boccassi ]
  * Hide dbgsym metapackage behind DEB_BUILD_OPTIONS
  * Generate libdpdk-dev dependencies and dpdk recommends
  * Mention libpdk-dbgsym in changelog
  * Mention dependency generation in changelog
  * Set strict dependency on kernel version
  * Mention dpdk-modules-* dependency change in changelog
  * Mention mempool changes in changelog
  * Remove old compatibility transitional packages
  * Mention dropping transitional packages in changelog

  [ Charles (Chas) Williams ]
  * Fix upstream documentation links in d/control

  [ Luca Boccassi ]
  * mention links changes in changelog

  [ Charles (Chas) Williams ]
  * Pass -g via EXTRA_CFLAGS

  [ Luca Boccassi ]
  * Mention fixing dbg symbols in changelog
  * Finalise changelog for 16.11.2-1, upload to experimental
  * Finalise changelog for 16.11.2-2, upload to experimental
  * Finalise changelog for 16.11.2-3, upload to unstable
  * Rename libraries following ABI version rather than library version
  * Always change ABI in the config regardless of custom files
  * Mention libraries renaming in changelog
  * Mention always overriding RTE_MAJOR_ABI in changelog
  * Set +x on debian/rules
  * Drop patches merged in 17.05
  * Refresh fix-vhost-user-socket-permission.patch for 17.05
  * Mention patches updates in changelog
  * Adjust install path for UTs and check config first
  * Adjust symbols files ABI version
  * Fix gitignore for new ABI version
  * Add debhelper-build-stamp to gitignore

  [ Christian Ehrhardt ]
  * debian/rules: adapt new location and build of tests

  [ Luca Boccassi ]
  * Backport patches to fix reproducibility issues
  * Mention repro patches in changelog
  * Finalise changelog for 17.05-1, upload to experimental
  * Add new patches to make build fully reproducible
  * Note reproducibility and new patches in changelog

  [ Christian Ehrhardt ]
  * igb_uio: switch to new irq function for MSI-X (LP: #1700768)
  * changelog: igb_uio: switch to new irq function for MSI-X (LP:
    #1700768)

  [ Luca Boccassi ]
  * Update patchwork link in patches
  * Add patch to fix order of CFLAGS and drop dropped patch
  * Backport patches to fix reproducibility issues
  * Add new patches to make build fully reproducible
  * Update patchwork link in patches
  * Add patch to fix order of CFLAGS and drop dropped patch
  * Note reproducibility patches in changelog
  * Fix changelog for 16.11.2-4
  * Finalise changelog for 16.11.2-4, upload to unstable
  * Install arch-specific headers in /usr/include/ARCH
  * Note multiarch compliance in changelog
  * Install arch-specific headers in /usr/include/ARCH
  * Note multiarch compliance in changelog
  * New upstream version 17.05.1
  * Update changelog for 17.05.1
  * Backward compatibility: symlink x86_64 headers
  * Order pkgconfig includes with arch-specific first
  * Note multiarch workarounds in changelog
  * Backward compatibility: symlink x86_64 headers
  * Order pkgconfig includes with arch-specific first
  * Note multiarch workarounds in changelog
  * Revert "Order pkgconfig includes with arch-specific first"
  * Revert "Backward compatibility: symlink x86_64 headers"
  * Revert "Install arch-specific headers in /usr/include/ARCH"
  * Finalise changelog for 17.05.1-1, upload to experimental
  * Fix upstream version parsing
  * Use arch-dependent include directory in DKMS confs
  * Copy full headers directory into SDK
  * Fix upstream version parsing
  * Use arch-dependent include directory in DKMS confs
  * Copy full headers directory into SDK
  * Note dpdk-dev change in changelog
  * Note dpdk-dev change in changelog
  * Revert "Revert "Install arch-specific headers in /usr/include/ARCH""
  * Revert "Revert "Backward compatibility: symlink x86_64 headers""
  * Revert "Revert "Order pkgconfig includes with arch-specific first""
  * Finalise changelog for 17.05.1-2, upload to experimental
  * Update reproducible builds patches
  * New upstream version 17.08
  * note librte-eal linuxapp repro status

  [ Christian Ehrhardt ]
  * fix packaging of dpdk-devbind
  * changelog: fix packaging of dpdk-devbind

  [ Luca Boccassi ]
  * Finalise changelog for 17.05.1-3, upload to experimental

  [ Christian Ehrhardt ]
  * Fix d/p/fix-vhost-user-socket-permission.patch
  * changelog: Fix d/p/fix-vhost-user-socket-permission.patch for 17.05

  [ Luca Boccassi ]
  * Mark docs build-dependencies with <!nodoc>
  * Bump Standards-Version to 4.1.0, no changes
  * Mention nodoc and policy compliance in d/changelog
  * Finalise changelog for 17.05.1-4, upload to experimental
  * control: rename from 17.05 to 17.08
  * Add package for librte-gro
  * update-helper-symbols: do not append .0 to SOVERSION
  * Update and rename symbol files
  * Drop fix-power-default-config.patch, merged upstream
  * Drop mk-use-make-silent-flag-to-print-HTML-doc-version.patch, merged
    upstream
  * Drop mk-fix-excluding-.doctrees-when-installing-docs.patch, merged
    upstream
  * Refresh fix-vhost-user-socket-permission.patch
  * Build-dep on libnuma-dev, now mandatory
  * Use dpkg's DEB_VERSION_UPSTREAM instead of manually parsing
  * Use dpkg's DEB_HOST* instead of manually parsing
  * Update mk-order-CFLAGS-so-that-ISCDIR-comes-before-IRTE_OUT.patch to
    include librte-gro
  * Update symbols files for additions and removals in 17.08
  * Update changelog
  * New upstream version 16.11.3
  * Note 16.11.3 merge in changelog
  * Sync reproducible builds patches with 17.05.x
  * note librte-eal linuxapp repro status
  * Mark docs build-dependencies with <!nodoc>
  * Bump Standards-Version to 4.1.0, no changes
  * Mention nodoc and policy compliance in d/changelog
  * Use @debian.org email address
  * Note debian.org uploader change in changelog
  * Finalise changelog for 17.08-1, upload to experimental
  * Temporarily disable librte-pmd-failsafe
  * Finalise changelog for 17.08-2, upload to experimental
  * Revert "Temporarily disable librte-pmd-failsafe"
  * Add librte-pmd-failsafe package
  * Note librte-pmd-failsafe package in d/changelog
  * Finalise changelog for 17.08-3, upload to experimental
  * Use simpler patch for reproducible builds
  * Note new patch in changelog
  * Finalise changelog for 17.08-4, upload to experimental

  [ Christian Ehrhardt ]
  * d/rules: properly enable dpdk systemd service
  * d/rules: use new dh option names
  * changelog: mention systemd related changes to dh calls

  [ Luca Boccassi ]
  * Depend on debhelper >=9.20160709 rather than dh-systemd
  * Note debhelper depdency in changelog
  * Depend on Python 3 Sphinx packages rather than Python 2
  * Note Sphinx dependencies in changelog
  * New upstream version 17.11-rc3
  * Bump version in changelog
  * Update package names for new 17.11 ABI
  * Note ABI revision change in d/changelog
  * Fix DPDK_ABI parsing in d/rules to account for -rcX
  * Note version parsing in d/changelog
  * Package new libraries and PMDs
  * Note new packages in d/changelog
  * Drop repro build patches, merged upstream
  * Note dropping repro build patches in d/changelog
  * Refresh vhost-user-socket patch for 17.11-rc3
  * Note refresh of vhost-socket patch in d/changelog
  * Switch dependencies to python3
  * Note Python 3 deps switch in d/changelog
  * Build-depend on dh-sytemd as an alternative
  * Note dependency on dh-systemd in d/changelog
  * Revert "d/rules: use new dh option names"
  * Note change of dh-systemd new options in d/changelog
  * Drop Xen support and packages, removed upstream
  * Note drop of xen package in d/changelog
  * Use ~rc3 instead of -rc3
  * Fix DPDK_ABI parsing when using ~ for RCs
  * Note fixing the parsing of DPDK_ABI in d/changelog
  * New upstream version 17.11~rc4
  * Update changelog to 17.11~rc4

  [ Christian Ehrhardt ]
  * d/control: make python-pyelftools a recommends
  * changelog: d/control: make python-pyelftools a recommends

  [ Luca Boccassi ]
  * New upstream version 17.11
  * Update changelog for 17.11 final
  * Update symbols files for 17.11
  * Note symbols change in d/changelog

  [ Christian Ehrhardt ]
  * add librte-pmd-octeontx17.11
  * changelog: add librte-pmd-octeontx17.11

  [ Luca Boccassi ]
  * Backport patch to link testpmd with virtio pmd
  * Note backport of testpmd-link-virtio.patch in d/changelog

  [ Dimitri John Ledkov ]
  * d/tests/control: fix test dependencies for s390x.

  [ Christian Ehrhardt ]
  * changelog: d/t/control: fix test dependencies for s390x
  * changelog: mention closing #882480

  [ Luca Boccassi ]
  * Finalise changelog for 17.11-1, upload to experimental
  * Add maven_env.txt to dpkg diff ignore regex
  * Bump Standards-Version to 4.1.1, no changes
  * Note S-V change in d/changelog
  * Add python dep to dpdk-doc for scripts
  * Note python dep to dpdk-doc in d/changelog
  * Use dpkg's DEB_VERSION_UPSTREAM instead of manually parsing
  * Use dpkg's DEB_HOST* instead of manually parsing
  * Use @debian.org email address
  * Note debian.org uploader change in changelog

  [ Christian Ehrhardt ]
  * d/rules: properly enable dpdk systemd service
  * d/rules: use new dh option names
  * changelog: mention systemd related changes to dh calls

  [ Luca Boccassi ]
  * Depend on debhelper >=9.20160709 rather than dh-systemd
  * Note debhelper depdency in changelog
  * Depend on Python 3 Sphinx packages rather than Python 2
  * Note Sphinx dependencies in changelog
  * Fix DPDK_ABI parsing in d/rules to account for -rcX
  * Note version parsing in d/changelog
  * Switch dependencies to python3
  * Note Python 3 deps switch in d/changelog
  * Build-depend on dh-sytemd as an alternative
  * Note dependency on dh-systemd in d/changelog
  * Revert "d/rules: use new dh option names"
  * Note change of dh-systemd new options in d/changelog
  * Fix DPDK_ABI parsing when using ~ for RCs
  * Note fixing the parsing of DPDK_ABI in d/changelog

  [ Christian Ehrhardt ]
  * d/control: make python-pyelftools a recommends
  * changelog: d/control: make python-pyelftools a recommends

  [ Dimitri John Ledkov ]
  * d/tests/control: fix test dependencies for s390x.

  [ Christian Ehrhardt ]
  * changelog: d/t/control: fix test dependencies for s390x

  [ Luca Boccassi ]
  * Add maven_env.txt to dpkg diff ignore regex
  * Bump Standards-Version to 4.1.1, no changes
  * Note S-V change in d/changelog
  * Add python dep to dpdk-doc for scripts
  * Note python dep to dpdk-doc in d/changelog
  * Revert "Note python dep to dpdk-doc in d/changelog"
  * Revert "Add python dep to dpdk-doc for scripts"
  * Revert "changelog: d/control: make python-pyelftools a recommends"
  * Revert "d/control: make python-pyelftools a recommends"
  * Revert "Note Python 3 deps switch in d/changelog"
  * Revert "Switch dependencies to python3"
  * Revert "Note Sphinx dependencies in changelog"
  * Revert "Depend on Python 3 Sphinx packages rather than Python 2"
  * Revert backward-incompatible per-arch header install change
  * Finalise changelog for 16.11.3-1, upload to unstable
  * Finalise changelog for 17.11-2, upload to experimental
  * New upstream version 16.11.4
  * Update changelog for 16.11.4
  * Drop kni-fix-ethtool-build-with-kernel-4.11.patch, merged upstream
  * Note dropped patch in d/changelog
  * Finalise changelog for 16.11.4-1, upload to unstable
  * Finalise changelog for 17.11-3, upload to unstable
  * Fix librte-gro description typo
  * Note description fix in d/changelog and close bug

  [ Christian Ehrhardt ]
  * d/rules: make auto-loaded drivers dir versioned
  * changelog: d/rules: make auto-loaded drivers dir versioned

  [ Luca Boccassi ]
  * Finalise changelog for 17.11-4, upload to unstable
  * dpdk: depend on python-pyelftools | python3-pyelftools
  * note dep change in d/changelog
  * dpdk-doc: depend only on python3
  * Note dpdk-doc dep change in d/changelog
  * dpdk-doc: depend on python3:any to fix multiarch warning
  * Note python3:any change in d/changelog
  * Bump Standards-Version to 4.1.3
  * Note S-V bump in d/changelog
  * Use https for dpdk.org links
  * Note dpdk.org links changes in d/changelog
  * dpdk[-doc]: convert all scripts to python3
  * Note shebang and dep changes in d/changelog
  * Switch all remaining URLs to https
  * Finalise changelog for 17.11-5, upload to unstable.
  * Fix typo in patch description caught by Lintian
  * New upstream version 18.02
  * Add new upstream version in d/changelog
  * Update ABI version in control file 17.11 -> 18.02
  * Rename and update symbols file 17.11 -> 18.02
  * Note ABI change in d/changelog
  * Drop testpmd-link-virtio.patch, not actually needed
  * Note patch drop in d/changelog
  * Refresh fix-vhost-user-socket-permission.patch to remove fuzz from
    18.02
  * Note patch refresh in d/changelog
  * Add packages for new libs and PMDs
  * Note new packages in d/changelog
  * Add missing symbols files
  * Add openssl PMD for 886150
  * Note new openssl pmd in d/changelog
  * Finalise changelog for 18.02-1, upload to experimental
  * New upstream version 17.11.1
  * Update changelog for 17.11.1
  * Update changelog for 17.11.1-1 release
  * Use pkg-config and global include in autopkgtest
  * Note autopkgtest fix in d/changelog
  * Update changelog for 17.11.1-2 release
  * Install pkg-config for linkage autopkgtest
  * Note autopkgtest dep in d/changelog
  * Update changelog for 17.11.1-3 release

  [ Christian Ehrhardt ]
  * * d/control: let libdpdk-dev depend on zlib1g-dev
  * changelog: let libdpdk-dev depend on zlib1g-dev

  [ Luca Boccassi ]
  * Update changelog for 17.11.1-4 release

  [ Christian Ehrhardt ]
  * depend on dpdk-dev to be able to use dpdk-sdk-env.sh
  * changelog: depend on dpdk-dev to be able to use dpdk-sdk-env.sh
  * d/t/testlinkage: improvements and fixes for current debci issues
  * changelog: improvements and fixes for current debci issues

  [ Luca Boccassi ]
  * Update changelog for 17.11.1-5 release
  * Use pkg-config and global include in autopkgtest
  * Note autopkgtest fix in d/changelog
  * Install pkg-config for linkage autopkgtest
  * Note autopkgtest dep in d/changelog

  [ Christian Ehrhardt ]
  * * d/control: let libdpdk-dev depend on zlib1g-dev
  * changelog: let libdpdk-dev depend on zlib1g-dev
  * depend on dpdk-dev to be able to use dpdk-sdk-env.sh
  * changelog: depend on dpdk-dev to be able to use dpdk-sdk-env.sh
  * d/t/testlinkage: improvements and fixes for current debci issues
  * changelog: improvements and fixes for current debci issues
  * changelog: move 18.02.x branching cherry-picks to 18.02-1~git1
  * Add package and build-dependency MLX4 and MLX5 PMDs.
  * changelog: Add package and build-dependency MLX4 and MLX5 PMDs.
  * fix build on ppc64el
  * changelog: fix build on ppc64el

  [ Luca Boccassi ]
  * Update ppc64 patch header with upstream commit
  * Backport patches to fix arm64 build
  * Note arm64 patches backport in d/changelog
  * Add new arm64 PMDs that are enabled by default
  * Note new PMDs in d/changelog
  * Update symbols files for 18.02
  * Note new symbols in d/changelog

  [ Christian Ehrhardt ]
  * test-linkage: drop brittle test for secondary library dependencies
  * changelog: test-linkage: drop brittle test for secondary library
    dependencies
  * test-linkage: drop brittle test for secondary library dependencies
  * changelog: test-linkage: drop brittle test for secondary library
    dependencies

  [ Luca Boccassi ]
  * Update changelog for 17.11.1-6 release

  [ Christian Ehrhardt ]
  * debian/control: Fix MLX4/MLX5 enablement to match DPDK 18.02
  * changelog: Fix MLX4/MLX5 enablement to match DPDK 18.02

  [ Luca Boccassi ]
  * Update changelog for 18.02-2 release

  [ Christian Ehrhardt ]
  * d/control: add new PMDs: bbdev-null, skeleton-rawdev, vdev-netvsc
  * changelog: d/control: add new PMDs: bbdev-null, skeleton-rawdev, vdev-
    netvsc
  * symbols of new PMDs in 18.02
  * changelog: symbols of new PMDs in 18.02

  [ Luca Boccassi ]
  * New upstream version 17.11.2
  * New upstream version 18.02.1
  * Update changelog for 17.11.2
  * Update changelog for 18.02.1
  * Update changelog for 18.02.1-1 release
  * Update changelog for 17.11.2-1 release

  [ Christian Ehrhardt ]
  * New upstream version 18.05
  * changelog: merge 18.05
  * drop patches that are upstream in 18.05
  * changelog: drop patches that are upstream in 18.05
  * refresh d/p/fix-vhost-user-socket-permission.patch for 18.05
  * changelog: refresh d/p/fix-vhost-user-socket-permission.patch for
    18.05
  * d/control: bump ABI version on packages
  * changelog: d/control: bump ABI version on packages
  * bump d/*.symbols for new ABI
  * changelog: bump d/*.symbols for new ABI
  * d/*.symbols: update for new libs, new and dropped symbols
  * d/control: packages for new libs and pmds
  * changelog: new libs/symbols
  * d/rules: adapt to move of kernel modules directories in 18.05
  * changelog: adapt to move of kernel modules directories in 18.05
  * dpaa builds on non arm as well now
  * changelog: d/control: dpaa drivers build on non arm64 as well now
  * d/control: fix typo in librte_bus_vdev (not worth CL entry)
  * d/rules: handle IFCVF as callback driver
  * changelog: d/rules: handle IFCVF as callback driver

  [ Luca Boccassi ]
  * Finalise changelog for 18.05-1, upload to experimental

  [ Zang MingJie ]
  * Fix librte-pmd-dpaa-event18.05 symbols

  [ Christian Ehrhardt ]
  * New upstream version 17.11.3
  * changelog: merge 17.11.3 stable release
  * Add package and build-dependency MLX4 and MLX5 PMDs.
  * symbol files for mlx PMDs
  * d/p/app-testpmd-add-ethernet-peer-command.patch: ensure MLX PMDs are
    well testable
  * changelog: Add package and build-dependency MLX4 and MLX5 PMDs.
  * New upstream version 17.11.3

  [ Luca Boccassi ]
  * Add new symbols from 17.11.3
  * Fix package name in new ml5 symbols file
  * Update changelog for 17.11.3-1 release, upload to unstable
  * Fix typo in changelog
  * Temporarily disable ML4 and MLX5 again to fix FTBS
  * Update changelog for 17.11.3-2 release
  * Fix copypasta in control file descriptions

  [ Christian Ehrhardt ]
  * fix Build against rdma-core v19
  * make rdma-core v19 fix work on 17.11.3
  * changelog: fix Build against rdma-core v19

  [ Luca Boccassi ]
  * Revert "Temporarily disable ML4 and MLX5 again to fix FTBS"
  * Update changelog for 17.11.3-3 release, upload to unstable
  * Build avf PMD for arm64/i386/ppc64el
  * Update changelog for AVP bug fix and close bug
  * Enable Intel AES PMD
  * Note AES PMDs enablement in changelog
  * New upstream version 18.08
  * Note 18.08 in d/changelog
  * Refresh vhost socket patch for 18.08
  * Note patch refresh for 18.08 in d/changelog
  * Add build-dependency on libmnl-dev, needed by MLX PMD
  * Note new libmnl dep in d/changelog
  * Update ABI to 18.08
  * Note ABI bump in d/changelog
  * Update symbols files for 18.08
  * Note symbols ABI bump in d/changelog
  * Rename librte-ifcvf-vdpa to librte-pmd-ifc following upstream change
  * Note PMD name change in d/changelog
  * Update changelog for 18.08-1 release, upload to experimental

  [ Christian Ehrhardt ]
  * - d/p/tmpfix-ppc-build-error.patch: fix ppc64el build issue
  * changelog: fix ppc64el build issue

  [ Luca Boccassi ]
  * Update changelog for 18.08-2 release, upload to experimental

  [ Dmitry Eremin-Solenikov ]
  * Enable building DPDK for armhf

  [ Luca Boccassi ]
  * Note armhf build in d/changelog
  * Add libibverbs-dev dependency in libdpdk-dev
  * Note libibverbs-dev dep addition in d/changelog
  * Add more armhf packages
  * Add missing packages for PMDs built by default
  * Note new packages in d/changelog
  * Implemente terse DEB_BUILD_OPTIONS
  * Note terse option in d/changelog
  * Add Rules-Requires-Root: no to d/control
  * Note R3 in d/changelog
  * Bump Standards-Version to 4.2.1
  * Note Standards-Version change in d/changelog
  * Update changelog for 18.08-3 release, upload to experimental
  * Restrict watch file to 17.11.x
  * New upstream version 17.11.4
  * Update changelog for 17.11.4
  * Drop MLX5 patch, merged upstream
  * Note dropping MLX5 patch in d/changelog
  * Add new rte_eal_check_dma_mask symbol
  * note new symbol in d/changelog
  * Update changelog for 17.11.4-1 release
  * New upstream version 18.11-rc1
  * New upstream version 18.11-rc2
  * Bump debhelper compat to 10
  * Switch to Meson
  * Don't build dpdk-doc when using the nodoc profile
  * Build-depend on libbsd-dev and libelf-dev
  * Package libraries built by default
  * Use dh-missing
  * Package zlib PMD
  * Add missing BNX URL metadata
  * Drop dpdk-dev SDK
  * Set minimum RDMA core version to 16
  * Fix typo in dkms autopkgtest log
  * Use pkg-config rather than SDK in autotests
  * Add librte-pmd-enetc for new PMD
  * Update control and symbols to 18.11
  * Add new 18.11 PMDs
  * Update symbols for 18.11
  * Update changelog for 18.11
  * Update changelog with Meson changes
  * Use https for all docs links in d/control
  * Add missing docs links in debian/control
  * Drop libdpdk-dbgsym - not really used and broken in sid
  * Build-depend on libjansson-dev, needed by telemetry library
  * Override pkg-config flags Lintian error
  * Enable PIE hardening
  * Override lintian warning about scripts with extension in bin
  * Add libssl-dev dependency on libdpdk-dev for libcrypto.pc
  * Add libbsd-dev dependency on libdpdk-dev for bsd/string.h
  * Update changelog for latest packaging changes
  * Drop all patches, not needed anymore
  * Note dropping patches in d/changelog
  * Fix /lib/dpdk/dpdk-init status call
  * Restore RTE_MACHINE DEB_BUILD_OPTIONS

  [ Christian Ehrhardt ]
  * - d/p/fix-build-arch-defaults.patch: fix non x86 compilation and
    defaults
  * changelog: fix non x86 compilation and defaults
  * d/control: fix libnuma compile issues now available on armhf
  * d/rules: armhf has no default machine, set old default machine
  * changelog: fixes for armhf builds

  [ Luca Boccassi ]
  * New upstream version 18.11-rc3
  * Bump changelog version to rc3

  [ Christian Ehrhardt ]
  * d/control: librte-pmd-avp18.11 now builds for i386 as well
  * changelog: librte-pmd-avp18.11 now builds for i386 as well
  * d/control: enable more architectures on PMDs now building
  * changelog: enable more architectures on PMDs now building
  * update build fixes to upstream submitted v4
  * changelog: update build fixes to upstream submitted v4
  * d/rules: select baseline RTE_MACHINE=default
  * changelog: select baseline RTE_MACHINE=default
  * set RTE_MACHINE after potential external override

  [ Luca Boccassi ]
  * Enable more PMDs for armhf

  [ Christian Ehrhardt ]
  * d/rules: d/control: drop the majority of PMDs to suggest and select
    only a common subset for Recommends
  * d/control, d/control.modules.in, d/dpdk.install, d/dpdk-doc.install:
    apply wrap-and-sort --wrap-always --trailing-comma
  * changelog: apply wrap-and-sort --wrap-always --trailing-comma
  * fix package version

  [ Luca Boccassi ]
  * Backport patch to fix armhf build
  * Note armhf patch in d/changelog
  * B-Dep on Debhelper >= 10.3, which introduced Meson support
  * Note B-Dep debhelper bump in d/changelog

  [ Christian Ehrhardt ]
  * d/dpdk-rte-kni-dkms.dkms.in: fix dkms build in newer kernels by adding
    a path for its own kni_fifo.h
  * d/control: enhance dkms builds by depending on libelf-dev
  * changelog: mention dkms related fixes for 18.11

  [ Luca Boccassi ]
  * Add dpdk_config_options list to DEB_BUILD_OPTIONS
  * Note dpdk_config_options in d/changelog
  * New upstream version 18.11-rc4
  * Drop patches merged in 18.11-rc4
  * Remove mention of patches from d/changelog, never shipped
  * Bump version to 18.11-rc4
  * Update librte-security symbols, not experimental anymore
  * New upstream version 18.11
  * Update version in d/changelog
  * Update librte-security yet again for final 18.11 version
  * Update changelog for 18.11-1 release, upload to experimental
  * Add back empty line at the bottom of d/control
  * Add patch to fix reproducible doc builds
  * Note docs patch in d/changelog
  * libdpdk-dev: depend on libmnl-dev, libnuma-dev
  * Note new libdpdk-dev deps in d/changelog
  * Restrict watch file to 18.11 series
  * Note watch file restriction in d/changelog
  * Finalise changelog for 18.11-2, upload to unstable.
  * Backport patch to fix arm64 baseline architecture
  * Note arm64 patch in d/changelog
  * Update changelog for 18.11-3 release, upload to unstable
  * Restrict watch file to 18.11 series
  * Note watch file restriction in d/changelog
  * Backport patch to fix arm64 baseline architecture
  * Note arm64 patch in d/changelog
  * Fix typo in ccp PMD short description
  * Note typo fix in d/changelog

  [ Christian Ehrhardt ]
  * move developer tools from dpdk to dpdk-dev
  * changelog: move developer tools from dpdk to dpdk-dev

  [ Luca Boccassi ]
  * Dynamically link applications and tests
  * Note link change in d/changelog
  * autopkgtest: depend on dpdk-dev which now ships test binaries
  * Note higher-than-baseline march in description of libdpdk-dev
  * Note libdpdk-dev description change in d/changelog
  * binary module build: use kernel headers from highest version
  * Note binary kernel module change in d/changelog
  * Bump minimum meson version to 0.47.1 and backport patches
  * Note meson version and patches in d/changelog
  * Update changelog for 18.11-4 release
  * libdpdk-dev: depend on libipsec-mb-dev
  * note libipsec-mb-dev dependency in d/changelog

  [ Christian Ehrhardt ]
  * d/control: add librte-mempool-ring to the list of default libs
  * changelog: add librte-mempool-ring to the default Recommends of dpdk

  [ Luca Boccassi ]
  * Update changelog for 18.11-5 release, upload to unstable

  [ Christian Ehrhardt ]
  * - d/control: ensure break relationships are backportable
  * changelog: ensure break relationships are backportable
  * - d/p/*kni-fix-build*: fix build with kernel 5.0 (LP: #1814919)
  * changelog: fix build with kernel 5.0 (LP: #1814919)

  [ Luca Boccassi ]
  * Add NEWS entry for dpdk-dev
  * Move new changelog entries to 18.11-5 and add entry for NEWS
  * Update changelog for 18.11-6 release, upload to unstable
  * Bump Standards-Version to 4.3.0, no changes.
  * Note S-V changes in d/changelog

  [ Christian Ehrhardt ]
  * New upstream version 18.11.1
  * New upstream version 18.11.1
  * drop 0001-doc-fix-garbage-text-in-generated-HTML-guides.patch being in
    18.11.1
  * drop 0003-build-mention-march-in-pkg-config-description.patch being in
    18.11.1
  * refresh 0004-build-bump-minimum-Meson-version-to-0.47.1.patch for
    18.11.1
  * drop 0001-kni-fix-build-for-dev_open-in-Linux-5.0.patch and 0002-kni-
    fix-build-for-igb_ndo_bridge_setlink-in-Linux-5..patch being in
    18.11.1
  * changelog: merge 18.11.1
  * d/control: fix usability issue with mlx PMDs which might need rdma-
    core (Closes: #925141)
  * changelog: fix usability issue with mlx PMDs which might need rdma-
    core (Closes: #925141)

  [ Luca Boccassi ]
  * Update changelog for 18.11.1-1 release, upload to experimental

  [ Christian Ehrhardt ]
  * d/control: drop shlibs:Depends from dpdk as it has no binaries anymore
  * changelog: drop shlibs:Depends from dpdk as it has no binaries anymore
  * fix kni DKMS build with Linux 5.1 kernels (LP: #1827102)
  * changelog: fix kni DKMS build with Linux 5.1 kernels (LP: #1827102)
  * Update changelog for 18.11.1-2 release, upload to experimental
  * d/control: drop unused build dependency to libcap-dev
  * d/control: add dependencies to libdpdk-dev: libelf-dev and libjansson-
    dev to avoid pkg-config issues
  * changelog: mention -dev fixes
  * New upstream version 18.11.2
  * New upstream version 18.11.2
  * - drop changes upstream in 18.11.2   0002-build-use-generic-march-on-
    arm64-when-using-default.patch   lp-1827102-kni-fix-build-with-
    Linux-5.1.patch
  * - refresh 0004-build-bump-minimum-Meson-version-to-0.47.1.patch for
    18.11.2
  * changelog: Merge stable update to 18.11.2
  * Update changelog for 18.11.2-1 release, upload to experimental
  * debian/rules: clean doc files
  * changelog: mention debian/rules: clean doc files
  * debian/rules: clean doc files
  * changelog: mention debian/rules: clean doc files
  * d/control: set VCS to be Salsa based
  * d/README.source: add info about salsa git usage

  [ Luca Boccassi ]
  * Update changelog for 18.11.2-2 release

  [ Christian Ehrhardt ]
  * New upstream version 19.08
  * Revert "New upstream version 18.11.2"
  * Revert "New upstream version 18.11.1"
  * New upstream version 19.08
  * d/control: update to new major version number
  * flat update of d/*.symbols for 19.08
  * Drop patches merged in 19.08
  * d/dpdk-dev.install: update new paths to dpdk-test
  * d/control: d/librte-pmd-qede18.11.symbols: pmd-qede no more built by
    default
  * d/*.symbols: rename to new major version
  * d/control, d/*.symbols: new PMDs librte-pmd-octeontx2 librte-pmd-
    bbdev-fpga-lte-fec librte-pmd-bbdev-turbo-sw librte-pmd-hinic librte-
    pmd-ice librte-pmd-ipn3ke librte-pmd-memif librte-pmd-octeontx2-event
  * d/control: d/*.symbols: move renamed PMDs - librte-pmd-skeleton-rawdev
    -> librte-rawdev-skeleton - librte-pmd-dpaa2-cmdif -> librte-rawdev-
    dpaa2-cmdif - librte-pmd-dpaa2-qdma -> librte-rawdev-dpaa2-qdma -
    librte-pmd-avf -> librte-pmd-iavf - librte-pmd-ifpga-rawdev (somewhat
    indirectly replaced by librte-pmd-ipn3ke)
  * d/control: add new Homepage references
  * d/control, d/*.symbols: new rawdev drivers librte-rawdev-ioat, librte-
    rawdev-ntb, librte-rawdev-octeontx2-dma
  * d/control, d/*.symbols: add new libraries librte-common-octeontx2,
    librte-ipsec, librte-mempool-octeontx2, librte-rcu and librte-stack
  * d/dpdk-dev.install: new test binaries
  * d/dpdk-doc.install: add new examples path
  * d/*.symbols: add new and updated symbols
  * d/p/fix-ppc64-mlx4-build.patch: fix FTBFS on ppc64el
  * changelog: new upstream version DPDK 19.08
  * fixup package reference in debian/librte-common-
    octeontx2-19.08.symbols

  [ Luca Boccassi ]
  * Note branch in Vcs-Git
  * Bump Standards-Version to 4.4.0
  * Fix distribution in dpdk-dev.NEWS. Fixes LW: debian-news-entry-has-
    strange-distribution
  * Update changelog for 18.11.2-3 release

  [ Christian Ehrhardt ]
  * d/p/avoid-as-needed-as-it-causes-overlinking.patch: fix overlinking in
    software using the dpdk pkg-config (LP: #1841759)
  * d/p/avoid-as-needed-as-it-causes-overlinking.patch: fix overlinking in
    software using the dpdk pkg-config (LP: #1841759)
  * changelog: update for 18.11.2-4 release
  * New upstream version 18.11.3
  * New upstream version 18.11.3
  * d/p/*: refresh patches for 18.11.3 context
  * d/dpdk-dev.install: dpdk-test is now properly in usr/bin
  * d/librte-security18.11.symbols: mark some experimental symbols now as
    such (none is gone)
  * changelog: release 18.11.3-1 for unstable
  * changelog: mention 18.11.3 fixing (LP: #1848585)

  [ Luca Boccassi ]
  * New upstream version 18.11.4
  * Refresh 0004-build-bump-minimum-Meson-version-to-0.47.1.patch to
    remove fuzz from 18.11.4
  * Update changelog for 18.11.4-1 release
  * New upstream version 18.11.5
  * Refresh 0004-build-bump-minimum-Meson-version-to-0.47.1.patch to
    remove fuzz from 18.11.5
  * Update changelog for 18.11.5-1 release

  [ Christian Ehrhardt ]
  * New upstream version 19.11
  * New upstream version 19.11
  * d/control: bump versions to 19.11
  * drop duplicate debian/update-control.py helper
  * d/*.symbols: bump for 19.11
  * rte-kni module support dropped upstream, remove former package dpdk-
    rte-kni-dkms
  * drop patches now being upstream   - d/p/fix-ppc64-mlx4-build.patch   -
    d/p/avoid-as-needed-as-it-causes-overlinking.patch
  * d/dpdk-dev.install: add new dpdk-test-sad
  * d/control, d/*.symbols: new rte libraries rib and fib
  * d/control, d/*.symbols: new PMDs for qede pfe nitrox hns3 and
    octeontx2-crypto
  * d/dpdk.lintian-overrides: it is ok that example shell scripts are not
    executable
  * new Major ABI is set to 20.0 by upstream
  * d/rules: global ABI_VERSION now tracked in a file by upstream
  * d/control: add new build-dependencies libfdt-dev and libbpf-dev
  * changelog: New upstream release 19.11
  * d/control: libisal-dev for compress/isal
  * changelog: new build deps

  [ Thomas Monjalon ]
  * version: 20.02-rc0

  [ Christian Ehrhardt ]
  * d/control: bump minimium meson version
  * d/control: drop no more built librte-pmd-ipn3ke20.0
  * d/control: add new PMDs of 19.11 af-xdp and isal
  * changelog: further adaptions for packaging of 19.11
  * d/*.symbols: pmd symbols files for af-xdp and isal
  * changelog: mark LP bug fixed by dropping KNI dkms
  * d/*.symbols: bump to new defined ABI 20.0 merging all former versions
  * marking libisal-dev for only amd64|arm64
  * Revert "d/control: bump minimium meson version"
  * changelog: revert bump minimium meson version
  * lintian override for dpdk-doc needs to be in debian/dpdk-doc.lintian-
    overrides
  * d/*.lintian-overrides: add overrides for a few known but accepted
    deficiencies
  * d/control, d/rules: experimental only libs now are on an soname 0.200
    (bbdev, bpf, compressdev, fib, flow-classify, ipsec, rcu, rib, stack,
    telemetry)
  * changelog: experimental sonames are ABI zero
  * debian/librte-pmd-octeontx2-event20.0.symbols: drop useless suffix
  * move lintian override for source package to debian/source/lintian-
    overrides
  * d/librte-port20.0.symbols: RTE_LIBRTE_KNI is of in i386 and armhf
  * d/librte-eal20.0.symbols: rte_rtm_supported is x86_64 only

  [ Stephen Hemminger ]
  * eal/linux: fix uninitialized data valgrind warning

  [ David Marchand ]
  * eal/linux: fix build error on RHEL 7.6

  [ Christian Ehrhardt ]
  * d/control: let libdpdk-dev depend on the new build dependencies
  * changelog: mention new deps of libdpdk-dev
  * d/t/test-dkms: drop check for no more existing KNI dkms module

  [ Luca Boccassi ]
  * Update changelog for 19.11-1 release

  [ Thomas Monjalon ]
  * doc: fix build with python 3.8

  [ Ali Alnubani ]
  * net/mlx: fix build with clang 9

  [ Thomas Monjalon ]
  * devtools: fix debug build test

  [ Bruce Richardson ]
  * build: fix soname info for 19.11 compatibility

  [ David Marchand ]
  * test/common: fix log2 check

  [ Aaron Conole ]
  * service: don't walk out of bounds when checking services

  [ Luca Boccassi ]
  * dh-missing: ignore examples directory
  * Update changelog for 19.11-2 release

  [ Bruce Richardson ]
  * build: explicitly enable sse4 for meson

  [ David Marchand ]
  * build: fix libm detection in meson
  * ci: use meson 0.47.1

  [ Matan Azrad ]
  * drivers: introduce vDPA class
  * doc: add vDPA features table
  * drivers: move ifc to vDPA directory

  [ Ruifeng Wang ]
  * devtools: add path to additional shared object files
  * ci: add travis ci support for native aarch64

  [ Bruce Richardson ]
  * kni: fix meson warning about console keyword
  * doc: fix warning with meson
  * doc: reduce whitespace in meson build file
  * doc: rebuild with meson whenever a file changes
  * doc: reduce indentation in meson build file

  [ Mattias Rönnblom ]
  * event/dsw: add xstats query by name
  * event/dsw: flush buffers immediately on zero-sized enqueue

  [ Pavan Nikhilesh ]
  * examples/l2fwd-event: fix event device config

  [ Mattias Rönnblom ]
  * event/dsw: avoid credit leak on oversized enqueue bursts

  [ Pavan Nikhilesh ]
  * examples/l2fwd-event: fix ethdev RSS setup
  * test/event: fix unintended vdev creation
  * test/event: fix OCTEON TX2 event device name
  * event/octeontx2: fix device name in device info
  * event/octeontx2: relax memory requirement for timers

  [ Gavin Hu ]
  * bus/fslmc: remove conflicting memory barrier macro
  * eal: add wait until equal API
  * ticketlock: use new API to reduce contention on aarch64
  * net/thunderx: use new API to save cycles on aarch64
  * event/opdl: use new API to save cycles on aarch64

  [ Arek Kusztal ]
  * cryptodev: add Chacha20-Poly1305 AEAD algorithm

  [ Adam Dybkowski ]
  * test/crypto: fix missing operation status check

  [ Ayuj Verma ]
  * cryptodev: support ECDSA

  [ Sunila Sahu ]
  * crypto/octeontx: support ECDSA
  * crypto/octeontx2: support ECDSA

  [ Ayuj Verma ]
  * test/crypto: add ECDSA sign/verify cases

  [ Balakrishna Bhamidipati ]
  * cryptodev: support ECPM

  [ Sunila Sahu ]
  * crypto/octeontx: support ECPM
  * crypto/octeontx2: support ECPM
  * test/crypto: add ECPM cases

  [ Fiona Trahe ]
  * common/qat: remove tail write coalescing
  * common/qat: move max in-flights param into qp
  * common/qat: support dual threads for enqueue/dequeue

  [ Arek Kusztal ]
  * crypto/qat: add minimum enqueue threshold

  [ Savinay Dharmappa ]
  * examples/ipsec-secgw: fix crash on unsupported algo

  [ Adam Dybkowski ]
  * crypto/qat: handle mixed hash-cipher requests on GEN3
  * test/crypto: add mixed encypted-digest

  [ Arek Kusztal ]
  * crypto/qat: support Chacha Poly
  * test/crypto: add Chacha Poly cases

  [ Kevin Laatz ]
  * ci: switch to Ubuntu 18.04 in Travis

  [ Honnappa Nagarahalli ]
  * test/ring: use division for cycle count calculation
  * ring: support configurable element size
  * test/ring: add custom element size functional tests
  * test/ring: add custom element size performance tests
  * hash: use 32-bit elements rings to save memory
  * eventdev: use custom element size rings

  [ Kalesh AP ]
  * app/testpmd: show MAC addresses added to a port
  * net/bnxt: refactor chip type selection
  * net/bnxt: remove a log while deleting EM filters
  * net/bnxt: use macro for getting default VNIC

  [ Ciara Power ]
  * app/testpmd: fix device mcast list error handling

  [ Zhike Wang ]
  * net/pcap: truncate packet if it is too large

  [ Lu Qiuwen ]
  * net/fm10k: fix descriptor VLAN field filling in Tx

  [ Tao Zhu ]
  * net/ice: disable TSO offload in vector path

  [ Stephen Hemminger ]
  * net/netvsc: fix RSS offload flag
  * net/netvsc: disable before changing RSS parameters

  [ Shougang Wang ]
  * net/ice: fix packet type table

  [ Xiaolong Ye ]
  * maintainers: adjust maintainership of Intel tree

  [ Jerin Jacob ]
  * maintainers: update for OCTEON TX

  [ Bruce Richardson ]
  * net/ipn3ke: fix meson build

  [ Jiaqi Min ]
  * net/iavf: fix Rx total stats

  [ Chenxu Di ]
  * net/i40e: fix port close in FreeBSD

  [ Tao Zhu ]
  * net/iavf: add TSO offload use basic path

  [ Lunyuan Cui ]
  * net/ixgbe: fix link status
  * net/ixgbe: fix link up in FreeBSD

  [ Eelco Chaudron ]
  * net/i40e: re-program promiscuous mode on VF interface

  [ Tonghao Zhang ]
  * net/mlx5: fix crash when setting hairpin queues
  * net/mlx5: clean up redundant assignment

  [ Xiaoyu Min ]
  * net/mlx5: fix multiple flow table hash list

  [ Kalesh AP ]
  * net/bnxt: restore MAC filters during reset recovery
  * net/bnxt: restore VLAN filters during reset recovery
  * net/bnxt: fix request for hot reset support
  * net/bnxt: remove unnecessary macro for unused variables
  * net/bnxt: reset filter indices on free
  * net/bnxt: add a field for FW capabilities

  [ Dekel Peled ]
  * net/mlx5: remove redundant define of LRO masks
  * net/mlx5: add define of LRO segment chunk size
  * net/mlx5: fix setting of Rx hash fields
  * net/mlx5: support RSS on src or dst fields only
  * net/mlx5: fix item flag on GENEVE item validation

  [ Ting Xu ]
  * net/ice: add device IDs for C822N

  [ Junyu Jiang ]
  * net/ixgbe: enable jumbo frame for VF

  [ Stephen Hemminger ]
  * ethdev: fix flow API doxygen comment

  [ Lunyuan Cui ]
  * net/i40e: enable multi-queue Rx interrupt for VF

  [ Guinan Sun ]
  * net/ixgbe: support VF MAC address add/remove

  [ Qi Zhang ]
  * net/iavf/base: remove unnecessary header file
  * net/iavf/base: rename error code enum
  * net/iavf/base: rename register macro
  * net/iavf/base: update device IDs
  * net/iavf/base: remove unused code
  * net/iavf/base: remove unnecessary compile option
  * net/iavf/base: rename functions
  * net/iavf/base: update virtual channel
  * net/iavf/base: adjust indentation
  * net/iavf/base: increase max VSI count for VFs
  * net/iavf/base: fix command buffer memory leak
  * net/iavf/base: update FW API version for X722
  * net/iavf/base: support more link speeds
  * net/iavf/base: update copyright date
  * net/iavf/base: fix adminq return
  * net/iavf: move device state flag
  * net/iavf/base: update version info

  [ Beilei Xing ]
  * net/ice: fix VSI context

  [ Andy Pei ]
  * net/ipn3ke: fix line side statistics register read

  [ Yahui Cao ]
  * net/iavf: fix virtual channel return

  [ Xiaoyun Li ]
  * net/i40e: fix Tx when TSO is enabled

  [ Guinan Sun ]
  * net/i40e: set fixed flag for exact link speed
  * net/ixgbe: set fixed flag for exact link speed

  [ Santoshkumar Karanappa Rastapur ]
  * net/bnxt: fix link during port toggle

  [ Somnath Kotur ]
  * net/bnxt: fix Tx queue profile selection
  * net/bnxt: fix flow flush to sync with flow destroy

  [ Santoshkumar Karanappa Rastapur ]
  * net/bnxt: fix non matching flow hitting filter rule

  [ Somnath Kotur ]
  * net/bnxt: fix reusing L2 filter

  [ Ajit Khaparde ]
  * net/bnxt: support flow mark action
  * net/bnxt: fix overwriting error message

  [ Tonghao Zhang ]
  * net/mlx5: fix crash when meter action conf is null

  [ Hao Chen ]
  * net/hns3: support Rx interrupt

  [ Hongbo Zheng ]
  * net/hns3: get link state change through mailbox

  [ Wei Hu (Xavier) ]
  * net/hns3: modify return value of enable MSI-X

  [ Huisong Li ]
  * net/hns3: remove custom macro for minimum length

  [ Hao Chen ]
  * net/hns3: optimize default RSS algorithm
  * net/hns3: remove redundant stats reset

  [ Wei Hu (Xavier) ]
  * net/hns3: remove useless variable initializations
  * net/hns3: remove unnecessary assignments in Tx

  [ Hao Chen ]
  * net/hns3: remove unused constants

  [ Stephen Hemminger ]
  * app/testpmd: call cleanup on exit

  [ Qi Zhang ]
  * net/ice/base: whitelist register for NVM access
  * net/ice/base: support MAC/VLAN with TCP/UDP in switch
  * net/ice/base: do not wait for PE unit to load
  * net/ice/base: cleanup format of static const declarations
  * net/ice/base: allow flexbytes matching on header
  * net/ice/base: enable clearing of HW tables
  * net/ice/base: fix loop limit
  * net/ice/base: increase PF reset wait timeout
  * net/ice/base: rework flow director desc preparation
  * net/ice/base: support adding MAC rules on specific port
  * net/ice: support 1/10G device IDs
  * net/ice/base: clean up

  [ Ori Kam ]
  * maintainers: update for flow API

  [ Michal Krawczyk ]
  * net/ena/base: upgrade HAL for new HW features

  [ Maciej Bielski ]
  * net/ena: support Rx offset

  [ Chandu Babu N ]
  * net/axgbe: add xstats

  [ Xiao Wang ]
  * net/af_xdp: fix redundant check for wakeup need

  [ Jin Yu ]
  * examples/vhost_blk: check unused value on init

  [ Adrian Moreno ]
  * vhost: add dynamic logging system

  [ Yunjian Wang ]
  * net/vhost: check creation failure

  [ Stephen Hemminger ]
  * net/virtio-user: check file descriptor before closing

  [ Xiao Wang ]
  * vhost: fix socket initial value

  [ Suanming Mou ]
  * ethdev: add IPv4/IPv6 DSCP rewrite action
  * net/mlx5: support IPv4/IPv6 DSCP rewrite action

  [ Harman Kalra ]
  * net/octeontx2: fix VF configuration

  [ Jerin Jacob ]
  * net/octeontx2: improve performance in vector Rx

  [ Dharmik Thakkar ]
  * net/ixgbe: avoid multiple definitions of bool
  * net/cxgbe: remove local bool type
  * net/vmxnet3: remove local bool type
  * net/bnx2x: remove local bool type
  * net/e1000: remove local bool type
  * net/fm10k: remove local bool type
  * net/qede: remove local bool type

  [ Harman Kalra ]
  * net/octeontx2: fix getting supported packet types

  [ Xiaolong Ye ]
  * net/i40e/base: support NVM feature flags
  * net/i40e/base: increase max VSI count for VFs
  * net/i40e/base: fix buffer address
  * net/i40e/base: decouple MIB change event from DCB init
  * net/i40e/base: fix error message
  * net/i40e/base: support LLDP agent
  * net/i40e/base: add new device IDs
  * net/i40e/base: check MAC type
  * net/i40e/base: add flags for PHY types
  * net/i40e/base: improve AQ log granularity
  * net/i40e/base: add function to get FW LLDP agent status
  * net/i40e/base: support Energy Efficient Ethernet
  * net/i40e/base: read LPI status from external PHY
  * net/i40e/base: fix missing link modes
  * net/i40e/base: add function to read LPI counters
  * net/i40e/base: backport style changes from upstream Linux
  * net/i40e/base: update status codes
  * net/i40e/base: fix Tx descriptors number
  * net/i40e/base: extend PHY access AQ command
  * net/i40e/base: add drop mode parameter to set MAC config
  * net/i40e/base: add FWS1B register masks
  * net/i40e/base: update FW API version
  * net/i40e/base: support persistent LLDP
  * net/i40e/base: add function to set MAC type
  * net/i40e/base: fix retrying logic
  * net/i40e/base: mark additional AQ bits as reserved
  * net/i40e/base: fix display of FEC settings
  * net/i40e/base: add flow director constants
  * net/i40e/base: remove unreachable code
  * net/i40e/base: set PHY access flag on X722
  * net/i40e/base: add function to read LPI statistics
  * net/i40e/base: expose LED functionality
  * net/i40e/base: introduce firmware EMP reset register
  * net/i40e/base: add CRC stripping capability
  * net/i40e/base: enable LED blinking flow
  * net/i40e/base: add new link speed constants

  [ Haiyue Wang ]
  * net/iavf/base: move to drivers common directory
  * net/ice: use ethernet copy API to do MAC assignment

  [ Viacheslav Ovsiienko ]
  * net/mlx5: fix Tx burst routines set

  [ Ricardo Roldan ]
  * ethdev: fix callback unregister with wildcard argument list

  [ Dekel Peled ]
  * app/testpmd: fix GENEVE flow item

  [ Xiao Wang ]
  * net/af_xdp: use single producer/consumer ring

  [ Rory Sexton ]
  * ethdev: add L2TPv3 over IP header to flow API
  * net/i40e: support flow director for L2TPv3 over IP

  [ Wei Hu (Xavier) ]
  * net/hns3: support different numbers of Rx and Tx queues
  * net/hns3: support setting VF MAC address by PF driver

  [ Yisen Zhuang ]
  * net/hns3: reduce judgements of free Tx ring space

  [ Wei Hu (Xavier) ]
  * net/hns3: remove one IO barrier in Rx
  * net/hns3: add free threshold in Rx
  * net/hns3: fix Rx queue search with broadcast packet

  [ Hongbo Zheng ]
  * net/hns3: fix crash when closing port

  [ Wei Hu (Xavier) ]
  * net/hns3: fix ring vector related mailbox command format
  * net/hns3: fix dumping VF register information
  * net/hns3: fix link status on failed query

  [ Chengwen Feng ]
  * net/hns3: fix triggering reset procedure in slave process

  [ Sunil Kumar Kori ]
  * common/octeontx2: reduce wait time for mbox messages

  [ Vamsi Attunuru ]
  * net/octeontx2: allow vector processing packets not by 4

  [ Rasesh Mody ]
  * net/qede/base: fix number of ports per engine
  * net/bnx2x: support secondary process

  [ Shahed Shaikh ]
  * net/qede: enhance Rx CPU utilization
  * net/qede: enhance Tx CPU utilization

  [ Pavan Nikhilesh ]
  * net/octeontx2: improve vector Tx performance

  [ Krzysztof Kanas ]
  * mempool/octeontx: fix error handling in initialization

  [ Sunil Kumar Kori ]
  * net/octeontx: add unicast MAC filter

  [ Nithin Dabilpuram ]
  * common/octeontx2: support C0 silicon version

  [ Stephen Hemminger ]
  * net/netvsc: fix crash in secondary process
  * net/netvsc: eliminate NUMA specific allocation

  [ John Daley ]
  * net/enic: replace some PMD macros with standard API
  * net/enic: consolidate and remove some defines
  * net/enic: move min/max macros

  [ Rahul Lakkireddy ]
  * net/cxgbe: announce Tx multi-segments offload

  [ Kiran Kumar K ]
  * net/octeontx2: fix PTP and HIGIG2 coexistence

  [ Chenxu Di ]
  * net/i40e: cleanup Tx buffers
  * net/ice: cleanup Tx buffers
  * net/ixgbe: cleanup Tx buffers
  * net/e1000: cleanup Tx buffers

  [ Zhaoyan Chen ]
  * doc: update recommended versions for i40e

  [ Xiaolong Ye ]
  * doc: add more supported speeds in ice guide

  [ Tiwei Bie ]
  * net/virtio-user: do not close tap when disabling queue pairs

  [ Li Feng ]
  * vhost: support config change slave message

  [ Cheng Jiang ]
  * net/virtio: support packed ring notification data

  [ Yunjian Wang ]
  * net/virtio-user: check tap offload setting failure

  [ Maxime Coquelin ]
  * vhost: fix deadlock on port deletion

  [ Xuan Ding ]
  * net/virtio-user: fix packed ring server mode

  [ Viacheslav Ovsiienko ]
  * net/mlx5: fix doorbell register offset type

  [ Ferruh Yigit ]
  * net/ixgbe: fix build with gcc 4.8.5

  [ Xiaoyun Li ]
  * net/ice: fix Tx when TSO is enabled

  [ Haiyue Wang ]
  * net/iavf: unify bool type value
  * net/ice: unify bool type value
  * common/iavf: clean up compatibility layer
  * net/ice/base: clean up compatibility layer

  [ Reshma Pattan ]
  * net/ixgbe: remove vector config
  * net/ixgbe: remove vectorization weak symbols
  * net/ixgbe: remove duplicate function declaration
  * net/ixgbe: add missing stubs for PPC
  * net/ixgbe: enable NEON in meson

  [ Bernard Iremonger ]
  * app/testpmd: parse flow command line for ESP
  * app/testpmd: improve flow command debug
  * net/i40e: improve RSS debug
  * net/i40e: handle ESP tunnel
  * net/i40e: support IPsec-AH profile
  * net/i40e: support ESP in customized code
  * net/i40e: support ESP flows
  * net/i40e: support ESP in flow director

  [ Yunjian Wang ]
  * net/nfp: use macro for PCI log format

  [ Ori Kam ]
  * app/testpmd: support mbuf dynamic flag

  [ Apeksha Gupta ]
  * net/dpaa: fix Rx offload flags on jumbo MTU set

  [ Chengwen Feng ]
  * net/hns3: replace memory barrier with data dependency order

  [ Lijun Ou ]
  * net/hns3: remove unnecessary input parameter check
  * net/hns3: remove unnecessary branch

  [ Tao Zhu ]
  * net/i40e: add PF MDD event handler

  [ Xiaolong Ye ]
  * doc: add release notes for Intel PMDs

  [ Girish Nandibasappa ]
  * net/axgbe: support 1/2.5Gbps
  * net/axgbe: support auto-negotiation for 1Gbps

  [ Viacheslav Ovsiienko ]
  * ethdev: fix switching domain allocation

  [ Dekel Peled ]
  * app/testpmd: support GTP message type

  [ Wei Hu (Xavier) ]
  * ethdev: fix VLAN offloads set if no driver callback

  [ Viacheslav Ovsiienko ]
  * net/mlx5: fix shared metadata matcher field setup
  * net/mlx5: fix matcher field usage for metadata entities
  * net/mlx5: fix metadata item endianness conversion

  [ Fang TongHao ]
  * ethdev: fix secondary process memory overwrite

  [ Xiaoyu Min ]
  * ethdev: add API to dump device internal flow info
  * net/mlx5: support flow dump API

  [ Xueming Li ]
  * app/testpmd: add flow dump command
  * net/mlx5: add socket server for external tools
  * doc: add flow dump to mlx5 guide

  [ Rafael Ávila de Espíndola ]
  * mk: avoid combining -r and -export-dynamic linker options

  [ Ali Alnubani ]
  * eal/linux: fix build when VFIO is disabled

  [ Stephen Hemminger ]
  * kni: rename variable with namespace prefix

  [ Liron Himi ]
  * cfgfile: fix symbols map

  [ Dharmik Thakkar ]
  * hash: remove unnecessary locks in lock-free

  [ Kumar Amber ]
  * hash: add max key id query API

  [ Reshma Pattan ]
  * latency: fix calculation for multi-thread

  [ Stephen Hemminger ]
  * timer: add API to query ticks until the next timer

  [ Mahipal Challa ]
  * raw/octeontx2_ep: add build infra and device probe
  * raw/octeontx2_ep: add device configuration
  * raw/octeontx2_ep: add device uninitialization
  * raw/octeontx2_ep: add enqueue operation
  * raw/octeontx2_ep: add dequeue operation
  * raw/octeontx2_ep: add driver self test

  [ Xiaoyun Li ]
  * raw/ntb: fix write memory barrier
  * doc: fix igb_uio parameter in ntb guide
  * examples/ntb: fix mempool ops setting

  [ Thomas Monjalon ]
  * raw/octeontx2_ep: fix shared library

  [ Anoob Joseph ]
  * ethdev: allow multiple security sessions to use flow rule

  [ Olivier Matz ]
  * mempool: fix anonymous populate
  * mempool: fix slow allocation of large pools
  * mempool: fix populate with small virtual chunks
  * doc: announce API change for mempool IOVA populate

  [ Jerin Jacob ]
  * mempool: remove memory wastage on non-x86

  [ Jörg Thalheim ]
  * mbuf: improve API doc for attaching external buffer

  [ Eelco Chaudron ]
  * meter: remove experimental flag from RFC4115 trTCM API

  [ Bruce Richardson ]
  * app/test: remove meson dependency on file in /sys
  * eal/freebsd: update CPU macro for FreeBSD 13
  * contigmem: update for FreeBSD 13

  [ Jerin Jacob ]
  * config: disable Linux kernel modules by default

  [ Artur Trybula ]
  * mem: improve log message for too low memzone segments

  [ Jerin Jacob ]
  * eal: introduce structure markers
  * drivers/net: use structure marker from EAL
  * mbuf: use structure marker from EAL

  [ Viacheslav Ovsiienko ]
  * mbuf: introduce routine to get private mbuf pool flags
  * mbuf: detach mbuf with pinned external buffer
  * mbuf: create pool with external memory buffers
  * app/testpmd: add mempool with external data buffers
  * net/mlx5: allow allocated mbuf with external buffer

  [ Ali Alnubani ]
  * mk: disable OCTEON TX2 EP with old arm64 compilers

  [ Selwin Sebastian ]
  * net/axgbe: add a HW quirk for register definitions

  [ Alfredo Cardigliano ]
  * net/ionic: add skeleton
  * net/ionic: add hardware structures definitions
  * net/ionic: add log
  * net/ionic: register and initialize adapter
  * net/ionic: add port management commands
  * net/ionic: support basic LIF
  * net/ionic: add doorbells
  * net/ionic: support admin queue
  * net/ionic: support notify queue
  * net/ionic: add basic port operations
  * net/ionic: support Rx filters
  * net/ionic: support flow control
  * net/ionic: add Rx and Tx handling
  * net/ionic: support RSS
  * net/ionic: add stats
  * net/ionic: support Tx checksum
  * net/ionic: support FW version

  [ Viacheslav Ovsiienko ]
  * net/mlx5: move Tx complete request routine
  * net/mlx5: update Tx error handling routine
  * net/mlx5: add free on completion queue
  * net/mlx5: engage free on completion queue

  [ Dekel Peled ]
  * net/mlx5: optimize Rx hash fields conversion
  * net/mlx5: support GTP

  [ Suanming Mou ]
  * net/mlx5: fix meter suffix flow

  [ Bing Zhao ]
  * net/mlx5: fix modify actions support limitation

  [ Xiaoyu Min ]
  * doc: add flow dump command in testpmd guide

  [ David Marchand ]
  * eal/windows: fix cpuset macro name
  * eal: do not cache lcore detection state
  * eal: log all detected cores on startup
  * eal: remove limitation on cpuset with --lcores

  [ Thomas Monjalon ]
  * version: 20.02-rc1

  [ Ferruh Yigit ]
  * net/ionic: ignore missing field initializers warning

  [ Gaetan Rivet ]
  * maintainers: update for failsafe and PCI library

  [ Adrien Mazarguil ]
  * maintainers: resign from flow API maintenance

  [ Ranjit Menon ]
  * maintainers: update for Windows

  [ David Marchand ]
  * maintainers: set git tree for test applications
  * maintainers: set git tree for packet framework and QoS
  * maintainers: set git tree for EAL and core libraries

  [ Mattias Rönnblom ]
  * event/dsw: use custom element size ring for control

  [ Sunil Kumar Kori ]
  * examples/l3fwd: add framework for event device
  * examples/l3fwd: split pipelines based on capability

  [ Pavan Nikhilesh ]
  * examples/l3fwd: add event device configuration

  [ Sunil Kumar Kori ]
  * examples/l3fwd: add ethdev setup based on eventdev
  * examples/l3fwd: add event port and queue setup

  [ Pavan Nikhilesh ]
  * examples/l3fwd: add event eth Rx/Tx adapter setup
  * examples/l3fwd: add service core setup based on caps
  * examples/l3fwd: add event lpm main loop
  * examples/l3fwd: add event em main loop
  * examples/l3fwd: add graceful teardown for eventdev
  * doc: add event mode to l3fwd guide

  [ Christian Ehrhardt ]
  * d/p/test: transition to python3
  * changelog: 19.11-3 for python3 fixes

  [ Pavan Nikhilesh ]
  * app: use common macro RTE_DIM
  * examples: use common macro RTE_DIM
  * lib: use common macro RTE_DIM

  [ David Marchand ]
  * hash: fix meson headers packaging
  * devtools: split meson build helper
  * devtools: add ABI checks

  [ Thomas Monjalon ]
  * cryptodev: revert Chacha20-Poly1305 AEAD algorithm
  * buildtools: allow pedantic empty pmdinfo

  [ Amit Gupta ]
  * test/hash: split into shorter subtests

  [ Honnappa Nagarahalli ]
  * test/hash: add lock-free functional tests
  * test/hash: move lock-free tests to perf tests
  * hash: fix lock-free flag doxygen

  [ Stephen Hemminger ]
  * pdump: use mbuf copy function
  * pdump: use dynamic log type

  [ Andrzej Ostruszka ]
  * build: remove unneeded function versioning

  [ Takeshi Yoshimura ]
  * vfio: fix mapping failures in ppc64le

  [ Kalesh AP ]
  * net/bnxt: fix flow creation
  * net/bnxt: fix probe in FreeBSD
  * net/bnxt: fix IOVA mapping
  * net/bnxt: fix enable/disable VLAN filtering
  * net/bnxt: fix VLAN strip
  * net/bnxt: handle HW filter setting when port is stopped
  * net/bnxt: fix a memory leak in port stop
  * net/bnxt: use macro for PCI log format

  [ Somnath Kotur ]
  * net/bnxt: release port upon close
  * net/bnxt: fix max rings calculation

  [ Beilei Xing ]
  * net/ice: fix flow director flag

  [ Xiaolong Ye ]
  * net/i40e/base: skip further adminq init for VF

  [ Tao Zhu ]
  * net/ice: fix flow FDIR/switch memory leak

  [ Stephen Hemminger ]
  * net/bnxt: fix VLAN strip flags in SSE Rx
  * net/bnxt: do not log error if stats queried before start
  * net/bnxt: remove unnecessary memset

  [ John Daley ]
  * net/enic: use common min and max macros

  [ Yunjian Wang ]
  * net/tap: fix memory leak when unregister intr handler

  [ Qi Zhang ]
  * net/ice: fix flow director GTP-U pattern

  [ Chenmin Sun ]
  * net/ice: add outer IPv4 matching for GTP-U flow

  [ Dekel Peled ]
  * net/mlx5: fix masks of encap and decap actions
  * net/mlx5: fix check for VLAN actions
  * net/mlx5: fix bit mask to validate push VLAN
  * net/mlx5: allow push VLAN without VID
  * net/mlx5: unify validation of drop action
  * net/mlx5: block push VLAN action on Rx
  * net/mlx5: block pop VLAN action on Tx
  * net/mlx5: fix pop VLAN action validation
  * net/mlx5: fix VLAN VID action validation
  * net/mlx5: update description of validation functions
  * doc: update supported hardware offloads in mlx5 guide

  [ Matan Azrad ]
  * net/mlx5: fix build with clang 3.4.2

  [ Eli Britstein ]
  * net/mlx5: fix zero out UDP checksum in encap data

  [ Dekel Peled ]
  * net/mlx5: fix setting of port ID for egress rules

  [ Shiri Kuzin ]
  * net/mlx5: fix ICMPv6 header rewrite actions

  [ Suanming Mou ]
  * net/mlx5: support maximum flow id allocation
  * net/mlx5: fix register usage in meter

  [ Stephen Hemminger ]
  * app/testpmd: fix RFC addresses for Tx only

  [ Rasesh Mody ]
  * net/bnx2x: fix reset of scan FP flag
  * net/bnx2x: fix to sync fastpath Rx queue access

  [ Kiran Kumar K ]
  * net/octeontx2: extend RSS supported offload types
  * net/octeontx2: disable HIGIG on port stop

  [ Somnath Kotur ]
  * net/bnxt: fix alloc filter to use a common routine
  * net/bnxt: fix bumping of L2 filter reference count
  * net/bnxt: allow group ID 0 for RSS action

  [ Kalesh AP ]
  * net/bnxt: remove redundant if statement
  * net/bnxt: remove redundant macro
  * net/bnxt: remove unnecessary structure variable
  * net/bnxt: remove a redundant variable

  [ Somnath Kotur ]
  * net/bnxt: fix supporting zero mark ID with RSS action

  [ Kalesh AP ]
  * net/bnxt: fix return code handling in VLAN config

  [ Rasesh Mody ]
  * net/bnx2x: fix VLAN stripped flag

  [ Matan Azrad ]
  * net/mlx5: separate DevX commands interface
  * common/mlx5: introduce common library
  * common/mlx5: share PCI device detection
  * common/mlx5: share devices information
  * common/mlx5: share CQ entry check
  * common/mlx5: query vDPA DevX capabilities
  * common/mlx5: glue null memory region allocation
  * common/mlx5: support DevX indirect mkey creation
  * common/mlx5: glue event queue query
  * common/mlx5: glue event interrupt commands
  * common/mlx5: glue UAR allocation
  * common/mlx5: add DevX command to create CQ
  * common/mlx5: glue VAR allocation
  * common/mlx5: add DevX virtq commands
  * common/mlx5: support DevX QP operations
  * common/mlx5: allow type configuration for DevX RQT
  * common/mlx5: add TIR field constants
  * common/mlx5: add DevX command to modify RQT
  * common/mlx5: get DevX capability for max RQT size
  * net/mlx5: select driver by class device argument
  * net/mlx5: separate Netlink command interface
  * net/mlx5: reduce Netlink commands dependencies
  * common/mlx5: share Netlink commands
  * common/mlx5: support ROCE disable through Netlink
  * net/mlx5: make FDB default rule optional

  [ Ori Kam ]
  * net/mlx5: support fine grain dynamic flag

  [ Viacheslav Ovsiienko ]
  * net/mlx5: add no-inline Tx flag

  [ Alexander Kozyrev ]
  * mk: remove promotion of icc warnings as errors
  * net/mlx4: remove NDEBUG flag
  * net/mlx4: improve assert control
  * common/mlx5: remove NDEBUG
  * common/mlx5: improve assert control

  [ Somnath Kotur ]
  * net/bnxt: remove spurious warning in Rx handler

  [ Alfredo Cardigliano ]
  * net/ionic: fix packet type mask

  [ Jerin Jacob ]
  * net/octeontx2: change default RSS hash calculation

  [ Krzysztof Kanas ]
  * doc: add secondary VF details in thunderx guide

  [ Raslan Darawsheh ]
  * net/mlx5: fix VXLAN-GPE item translation

  [ Yunjian Wang ]
  * net/e1000: use macro for PCI log format

  [ Qi Zhang ]
  * net/ice: fix GTP-U rule conflict

  [ Lunyuan Cui ]
  * net/i40e: fix multi-queue Rx interrupt for VF

  [ Kiran Kumar K ]
  * net/octeontx2: fix Tx flow control for HIGIG

  [ Sunil Kumar Kori ]
  * net/octeontx: fix memory leak of MAC address table
  * net/octeontx: fix user supplied MAC address index

  [ Alexander Kozyrev ]
  * net/mlx5: add Rx/Tx burst mode info

  [ Matan Azrad ]
  * vdpa/mlx5: introduce Mellanox vDPA driver
  * vdpa/mlx5: support queues number operation
  * vdpa/mlx5: support features get operations
  * vdpa/mlx5: prepare memory regions
  * vdpa/mlx5: prepare HW queues
  * vdpa/mlx5: prepare virtio queues
  * vdpa/mlx5: support stateless offloads
  * vdpa/mlx5: add basic steering configurations
  * vdpa/mlx5: support queue state operation
  * vdpa/mlx5: map doorbell
  * vdpa/mlx5: support live migration
  * vdpa/mlx5: support close and config operations
  * vdpa/mlx5: disable RoCE

  [ Ori Kam ]
  * app/testpmd: fix uninitialized members of MPLS

  [ Július Milan ]
  * net/memif: add link info

  [ Ori Kam ]
  * app/testpmd: fix copy of dynamic flag name

  [ Wei Hu (Xavier) ]
  * app/testpmd: fix initial value when setting PFC
  * app/testpmd: fix uninitialized members when setting PFC

  [ Raslan Darawsheh ]
  * net/failsafe: fix reported hash key size in device info

  [ Michael Baum ]
  * net/mlx5: fix memory regions release deadlock

  [ Dekel Peled ]
  * net/mlx5: fix dirty array of actions

  [ Tiwei Bie ]
  * net/virtio-user: do not reset virtqueues for split ring

  [ Zhike Wang ]
  * vhost: fix crash on port deletion

  [ Vitaliy Mysak ]
  * vhost: do not treat empty socket message as error

  [ Eugenio Pérez ]
  * vhost: flush shadow Tx if no more packets

  [ Fan Zhang ]
  * vhost/crypto: fix fetch size

  [ Adrian Moreno ]
  * vhost: fix packed virtqueue ready condition

  [ Maxime Coquelin ]
  * vhost: catch overflow causing mmap of size 0

  [ Pablo de Lara ]
  * crypto/zuc: use IPsec library
  * crypto/kasumi: use IPsec library
  * crypto/snow3g: use IPsec library

  [ Adam Dybkowski ]
  * test/crypto: refactor unit tests
  * test/crypto: add capability checks
  * test/crypto: refactor unit tests into one combined array

  [ Ruifeng Wang ]
  * crypto/armv8: link to library hosted by Arm

  [ Dharmik Thakkar ]
  * crypto/armv8: enable meson build

  [ Ruifeng Wang ]
  * crypto/armv8: fix clang build

  [ Artur Trybula ]
  * test/compress: add cycle-count mode to perf tool

  [ Selwin Sebastian ]
  * crypto/ccp: support V1000/R1000

  [ Gagandeep Singh ]
  * crypto/dpaa_sec: fix IOVA conversions
  * crypto/dpaa_sec: reorganize structure members

  [ Vladimir Medvedkin ]
  * ipsec: move SAD name length
  * examples/ipsec-secgw: implement inbound SAD
  * examples/ipsec-secgw: integrate inbound SAD
  * examples/ipsec-secgw: get rid of maximum SA limitation
  * examples/ipsec-secgw: get rid of maximum SP limitation
  * examples/ipsec-secgw: add SAD cache
  * examples/ipsec-secgw: set and use packet type

  [ Anoob Joseph ]
  * common/octeontx2: add CPT LF mbox for inline inbound

  [ Vamsi Attunuru ]
  * common/octeontx2: add security capability routine

  [ Tejasree Kondoj ]
  * crypto/octeontx2: configure for inline IPsec

  [ Anoob Joseph ]
  * net/octeontx2: create security context

  [ Tejasree Kondoj ]
  * net/octeontx2: add security in configure

  [ Ankur Dwivedi ]
  * net/octeontx2: add security capabilities

  [ Anoob Joseph ]
  * crypto/octeontx2: enable CPT to share QP with ethdev
  * net/octeontx2: add security session operations

  [ Ankur Dwivedi ]
  * net/octeontx2: add datapath ops in security context

  [ Archana Muniganti ]
  * net/octeontx2: add lookup mem changes to hold SA indices

  [ Tejasree Kondoj ]
  * net/octeontx2: add inline IPsec Rx

  [ Archana Muniganti ]
  * net/octeontx2: add security in Rx
  * net/octeontx2: add security in Tx

  [ Ankur Dwivedi ]
  * net/octeontx2: add inline IPsec Tx

  [ Vamsi Attunuru ]
  * net/octeontx2: sync inline tag type

  [ Sucharitha Sarananaga ]
  * examples/fips_validation: fix cipher length for AES-GCM
  * examples/fips_validation: support AES XTS

  [ Marcin Smoczynski ]
  * cryptodev: introduce CPU crypto API
  * crypto/aesni_gcm: support CPU crypto
  * security: add CPU crypto action type
  * ipsec: support CPU crypto mode
  * examples/ipsec-secgw: support CPU crypto
  * examples/ipsec-secgw: test CPU crypto

  [ Anoob Joseph ]
  * common/cpt: remove redundant bitswaps

  [ Archana Muniganti ]
  * crypto/octeontx2: extend AES-GCM capabilities

  [ Sucharitha Sarananaga ]
  * common/cpt: support variable key size for HMAC

  [ Archana Muniganti ]
  * common/cpt: check cipher and auth keys are set
  * common/cpt: fix component for empty IOV buffer

  [ Sunila Sahu ]
  * common/cpt: remove self assignment

  [ Thomas Monjalon ]
  * mk: ignore missing field initializers warning

  [ Bruce Richardson ]
  * net/octeontx2: check compiler flag before use
  * build: remove some icc warnings
  * build: allow using wildcards to disable drivers

  [ Junxiao Shi ]
  * bpf: fix headers install with meson

  [ Stephen Hemminger ]
  * app/pdump: fix build with clang

  [ Thomas Monjalon ]
  * ring: fix namespace prefix of inline functions

  [ Liron Himi ]
  * config: update Marvell ARMADA

  [ Qingmin Liu ]
  * config: add Broadcom Stingray for meson cross-compilation

  [ Stephen Hemminger ]
  * mem: fix munmap in error unwind
  * mbuf: display more fields in dump

  [ Viacheslav Ovsiienko ]
  * mbuf: fix pinned memory function style
  * test/mbuf: check pinned external buffer

  [ Vladimir Medvedkin ]
  * fib: fix possible integer overflow

  [ Harman Kalra ]
  * eal: check if running in interrupt context

  [ Sunil Kumar Kori ]
  * common/octeontx2: add polling based response mbox message

  [ Mahipal Challa ]
  * raw/octeontx2_ep: fix error handling

  [ Thomas Monjalon ]
  * version: 20.02-rc2

  [ Anoob Joseph ]
  * common/octeontx2: fix 20.02 new symbols ABI version

  [ Mahipal Challa ]
  * raw/octeontx2_ep: fix ABI version

  [ Thomas Monjalon ]
  * build: remove redundant config include

  [ Matan Azrad ]
  * common/mlx5: fix ABI version
  * vdpa/mlx5: fix ABI version

  [ Thomas Monjalon ]
  * config: deduplicate options
  * devtools: enable more config options in build test

  [ Pallavi Kadam ]
  * license: add exceptions for Windows
  * eal/windows: add dirent implementation
  * eal/windows: add some basic functions and macros
  * eal/windows: add getopt implementation
  * eal/windows: detect process type
  * eal/x86: include SSE4 support on Windows
  * eal: disable syslog and dlopen on Windows
  * eal/windows: support more common files
  * eal/windows: support command line options parsing

  [ Konstantin Ananyev ]
  * acl: fix 32-bit match for range field
  * test/acl: add 32-bit range test case

  [ Gargi Sau ]
  * examples/ethtool: fix unchecked return value

  [ Praveen Shetty ]
  * examples/ioat: fix unchecked return value

  [ Ciara Power ]
  * examples/ioat: fix failure check for ioat dequeue
  * examples/ioat: fix invalid link status check

  [ David Hunt ]
  * examples/power: fix ack for enable/disable turbo

  [ Ferruh Yigit ]
  * kni: fix build with Linux 5.6

  [ Vamsi Attunuru ]
  * examples/kni: add SIGTERM signal handling

  [ Thomas Monjalon ]
  * fix Mellanox copyright and SPDX tag
  * doc: remove major in designation of normal releases

  [ Scott Wasson ]
  * kni: fix not contiguous FIFO

  [ Xiao Wang ]
  * examples/l3fwd-power: fix a typo
  * examples/l3fwd-power: fix interrupt disable

  [ Fan Zhang ]
  * examples/fips_validation: fix AES-GCM cipher length parsing

  [ Ciara Power ]
  * lib: fix unnecessary double negation

  [ Thierry Herbelot ]
  * crypto/octeontx2: add kmod dependency info

  [ David Marchand ]
  * crypto/ccp: fix queue alignment

  [ Marcin Smoczynski ]
  * cryptodev: fix doxygen of CPU crypto API

  [ Arek Kusztal ]
  * doc: add missing release notes for QAT

  [ Artur Trybula ]
  * test/compress: replace test vector
  * doc: add cycle-count mode in compression perf tool

  [ Marcin Smoczynski ]
  * examples/ipsec-secgw: add missing SPDX license tag
  * test/crypto: add CPU crypto mode cases

  [ Junxiao Shi ]
  * drivers/crypto: fix session-less mode

  [ Kalesh AP ]
  * net/bnxt: fix unnecessary delay in port stop

  [ Rahul Gupta ]
  * net/bnxt: fix default timeout for getting FW version

  [ Kalesh AP ]
  * net/bnxt: log firmware debug notifications
  * net/bnxt: register for debug notification from FW
  * net/bnxt: fix port stop on error recovery failure
  * net/bnxt: make locally used functions static

  [ Santoshkumar Karanappa Rastapur ]
  * net/bnxt: fix buffer allocation reattempt

  [ Ajit Khaparde ]
  * doc: fix release notes for bnxt

  [ Yahui Cao ]
  * net/ice: fix flow director passthru

  [ Guinan Sun ]
  * net/ixgbe: remove dead code

  [ Bernard Iremonger ]
  * net/i40e: fix ESP flow creation

  [ Stephen Hemminger ]
  * net/netvsc: initialize link state

  [ Matan Azrad ]
  * net/mlx5: fix encap/decap validation

  [ Haiyue Wang ]
  * common/iavf: fix ABI version

  [ Zhaoyan Chen ]
  * doc: split versions table in i40e guide

  [ Viacheslav Ovsiienko ]
  * net/mlx5: fix legacy multi-packet write session

  [ Thomas Monjalon ]
  * net/mlx: replace hardcoded value with macro

  [ Shougang Wang ]
  * net/ixgbe: remove dead code

  [ Viacheslav Ovsiienko ]
  * app/testpmd: fix txonly flow generation entropy

  [ Wisam Jaddo ]
  * net/mlx5: fix blocker for push VLAN on Rx

  [ Dekel Peled ]
  * net/mlx5: fix VLAN match for DV mode

  [ Suanming Mou ]
  * net/mlx5: fix meter header modify before decap

  [ Hariprasad Govindharajan ]
  * app/testpmd: add --portlist option

  [ Ciara Loftus ]
  * net/af_xdp: fix umem frame size and headroom
  * net/af_xdp: fix fill queue addresses
  * net/af_xdp: fix maximum MTU

  [ Matan Azrad ]
  * common/mlx5: fix glue dlopen with meson build

  [ Thomas Monjalon ]
  * drivers: cleanup meson build variable
  * net/mlx: add static ibverbs linkage with meson
  * buildtools: get static mlx dependencies for meson
  * net/mlx: workaround static linkage with meson
  * net/mlx: rename meson variable for dlopen option
  * net/mlx: fix overlinking with meson and glue dlopen

  [ Maxime Coquelin ]
  * vhost: check message header size read

  [ Itsuro Oda ]
  * net/vhost: allocate interface name from heap
  * net/vhost: delay driver setup
  * net/vhost: fix probing in secondary process
  * net/vhost: remove an unused member

  [ Jin Yu ]
  * examples/vhost_blk: fix check of device path

  [ Cheng Jiang ]
  * doc: fix release notes for virtio

  [ Jin Yu ]
  * vhost: fix inflight resubmit check

  [ Adrian Moreno ]
  * vhost: protect log address translation in IOTLB update

  [ Thomas Monjalon ]
  * app/testpmd: add port check before manual detach
  * app/testpmd: rename function for detaching by devargs
  * app/testpmd: fix hot-unplug detaching

  [ Wei Hu (Xavier) ]
  * app/testpmd: update Rx offload after setting MTU

  [ Sunil Pai G ]
  * net/ice: fix unchecked Tx cleanup error

  [ Beilei Xing ]
  * net/i40e: fix unchecked Tx cleanup error

  [ Jiaqi Min ]
  * doc: fix release notes for i40e
  * doc: fix release notes for ice
  * doc: fix release notes for ixgbe

  [ Vamsi Attunuru ]
  * net/octeontx2: fix flow control initial state

  [ Nipun Gupta ]
  * event/dpaa2: set number of order sequences

  [ Sunil Kumar Kori ]
  * examples/l2fwd-event: fix error checking

  [ Pavan Nikhilesh ]
  * doc: fix service core mask in l3fwd guide
  * app/eventdev: fix pipeline test with meson build
  * examples/l2fwd-event: fix core allocation in poll mode

  [ Heinrich Kuhn ]
  * maintainers: update for NFP

  [ Honnappa Nagarahalli ]
  * doc: fix release notes for custom ring element size
  * ring: fix API documentation
  * doc: update ring guide

  [ Bruce Richardson ]
  * doc: add dependency on examples for API doxygen
  * doc: add dependency on header files for API doxygen
  * doc: update introduction to FreeBSD guide
  * doc: add installing from FreeBSD package
  * doc: add meson install instructions for FreeBSD
  * doc: update loading FreeBSD kernel modules
  * doc: update building and running FreeBSD apps

  [ Hari Kumar Vemula ]
  * doc: add a guide to run unit tests with meson

  [ Thomas Monjalon ]
  * maintainers: set QoS git tree for some ethdev files

  [ Reshma Pattan ]
  * test: fix build without ring PMD

  [ Vladimir Medvedkin ]
  * app/test-fib: add test application for FIB

  [ Stephen Hemminger ]
  * lpm6: make IPv6 address immutable
  * examples/l3fwd: make lookup struct static
  * examples/l3fwd: make route array constant
  * examples/l3fwd: improve destination lookup readability

  [ Pavan Nikhilesh ]
  * mempool/octeontx2: optimize for L1D cache architecture

  [ Thomas Faivre ]
  * usertools: fix syntax warning in python 3.8

  [ Ciara Power ]
  * usertools: fix telemetry client with python 3

  [ Thomas Monjalon ]
  * version: 20.02-rc3

  [ Tao Zhu ]
  * mempool/octeontx2: fix build

  [ David Marchand ]
  * ci: build and use libabigail 1.6

  [ Thomas Monjalon ]
  * ci: remove redundant configs disabling kmods
  * ci: enable more drivers in Travis builds
  * app/crypto-perf: use common macros for min/max
  * test/ipsec: fix a typo in function name

  [ Konstantin Ananyev ]
  * ipsec: fix use of uninitialized variable

  [ Ankur Dwivedi ]
  * examples/ipsec-secgw: extend inline session to non AES-GCM

  [ Anoob Joseph ]
  * examples/fips_validation: fix string token for CT length

  [ Tao Zhu ]
  * net/ixgbe: fix blocking system events

  [ Manish Chopra ]
  * net/qede: fix VF reload
  * net/qede: do not stop vport if not started

  [ Harman Kalra ]
  * net/octeontx2: fix PTP

  [ Xiao Zhang ]
  * net/ixgbe: check for illegal Tx packets

  [ Anoob Joseph ]
  * doc: add inline protocol in features list

  [ Zhaoyan Chen ]
  * doc: update driver/firmware versions in i40e guide

  [ Bo Chen ]
  * doc: add tested Intel platforms with Intel NICs

  [ Matan Azrad ]
  * net/mlx5: fix tunnel flow priority

  [ Raslan Darawsheh ]
  * net/mlx5: add BlueField-2 device ID

  [ Bing Zhao ]
  * net/mlx5: fix matching for ICMP fragments

  [ Ciara Power ]
  * ethdev: add comment to warn of ABI breakage

  [ Shougang Wang ]
  * net/i40e: fix multiple interrupts for VF

  [ Guinan Sun ]
  * net/ixgbe: fix flow control mode setting

  [ Matan Azrad ]
  * vdpa/mlx5: fix completion queue arming

  [ Maxime Coquelin ]
  * net/vhost: fix setup error path
  * net/vhost: prevent multiple setups on reconfiguration

  [ Ciara Loftus ]
  * doc: update MTU limitations in AF_XDP guide

  [ Thomas Monjalon ]
  * doc: add module EEPROM dump to mlx5 features

  [ Ferruh Yigit ]
  * net/ionic: fix ABI version

  [ Shiri Kuzin ]
  * net/mlx5: fix ICMPv6 header rewrite action validation

  [ Matan Azrad ]
  * net/mlx5: fix flow match on GRE key
  * net/mlx5: fix GENEVE tunnel flow validation

  [ Ferruh Yigit ]
  * app/testpmd: guarantee port array access in range

  [ Bing Zhao ]
  * net/mlx5: fix hairpin queue capacity

  [ Matan Azrad ]
  * net/mlx5: fix L3 VXLAN RSS expansion

  [ Ferruh Yigit ]
  * net/sfc: fix log format specifiers
  * net/fm10k: fix non-x86 build

  [ David Marchand ]
  * ci: remove unnecessary dependency on Linux headers
  * ci: fix Travis config warnings
  * ci: use an explicit list of Travis jobs
  * ci: reorganise Travis jobs

  [ Xiaoyun Li ]
  * examples/tep_term: remove redundant info get

  [ Tao Zhu ]
  * net/ice: fix queue MSI-X interrupt binding

  [ Kalesh AP ]
  * net/bnxt: fix crash in port stop while handling events
  * net/bnxt: fix race condition when port is stopped

  [ Wisam Jaddo ]
  * app/testpmd: fix identifier size for port attach

  [ Suanming Mou ]
  * net/mlx5: fix VLAN ID action offset
  * net/mlx5: fix layer validation with decapsulation
  * net/mlx5: fix layer type in header modify action
  * net/mlx5: fix layer flags missing in metadata
  * net/mlx5: fix match information in meter
  * net/mlx5: fix VLAN actions in meter

  [ Dekel Peled ]
  * net/mlx5: fix match on ethertype and CVLAN tag

  [ Shiri Kuzin ]
  * net/mlx5: fix running without Rx queue

  [ Matan Azrad ]
  * net/mlx5: fix metadata split with encap action

  [ Hariprasad Govindharajan ]
  * app/testpmd: fix return of port list parser

  [ Viacheslav Ovsiienko ]
  * net/mlx5: fix last completed built descriptor
  * net/mlx5: fix inline packet size for ConnectX-4 Lx

  [ Harman Kalra ]
  * doc: update thunderx driver guide

  [ David Marchand ]
  * devtools: skip experimental libraries in ABI check

  [ Ferruh Yigit ]
  * build: fix experimental library versioning

  [ Thomas Monjalon ]
  * kernel: remove unused directory for Windows

  [ Dmitry Kozlyuk ]
  * eal/windows: fix out-of-memory check in asprintf

  [ Pavan Nikhilesh ]
  * doc: fix devargs in OCTEON TX2 event device guide

  [ Prateek Agarwal ]
  * doc: fix quiescent state description in RCU guide
  * doc: fix multi-producer enqueue figure in ring guide

  [ David Hunt ]
  * doc: rework VM power manager user guide

  [ Viacheslav Ovsiienko ]
  * doc: clarify memory write combining in mlx5 guide

  [ Xiaolong Ye ]
  * doc: introduce OpenWrt how-to

  [ Pablo de Lara ]
  * doc: add build requirement in some crypto PMD guides

  [ Hemant Agrawal ]
  * pmdinfogen: add SPDX license tag

  [ Stephen Hemminger ]
  * devtools: add SPDX license tag to config loader

  [ Hemant Agrawal ]
  * add top-level SPDX license tag

  [ Lance Richardson ]
  * devtools: warn on C99-style comment

  [ Robin Jarry ]
  * devtools: add EditorConfig file

  [ Thomas Monjalon ]
  * version: 20.02-rc4

  [ John McNamara ]
  * doc: update release notes for 20.02

  [ Matan Azrad ]
  * vdpa/mlx5: fix event setup
  * vdpa/mlx5: fix guest notification timing
  * doc: update mlx5 vDPA requirements

  [ Thomas Monjalon ]
  * doc: add IP DSCP rewrite to mlx5 and release notes

  [ Raslan Darawsheh ]
  * doc: add raw encap/decap limitations in mlx5 guide

  [ Viacheslav Ovsiienko ]
  * doc: add metadata limitation in mlx5 guide
  * doc: add external pinned memory mbuf to release notes

  [ Thomas Monjalon ]
  * doc: remove redundant line in mlx5 guide
  * doc: fix naming of Mellanox devices

  [ Ferruh Yigit ]
  * doc: announce deprecation of max constants as array size

  [ Jerin Jacob ]
  * doc: announce igb_uio move to an external repository

  [ Robin Jarry ]
  * doc: announce python 2 support removal

  [ Viacheslav Ovsiienko ]
  * doc: add Tx inline hint in mlx5 guide

  [ Raslan Darawsheh ]
  * doc: add tested platforms with Mellanox NICs

  [ Yong Wang ]
  * doc: fix typos in 19.11 release notes

  [ Thomas Monjalon ]
  * doc: remove not supported features from hinic matrix

  [ Xiaolong Ye ]
  * doc: add feature support matrix link in i40e guide

  [ Kevin Traynor ]
  * devtools: add fixes flag to commit listing

  [ Jerin Jacob ]
  * doc: add tested Marvell integrated NIC platforms

  [ Thomas Monjalon ]
  * doc: fix VM power manager guide as PDF

  [ Sean Morrissey ]
  * devtools: export dictionary for commit title check

  [ Thomas Monjalon ]
  * version: 20.02

  [ David Marchand ]
  * version: 20.05-rc0

  [ Luca Boccassi ]
  * New upstream version 18.11.6
  * Open changelog for 18.11.6-1
  * Drop avoid-as-needed-as-it-causes-overlinking.patch, merged upstream.
  * Refresh remaining patches to remove fuzz from 18.11.6.
  * Add patch to avoid changing stable symbol version, breaking ABI.
  * Update librte-eal18.11.symbols with new experimental symbol from
    18.11.6

  [ Christian Ehrhardt ]
  * d/*.lintian-overrides: add overrides for a few known but accepted
    deficiencies

  [ Luca Boccassi ]
  * Refresh debian/copyright
  * Use chrpath to strip RPATH from dpdk-test binary
  * Add missing librte-gro symbols file
  * Update changelog for 18.11.6-1 release
  * Update watch file to look for 19.11 series, use https
  * Fix Lintian Warning: duplicate-short-description
  * Do not ship fonts in dpdk-doc
  * Bump Standards-Version to 4.5.0, no changes.
  * Ignore LW about README outside of doc dir
  * dpdk-doc: add doc-base control files
  * Add link to DPDK guides via Documentation in dpdk.service
  * Override dpdk source: package-does-not-install-examples false positive
  * Use chrpath to strip RPATH from dpdk-test binary
  * Add missing symbols files
  * Override default Lintian CI job to ignore symbols-file-missing-build-
    depends-package-field

  [ Tiwei Bie ]
  * maintainers: resign from virtio and vhost

  [ Xiaolong Ye ]
  * maintainers: update for virtio and vhost

  [ Jan Remes ]
  * maintainers: update for Netcope PMDs

  [ Timothy Redaelli ]
  * crypto/octeontx2: fix build with gcc 10
  * test: fix build with gcc 10
  * app/pipeline: fix build with gcc 10
  * examples/vhost_blk: fix build with gcc 10
  * examples/eventdev: fix build with gcc 10
  * examples/qos_sched: fix build with gcc 10

  [ Hemant Agrawal ]
  * drivers: add crypto as dependency for event drivers

  [ Ferruh Yigit ]
  * devtools: add acronyms in dictionary for commit checks

  [ Thomas Monjalon ]
  * drivers/crypto: fix build with make 4.3

  [ Haiyue Wang ]
  * eal: fix 32-bit structure marker

  [ Sunil Kumar Kori ]
  * eal: fix log message print for regex

  [ David Marchand ]
  * eal/arm64: remove internal macros

  [ Haifeng Lin ]
  * eal/arm64: fix precise TSC

  [ David Marchand ]
  * mem: mark pages as not accessed when reserving VA

  [ Harry van Haaren ]
  * service: fix crash on exit

  [ Ciara Power ]
  * telemetry: fix port stats retrieval

  [ Bruce Richardson ]
  * pci: remove unneeded includes in public header file
  * pci: fix build on FreeBSD

  [ David Christensen ]
  * pci: fix build on ppc

  [ Thomas Monjalon ]
  * eal: fix compiler detection in public headers

  [ Dmitry Kozlyuk ]
  * eal: introduce portable format attribute
  * eal/windows: use lowercase filenames for system headers
  * eal/windows: support building with MinGW-w64
  * build: support MinGW-w64 with Meson
  * build: add cross-file for MinGW-w64
  * build: fix linker warnings with clang on Windows

  [ Chandu Babu N ]
  * net/axgbe: add debug logs
  * net/axgbe: support registers dump

  [ Stephen Hemminger ]
  * net/af_packet: support default MAC address change

  [ Ashish Gupta ]
  * net/octeontx2: fix link information for loopback port

  [ Harman Kalra ]
  * net/thunderx: support link up and down

  [ Xiao Zhang ]
  * net/i40e: fix port start during config restore

  [ Gavin Hu ]
  * net/i40e: relax barrier in Tx

  [ Ophir Munk ]
  * net/mlx5: fix VLAN PCP item calculation

  [ Xiao Zhang ]
  * app/testpmd: parse flow command line for AH

  [ Stephen Hemminger ]
  * net/af_packet: remove queue number limitation

  [ Qiming Yang ]
  * net/i40e: fix X722 performance

  [ Tao Zhu ]
  * net/ice: fix hash flow crash

  [ Kalesh AP ]
  * net/bnxt: fix recovery alarm race condition in port close
  * net/bnxt: fix MAC address setting when port is stopped

  [ Alex Marginean ]
  * net/enetc: do not stall in clean Tx ring
  * net/enetc: relax read for Tx CI in clean Tx
  * net/enetc: batch process clean Tx ring calls
  * net/enetc: fix Rx lock-up
  * net/enetc: improve batching Rx ring refill
  * net/enetc: reorder BDR structure
  * net/enetc: use bulk alloc in Rx refill ring
  * net/enetc: use bulk free in Tx clean
  * net/enetc: improve prefetch in Rx ring clean
  * net/enetc: init SI transactions attribute register

  [ Qi Zhang ]
  * net/ice: remove unnecessary variable

  [ Gaetan Rivet ]
  * doc: improve failsafe guide
  * doc: fix number of failsafe sub-devices

  [ Andrew Rybchenko ]
  * net/sfc: fix reported promiscuous/multicast mode

  [ Selwin Sebastian ]
  * net/axgbe: support scattered Rx

  [ Eduard Serra ]
  * net/vmxnet3: fix RSS setting on v4

  [ Igor Romanov ]
  * net/sfc: fix initialization error path

  [ Shougang Wang ]
  * net/i40e: fix DCB initialization

  [ Chandu Babu N ]
  * net/axgbe: support setting MAC address
  * net/axgbe: support unicast hash table for MAC address

  [ Ivan Malov ]
  * net/sfc: make flow RSS details VNIC-specific
  * net/sfc: make flow list engine-agnostic
  * net/sfc: generalise flow specification structure
  * net/sfc: introduce flow allocation and free path
  * net/sfc: generalise flow parsing
  * net/sfc: generalise flow start and stop path
  * net/sfc: generalise flow pattern item processing

  [ Igor Romanov ]
  * net/sfc: fix Rx queue start failure path

  [ Qi Zhang ]
  * net/ice: remove bulk alloc option

  [ Dekel Peled ]
  * net/mlx5: fix mask used for IPv6 item validation
  * net/mlx5: support match on IPv4 TTL and IPv6 HLIM

  [ Tonghao Zhang ]
  * common/mlx5: fix build without dlopen option

  [ Július Milan ]
  * net/memif: enable loopback
  * net/memif: fix init when already connected

  [ Kevin Traynor ]
  * net/hinic: fix snprintf length of cable info
  * net/hinic: fix repeating cable log and length check

  [ Qi Zhang ]
  * net/ice: remove redundant functions

  [ Xiao Zhang ]
  * ethdev: add PFCP header to flow API

  [ Hongbo Zheng ]
  * net/hns3: support TSO

  [ Wei Hu (Xavier) ]
  * net/hns3: fix Tx interrupt when enabling Rx interrupt

  [ Chengchang Tang ]
  * net/hns3: remove restriction on setting VF MTU
  * net/hns3: support promiscuous and allmulticast mode for VF
  * net/hns3: fix promiscuous mode for PF

  [ Sunil Kumar Kori ]
  * net/ionic: use standard boolean type

  [ Stephen Hemminger ]
  * ethdev: fix spelling

  [ Igor Romanov ]
  * net/sfc: fix promiscuous and allmulticast toggles errors
  * net/sfc: set priority of created filters to manual
  * net/sfc/base: reduce filter priorities to implemented only
  * net/sfc/base: reject automatic filter creation by users
  * net/sfc/base: refactor filter lookup loop in EF10
  * net/sfc/base: handle manual and auto filter clashes in EF10

  [ Karra Satwik ]
  * net/cxgbe: support flow API for matching QinQ VLAN
  * net/cxgbe: support flow API for matching IP TOS
  * net/cxgbe: support flow API for matching all packets on PF
  * net/cxgbe: support flow API for matching all packets on VF
  * net/cxgbe: support flow API for destination MAC rewrite
  * net/cxgbe: support Source MAC Table
  * net/cxgbe: support flow API for source MAC rewrite
  * net/cxgbe: use firmware API for validating filter spec
  * net/cxgbe: add devargs to control filtermode and filtermask

  [ Guinan Sun ]
  * net/ixgbe: fix setting VF MAC address

  [ Wisam Jaddo ]
  * net/mlx5: fix zero metadata action

  [ Amaranath Somalapuram ]
  * net/axgbe: support flow control
  * net/axgbe: support priority flow control
  * net/axgbe: support queue query
  * net/axgbe: advertise supported packet types
  * net/axgbe: support descriptor status

  [ Xiaoyun Wang ]
  * net/hinic: allocate IO memory with socket id

  [ Dekel Peled ]
  * net/mlx5: fix CVLAN tag set in IP item translation

  [ Alexander Kozyrev ]
  * net/mlx5: reduce Tx completion index memory loads

  [ Jim Harris ]
  * contigmem: cleanup properly when load fails

  [ Phil Yang ]
  * ring: fix unaligned memory access on aarch32

  [ Olivier Matz ]
  * maintainers: update for ring library

  [ Luca Boccassi ]
  * Update changelog for 19.11-4 release

  [ Nithin Dabilpuram ]
  * devtools: fix symbol map change check

  [ David Marchand ]
  * devtools: silence meson install
  * test: load drivers when required

  [ Ruifeng Wang ]
  * test: skip some subtests in no-huge mode
  * test: allow no-huge mode for fast-tests
  * ci: run tests even without hugepage
  * ci: enable unit test for aarch64

  [ Jerin Jacob ]
  * eal: store control thread CPU affinity in TLS

  [ Mit Matelske ]
  * eal/freebsd: fix queuing duplicate alarm callbacks

  [ Christian Ehrhardt ]
  * New upstream version 19.11.1
  * New upstream version 19.11.1
  * add new packages for librte_pmd_ipn3ke and librte_rawdev_ifpga which
    formerly didn't build
  * d/librte-cfgfile20.0.symbols: add new symbol
  * changelog: bump to 19.11.1

  [ Anatoly Burakov ]
  * vfio: map contiguous areas in one go
  * mem: preallocate VA space in no-huge mode

  [ Ferruh Yigit ]
  * log: add API to check if a logtype can log in a given level

  [ Olivier Matz ]
  * test/kvargs: fix to consider empty elements as valid
  * test/kvargs: fix invalid cases check

  [ Yunjian Wang ]
  * kvargs: fix buffer overflow when parsing list

  [ Somnath Kotur ]
  * bus/pci: fix devargs on probing again

  [ Alexander Kozyrev ]
  * mbuf: optimize memory loads during freeing

  [ Thomas Monjalon ]
  * eal: remove useless makefiles
  * build: rename ppc sub-directories
  * eal: move arch-specific C files
  * eal: move arch-specific header files
  * eal: simplify meson build of common directory
  * eal: move common header files
  * eal: move OS-specific sub-directories
  * eal: clean make and meson files

  [ Andrzej Ostruszka ]
  * lpm6: make IPv6 address immutable

  [ Juraj Linkeš ]
  * ci: fix telemetry dependency in Travis

  [ Asim Jamshed ]
  * fib: fix headers for C++ support

  [ Vladimir Medvedkin ]
  * app/test-fib: fix possible use of uninitialized data
  * app/test-fib: fix 32-bits build
  * app/test-fib: get rid of libresolv dependency
  * app/test-fib: add in default build

  [ Ankur Dwivedi ]
  * examples/ipsec-secgw: add default flow for inline Rx

  [ Anoob Joseph ]
  * examples/ipsec-secgw: add framework for event helper
  * examples/ipsec-secgw: add event port-lcore link

  [ Luca Boccassi ]
  * Fix regex in d/watch for 19.11 point releases

  [ Anoob Joseph ]
  * examples/ipsec-secgw: support event Rx adapter
  * examples/ipsec-secgw: support event Tx adapter
  * examples/ipsec-secgw: add event config display

  [ Lukasz Bartosik ]
  * examples/ipsec-secgw: add event worker launch
  * examples/ipsec-secgw: support internal ports for events
  * examples/ipsec-secgw: add event helper config init/uninit
  * examples/ipsec-secgw: add event mode
  * examples/ipsec-secgw: add driver mode worker
  * examples/ipsec-secgw: add app mode worker
  * examples/ipsec-secgw: make number of buffers dynamic
  * doc: add event mode to ipsec-secgw
  * examples/ipsec-secgw: reserve crypto queues in event mode

  [ Mairtin o Loingsigh ]
  * crypto/qat: support DOCSIS AES-256
  * test/crypto: add AES-256 DOCSIS test vectors

  [ Adam Dybkowski ]
  * cryptodev: fix missing device id range checking
  * common/qat: fix GEN3 marketing name

  [ Artur Trybula ]
  * cryptodev: remove unused operation for queue count
  * compressdev: remove unused function pointer prototype

  [ Fiona Trahe ]
  * crypto/qat: improve out-of-place conditional check
  * crypto/qat: optimise check for chained mbufs
  * common/qat: optimise calculation of cookie index

  [ Ruifeng Wang ]
  * test/ipsec: fix crash in session destroy

  [ Arek Kusztal ]
  * crypto/qat: support AES-GCM J0
  * test/crypto: add AES-GCM J0 case

  [ Nicolas Chautru ]
  * bbdev: add capability for filler bits inclusion in HARQ
  * bbdev: expose device HARQ buffer size at device level
  * baseband/turbo_sw: fix exposed LLR decimals assumption
  * baseband/turbo_sw: support large size code block
  * app/bbdev: rename FPGA LTE macros to be more explicit
  * app/bbdev: support HARQ validation
  * app/bbdev: add performance tests
  * app/bbdev: support LDPC interrupt test
  * app/bbdev: support offload test for LDPC
  * app/bbdev: update test vectors

  [ Adam Dybkowski ]
  * common/qat: get firmware version
  * crypto/qat: handle mixed hash-cipher on GEN2

  [ Nagadheeraj Rottela ]
  * crypto/nitrox: fix CSR register address generation
  * crypto/nitrox: fix oversized device name

  [ Mariusz Drost ]
  * examples/ipsec-secgw: enable CPU crypto fallback

  [ Nagadheeraj Rottela ]
  * crypto/nitrox: support 3DES-CBC

  [ Pavan Nikhilesh ]
  * build: disable experimental API check internally
  * event/octeontx2: remove WFE from dual-slot dequeue

  [ Mattias Rönnblom ]
  * event/dsw: reduce latency in low-load situations
  * event/dsw: reduce max flows to speed up load balancing
  * event/dsw: extend xstats
  * event/dsw: improve migration mechanism
  * event/dsw: avoid migration waves in large systems
  * event/dsw: remove redundant control ring poll
  * event/dsw: remove unnecessary read barrier
  * event/dsw: add port busy cycles xstats

  [ Pavan Nikhilesh ]
  * app/eventdev: validate producer type
  * examples/l2fwd-event: add option to configure port pairs
  * event/octeontx2: use C11 atomics for statistics

  [ Luca Boccassi ]
  * librte-pmd-ipn3ke20.0: enable for i386
  * Update changelog for 19.11.1-2 release

  [ Liron Himi ]
  * maintainers: update for Marvell ARMADA

  [ Hemant Agrawal ]
  * maintainers: update for rawdev

  [ Thomas Monjalon ]
  * doc: fix sphinx compatibility
  * test: remove meson dependency on /proc file

  [ Suanming Mou ]
  * bitmap: add init with all bits set

  [ Jerin Jacob ]
  * maintainers: update for Marvell OCTEON TX2

  [ Mattias Rönnblom ]
  * event/dsw: fix gcc 4.8 false positive warning

  [ Akhil Goyal ]
  * ipsec: fix build dependency on hash lib

  [ Thomas Monjalon ]
  * net/mlx5: replace destructor syntax with common macro
  * net/memif: use common macros for cache line marker
  * common/mlx5: replace alignas keyword
  * replace alignment attributes
  * replace packed attributes
  * replace always-inline attributes
  * replace no-inline attributes
  * replace unused attributes
  * replace used attributes
  * replace hot attributes
  * replace cold attributes
  * replace no-return attributes
  * devtools: check use of compiler attributes
  * log: fix level picked with globbing on type register
  * doc: fix matrix CSS for recent sphinx
  * doc: remove empty columns from NIC features matrix
  * doc: remove similar columns from NIC features matrix

  [ David Marchand ]
  * eal/ppc: fix build

  [ Ferruh Yigit ]
  * examples/vm_power_manager: fix build

  [ Bruce Richardson ]
  * ci: reduce examples in static builds

  [ Thomas Monjalon ]
  * devtools: reduce examples in static builds
  * devtools: skip ABI check in static builds

  [ Pavan Nikhilesh ]
  * build: add global libatomic dependency for 32-bit clang

  [ Konstantin Ananyev ]
  * test/ring: add contention stress test
  * ring: prepare ring to allow new sync schemes
  * ring: introduce RTS ring mode
  * test/ring: add contention stress test for RTS ring
  * ring: introduce HTS ring mode
  * test/ring: add contention stress test for HTS ring
  * ring: introduce peek style API
  * test/ring: add stress test for MT peek API
  * test/ring: add functional tests for new sync modes

  [ Anatoly Burakov ]
  * test/malloc: run realloc tests on external heap
  * test/malloc: add bad parameter tests for realloc

  [ Thinh Tran ]
  * eal/ppc64: use glibc for cpu cycles count

  [ Tonghao Zhang ]
  * eal: fix PRNG init with HPET enabled

  [ Michael Haeuptle ]
  * vfio: fix race condition with sysfs

  [ Wei Hu (Xavier) ]
  * vfio: fix use after free with multiprocess

  [ Dmitry Kozlyuk ]
  * eal/windows: do not expose private facilities

  [ Tal Shnaiderman ]
  * eal/windows: fix build

  [ Yunjian Wang ]
  * crypto/dpaa2_sec: remove unnecessary check

  [ Anoob Joseph ]
  * examples/ipsec-secgw: support 192/256 AES key sizes

  [ Bruce Richardson ]
  * drivers: fix log type variables for -fno-common

  [ Pablo de Lara ]
  * cryptodev: add asymmetric session-less feature name

  [ Lukasz Wojciechowski ]
  * drivers/crypto: fix log type variables for -fno-common

  [ Mairtin o Loingsigh ]
  * crypto/aesni_mb: support DOCSIS AES-256

  [ Pablo de Lara ]
  * test/crypto: fix flag check

  [ Praveen Shetty ]
  * examples/ipsec-secgw: support flow director

  [ Konstantin Ananyev ]
  * crypto/aesni_mb: support CPU crypto
  * test/crypto: add CPU crypto mode for AESNI MB

  [ Pablo de Lara ]
  * crypto/openssl: fix out-of-place encryption

  [ Lukasz Wojciechowski ]
  * security: fix verification of parameters
  * security: fix return types in documentation
  * security: fix session counter
  * test: remove redundant macro
  * test/security: introduce security lib tests
  * test/security: check session update
  * test/security: check session size
  * test/security: check session stats
  * test/security: check session destroy
  * test/security: check metadata set
  * test/security: check userdata get
  * test/security: check capabilities get
  * test/security: check capability get

  [ Ankur Dwivedi ]
  * examples/ipsec-secgw: remove duplicated check
  * examples/ipsec-secgw: check event adapter errors

  [ Adam Dybkowski ]
  * compress/qat: support IM buffer too small operation
  * test/compress: check IM buffer too small

  [ Nicolas Chautru ]
  * baseband/fpga_5gnr_fec: add PMD for FPGA 5GNR FEC
  * baseband/fpga_5gnr_fec: add HW register definitions
  * baseband/fpga_5gnr_fec: add info get function
  * baseband/fpga_5gnr_fec: add queue configuration
  * baseband/fpga_5gnr_fec: add LDPC processing functions
  * baseband/fpga_5gnr_fec: add HW error capture
  * baseband/fpga_5gnr_fec: add debug functionality
  * baseband/fpga_5gnr_fec: add configure function
  * baseband/fpga_5gnr_fec: add HARQ loopback capability
  * baseband/fpga_5gnr_fec: support interrupt
  * doc: add feature matrix table for bbdev

  [ Pablo de Lara ]
  * test/crypto: add capability check
  * test/crypto: do not check for internal PMD information
  * cryptodev: add session-less feature flag
  * test/crypto: check session-less support
  * test/crypto: check out-of-place support
  * test/crypto: do not check for PMD

  [ Adam Dybkowski ]
  * crypto/qat: support plain SHA1..SHA512 hashes

  [ Pablo de Lara ]
  * doc: support IPsec Multi-buffer lib v0.54

  [ Luca Boccassi ]
  * Bump libibverbs-dev build-dependency to >= 23 for Azure functionality

  [ Honnappa Nagarahalli ]
  * rcu: add resource reclamation APIs
  * test/rcu: add defer queue APIs tests

  [ Ruifeng Wang ]
  * doc: add RCU integration design details

  [ Honnappa Nagarahalli ]
  * rcu: add additional debug logs

  [ Jerin Jacob ]
  * eal: introduce API for getting thread name
  * trace: introduce new subsystem
  * trace: implement register API
  * trace: implement operation APIs
  * trace: add internal init and fini interface
  * trace: save bootup timestamp
  * trace: create CTF TDSL metadata in memory

  [ Sunil Kumar Kori ]
  * trace: handle CTF keyword collision

  [ Jerin Jacob ]
  * trace: implement memory allocation
  * trace: implement debug dump
  * trace: implement trace save
  * trace: implement registration payload
  * trace: implement provider payload
  * trace: hook subsystem to Linux
  * trace: hook subsystem to FreeBSD
  * trace: add generic tracepoints
  * trace: add alarm tracepoints
  * trace: add memory tracepoints
  * trace: add memzone tracepoints
  * trace: add thread tracepoints
  * trace: add interrupt tracepoints

  [ Sunil Kumar Kori ]
  * trace: add trace configuration parameter
  * trace: add trace directory configuration parameter
  * trace: add trace bufsize configuration parameter
  * trace: add trace mode configuration parameter
  * test/trace: add functional test cases

  [ Jerin Jacob ]
  * test/trace: add performance test cases

  [ Sunil Kumar Kori ]
  * ethdev: add tracepoints
  * eventdev: add tracepoints
  * cryptodev: add tracepoints
  * mempool: add tracepoints

  [ Jerin Jacob ]
  * doc: add trace library guide

  [ Chengchang Tang ]
  * net/hns3: remove redundant check when setting MAC
  * net/hns3: modify inappropriate names

  [ Chengwen Feng ]
  * net/hns3: fix packets offload features flags in Rx
  * net/hns3: fix default error code of command interface
  * net/hns3: fix crash when flushing RSS flow rules with FLR

  [ Min Hu (Connor) ]
  * net/hns3: fix configuring illegal VLAN PVID

  [ Wei Hu (Xavier) ]
  * net/hns3: fix status after repeated resets

  [ Xiaoyun Wang ]
  * net/hinic: fix LRO
  * net/hinic/base: fix port start during FW hot update
  * net/hinic/base: optimize doorbell area initialization
  * net/hinic: remove 40G mezzanine card
  * net/hinic: add flow director filter
  * net/hinic: clean up logs
  * net/hinic: support flow control

  [ Andy Pei ]
  * net/ipn3ke: use control thread to check link status

  [ Muhammad Ahmad ]
  * app/testpmd: add FW version in port info

  [ Lijun Ou ]
  * net/hns3: fix RSS indirection table configuration
  * net/hns3: fix configuring RSS hash when rules are flushed

  [ Min Hu (Connor) ]
  * net/hns3: fix mailbox opcode data type

  [ Chengwen Feng ]
  * net/hns3: fix return value of setting VLAN offload

  [ Qi Zhang ]
  * net/ice/base: fix uninitialized stack variables
  * net/ice/base: add and update E822 device IDs
  * net/ice/base: fix removing MAC rule
  * net/ice/base: read PSM clock frequency from register
  * net/ice/base: allow VLAN and ethertype filter for port
  * net/ice/base: replace u16 with enum
  * net/ice/base: use struct size helper
  * net/ice/base: use descriptive variable name than type
  * net/ice/base: refactor a function
  * net/ice/base: add NVM netlist macros
  * net/ice/base: minor fixes
  * net/ice/base: support GTPU uplink and downlink
  * net/ice/base: support link default override
  * net/ice/base: add dedicate MAC type for E810
  * net/ice/base: capitalize abbreviations
  * net/ice/base: add PHY number definition values
  * net/ice/base: add shared driver parameter command
  * net/ice/base: add AN masks to get PHY capabilities
  * net/ice/base: extract logic of flat NVM read to function
  * net/ice/base: add macro specifying max NVM offset
  * net/ice/base: implement new shadow RAM read
  * net/ice/base: fix a couple of casting
  * net/ice/base: support PHY persistent feature
  * net/ice/base: store NVM version in extracted format
  * net/ice/base: add ACL module
  * net/ice/base: update copyright date
  * net/ice/base: add hook to send AdminQ command
  * net/ice/base: do not access some hardware registers in DCF
  * net/ice/base: move functions from common to NVM module
  * net/ice/base: discover and store size of available flash
  * net/ice/base: check DDP package compatibility
  * net/ice/base: fix MAC write command
  * net/ice/base: cleanup flow director functions
  * net/ice/base: add check to IPv4 next protocol
  * net/ice/base: add reference count to tunnels
  * net/ice/base: add PPPoE IPv6 dummy packet
  * common/iavf: update copyright date
  * common/iavf: add two opcodes to send AdminQ command
  * common/iavf: support DCF capability negotiation
  * common/iavf: support VSI mapping table

  [ Shougang Wang ]
  * net/iavf: unify Rx packet type table

  [ Haiyue Wang ]
  * net/iavf: stop PCI probe in DCF mode
  * net/ice: add DCF hardware initialization
  * net/ice: acquire and disable DCF capability
  * net/ice: handle AdminQ command by DCF
  * net/ice: export DDP definition symbols
  * net/ice: handle PF initialization by DCF
  * net/ice: get VF hardware index in DCF

  [ Tao Zhu ]
  * net/ixgbe: fix link status inconsistencies

  [ Wei Zhao ]
  * net/ixgbe: fix e-tag definition

  [ Raslan Darawsheh ]
  * net/mlx5: fix validation of VXLAN/VXLAN-GPE specs

  [ Dekel Peled ]
  * doc: update mlx5 firmware configuration guidelines

  [ Shiri Kuzin ]
  * net/mlx5: create relaxed ordering memory regions

  [ Viacheslav Ovsiienko ]
  * net/mlx5: fix metadata for compressed Rx CQEs

  [ Alexander Kozyrev ]
  * net/mlx5: prefetch CQEs for a faster decompression

  [ Dekel Peled ]
  * net/mlx5: update VLAN and encap actions validation

  [ Asaf Penso ]
  * net/mlx5: fix call to modify action without init item

  [ Wisam Jaddo ]
  * net/mlx5: fix zero value validation for metadata

  [ Bing Zhao ]
  * net/mlx5: change operations for non-cached flows
  * net/mlx5: reorganize flow structures
  * net/mlx5: separate the flow handle resource
  * net/mlx5: check device status before creating flow

  [ Dekel Peled ]
  * common/mlx5: fix RSS key copy to TIR context

  [ Beilei Xing ]
  * net/ice: support flow redirect
  * net/ice: support flow ops thread safe

  [ Junyu Jiang ]
  * examples/vmdq: fix output of pools/queues

  [ Stephen Hemminger ]
  * net/mvneta: do not use PMD log type
  * net/virtio: do not use PMD log type
  * net/tap: do not use PMD log type
  * net/pfe: do not use PMD log type
  * net/bnxt: do not use PMD log type
  * net/dpaa: use dynamic log type
  * net/thunderx: use dynamic log type

  [ Bing Zhao ]
  * net/mlx5: introduce buffer size parameter for hairpin

  [ Jiawei Wang ]
  * net/mlx5: fix imissed counter overflow

  [ Qi Zhang ]
  * net/ice/base: add more macros for FDID priority
  * net/ice/base: reduce scope of variables
  * net/ice/base: ignore EMODE when setting PHY config
  * net/ice/base: add ethertype check for dummy packet
  * net/ice/base: refactor flow control function
  * net/ice/base: allow adding MAC VLAN filter on port
  * net/ice/base: add default DCB parameters
  * net/ice/base: allow profile based switch rules
  * net/ice/base: improve GTPU extend header handle
  * net/ice/base: handle critical FW error
  * net/ice/base: group case statements
  * net/ice/base: move some macros
  * net/ice/base: support PFCP and NAT-T of switch
  * net/ice/base: change function to static
  * net/ice/base: fix binary order for GTPU filter
  * net/ice/base: enable RSS for PFCP/L2TP/ESP/AH
  * doc: update i40e features list
  * doc: update ice features list
  * doc: update iavf features list
  * doc: update ixgbe features list

  [ Haiyue Wang ]
  * net/ice/base: check memory pointer before copying

  [ Guinan Sun ]
  * net/i40e: enable VF to program MAC address

  [ Eduard Serra ]
  * net/vmxnet3: support MTU set

  [ Martin Spinler ]
  * net/nfb: check array size before access

  [ Igor Romanov ]
  * net/sfc/base: refactor filters cleanup in reconfigure
  * net/sfc/base: refactor filters mark in reconfigure
  * net/sfc/base: refactor unicast filters reconfiguration
  * net/sfc/base: refactor multicast filters reconfiguration
  * net/sfc/base: add API to get currently operating filters
  * net/sfc: check actual all multicast unknown unicast filters

  [ Andrew Rybchenko ]
  * net/sfc: add Xilinx copyright

  [ Yunjian Wang ]
  * net/tap: remove unused assert

  [ Nithin Dabilpuram ]
  * common/octeontx2: upgrade mbox definition to version 5

  [ Amit Gupta ]
  * net/octeontx: fix meson build for disabled drivers

  [ Kiran Kumar K ]
  * net/octeontx2: offload bad L2/L3/L4 UDP lengths detection

  [ Harman Kalra ]
  * net/octeontx: support multi segment
  * net/octeontx: add framework for Rx/Tx offloads
  * net/octeontx: support fast mbuf free
  * net/octeontx: support MTU

  [ Vamsi Attunuru ]
  * net/octeontx: support VLAN filter offload

  [ Harman Kalra ]
  * net/octeontx: support set link up/down

  [ Vamsi Attunuru ]
  * net/octeontx: support flow control

  [ Harman Kalra ]
  * net/octeontx: support Rx/Tx checksum offload

  [ Vamsi Attunuru ]
  * net/octeontx2: enable error and RAS interrupt in configure

  [ Harman Kalra ]
  * net/octeontx2: support configuring link attributes

  [ Nithin Dabilpuram ]
  * net/octeontx2: setup link config based on BP level
  * net/octeontx2: restructure TM helper functions
  * net/octeontx2: support dynamic topology update
  * net/octeontx2: support TM node add/delete

  [ Krzysztof Kanas ]
  * net/octeontx2: add TM node suspend/resume

  [ Nithin Dabilpuram ]
  * net/octeontx2: add TM hierarchy commit
  * net/octeontx2: add TM stats and shaper profile
  * net/octeontx2: add TM dynamic topology update
  * net/octeontx2: support TM debug

  [ Krzysztof Kanas ]
  * net/octeontx2: add Tx queue rate limit
  * net/octeontx2: add TM capability

  [ Pavan Nikhilesh ]
  * net/octeontx2: fix device configuration sequence

  [ Satheesh Paul ]
  * net/octeontx2: support custom L2 header

  [ Wei Zhao ]
  * net/ice: enable switch flow on DCF
  * net/ice: support more PPPoE input set
  * net/ice: change switch parser to support flexible mask
  * net/ice: support MAC VLAN rule
  * net/ice: change default tunnel type
  * net/ice: add action number check for switch
  * net/ice: support ESP/AH/L2TP
  * net/ice: support PFCP
  * net/ice: support IPv6 NAT-T
  * net/ice: add more flow support for permission stage
  * net/ice: fix input set of VLAN item

  [ Beilei Xing ]
  * net/ice: enable flow redirect on switch
  * net/ice: redirect switch rule to new VSI

  [ Dekel Peled ]
  * app/testpmd: enhance GTP support

  [ Stephen Hemminger ]
  * net/netvsc: propagate descriptor limits from VF
  * net/netvsc: handle Rx packets during multi-channel setup
  * net/netvsc: split send buffers from Tx descriptors
  * net/netvsc: fix memory free on device close
  * net/netvsc: remove process event optimization
  * net/netvsc: handle Tx completions based on burst size
  * bus/vmbus: simplify arguments to need signal function
  * net/netvsc: avoid possible live lock

  [ Xueming Li ]
  * app/testpmd: support dumping socket memory

  [ Vadim Podovinnikov ]
  * net/memif: fix resource leak

  [ Eugeny Parshutin ]
  * ethdev: fix build when vtune profiling is on

  [ Junyu Jiang ]
  * doc: add user guide for VMDq example
  * examples/vmdq: fix RSS configuration

  [ Ferruh Yigit ]
  * net/nfp: fix log format specifiers

  [ Yunjian Wang ]
  * net/nfp: fix dangling pointer on probe failure

  [ Junyu Jiang ]
  * net/ice: fix RSS advanced rule

  [ Lunyuan Cui ]
  * net/i40e: enable MAC address as flow director input set
  * net/iavf: enable port reset

  [ Qi Zhang ]
  * net/ice/base: remove unused code in switch rule

  [ Zhaoyan Chen ]
  * doc: update ice guide driver/firmware/package version

  [ Michal Krawczyk ]
  * net/ena: ensure Rx buffer size is at least 1400B

  [ Igor Chauskin ]
  * net/ena/base: make allocation macros thread-safe
  * net/ena/base: prevent allocation of zero sized memory

  [ Michal Krawczyk ]
  * net/ena/base: generate default random RSS hash key
  * net/ena/base: fix testing for supported hash function
  * net/ena/base: remove conversion of indirection table
  * net/ena/base: rework interrupt moderation
  * net/ena/base: remove extra properties strings
  * net/ena/base: add accelerated LLQ mode
  * net/ena/base: fix documentation of functions
  * net/ena/base: fix indentation in CQ polling
  * net/ena/base: add error logs when preparing Tx
  * net/ena/base: use 48-bit memory addresses
  * net/ena/base: fix types for printing timestamps
  * net/ena/base: fix indentation of multiple defines
  * net/ena/base: update generation date and commit
  * net/ena: set IO ring size to valid value
  * net/ena: refactor getting IO queues capabilities
  * net/ena: support large LLQ headers
  * net/ena: remove memory barriers before doorbells
  * net/ena: add Tx drops statistic
  * net/ena: disable meta caching
  * net/ena: refactor Rx
  * net/ena: rework getting number of available descriptors
  * net/ena: limit refill threshold by fixed value
  * net/ena: use macros for ring index operations
  * net/ena: refactor Tx
  * net/ena: reuse zero length Rx descriptor
  * doc: add notes on ENA usage on metal instances
  * net/ena: update driver version to v2.1.0

  [ Suanming Mou ]
  * net/mlx5: fix counter container usage
  * net/mlx5: optimize counter release query generation
  * net/mlx5: change verbs counter allocator to indexed
  * common/mlx5: add batch counter id offset
  * net/mlx5: change Direct Verbs counter to indexed
  * net/mlx5: optimize flow counter handle type
  * net/mlx5: split flow counter struct
  * net/mlx5: reorganize fallback counter management

  [ Xiao Zhang ]
  * app/testpmd: fix PPPoE flow command

  [ Yunjian Wang ]
  * net/pfe: fix double free of MAC address

  [ Qiming Yang ]
  * net/iavf: support generic flow API

  [ Xiao Zhang ]
  * net/iavf: support more flow patterns

  [ Jiaqi Min ]
  * net/i40e/base: update X722/X710 FW API version to 1.10
  * net/i40e/base: introduce device ID for V710-TL 5G
  * net/i40e/base: add constants for PTP pins
  * net/i40e/base: update version

  [ Ferruh Yigit ]
  * net/null: fix secondary burst function selection
  * doc: add net null PMD guide
  * net/null: remove redundant check
  * net/null: prefer unsigned int
  * net/null: group device arguments
  * net/null: add argument for no Rx

  [ Xiaoyun Wang ]
  * net/hinic/base: fix PF firmware hot-active problem
  * net/hinic/base: optimize log style
  * net/hinic: adds Tx queue xstats members

  [ Fan Zhang ]
  * vhost/crypto: add missing user protocol flag

  [ Thomas Monjalon ]
  * examples/vhost_blk: use common macro for minimum

  [ Marvin Liu ]
  * vhost: fix packed ring zero-copy

  [ Sivaprasad Tummala ]
  * net/vhost: add options for linear and external buffer

  [ Xiaolong Ye ]
  * net/vhost: enable promiscuous and multicast by default

  [ Itsuro Oda ]
  * net/vhost: fix potential memory leak on close

  [ Xiaolong Ye ]
  * net/virtio: fix outdated comment
  * vhost: remove unused variable

  [ Itsuro Oda ]
  * vhost: make IOTLB cache name unique among processes

  [ Maxime Coquelin ]
  * vhost: prefix vDPA enum value for PCI address type

  [ Lijun Ou ]
  * net/hns3: simplify process of some return values

  [ Wei Hu (Xavier) ]
  * net/hns3: replace interrupt vector zero with common macro

  [ Chengchang Tang ]
  * net/hns3: fix adding multicast MAC address

  [ Chengwen Feng ]
  * net/hns3: fix Rx interrupt after reset
  * net/hns3: clear residual flow rules on init

  [ Lijun Ou ]
  * net/hns3: add RSS hash offload to capabilities
  * net/hns3: fix RSS key length

  [ Chengchang Tang ]
  * net/hns3: fix default VLAN filter configuration for PF
  * net/hns3: fix VLAN filter when setting promisucous mode

  [ Qi Zhang ]
  * net/ice/base: update version
  * common/iavf: add packet type aborted code
  * common/iavf: add DDP package query in virtual channel
  * common/iavf: support virtual channel for Flex RXD
  * common/iavf: add virtual channel protocol header
  * common/iavf: support advanced RSS input set change
  * common/iavf: support flow director in virtual channel
  * common/iavf: update version

  [ Thomas Monjalon ]
  * common/mlx5: split glue initialization
  * common/mlx5: fix build with -fno-common
  * net/mlx4: fix build with -fno-common

  [ Bing Zhao ]
  * net/mlx5: fix index when creating flow

  [ Mohsin Shaikh ]
  * net/mlx5: use open/read/close for ib stats query

  [ Souvik Dey ]
  * net/bnx2x: add multicast MAC address filtering
  * net/bnx2x: handle guest VLAN for SR-IOV

  [ Nithin Dabilpuram ]
  * net/octeontx2: disable unnecessary error interrupts

  [ Alvin Zhang ]
  * net/igc: add skeleton
  * net/igc: support device initialization
  * net/igc: implement device base operations
  * net/igc: support Rx and Tx
  * net/igc: enable statistics
  * net/igc: enable Rx queue interrupts
  * net/igc: support flow control
  * net/igc: support RSS
  * net/igc: support VLAN
  * net/igc: support MAC loopback mode
  * net/igc: support flow API

  [ Gavin Hu ]
  * net/i40e: relax barrier in Tx for NEON
  * net/i40e: restrict pointer aliasing for NEON

  [ Wei Zhao ]
  * net/ice/base: check number of chained recipes
  * net/ice/base: add mask check to find switch recipe
  * net/ice/base: force switch to use different recipe

  [ Chenxu Di ]
  * net/i40e: support hash configuration in RSS flow

  [ Alexander Kozyrev ]
  * net/mlx5: add device parameter for MPRQ stride size
  * net/mlx5: enable MPRQ multi-stride operations
  * net/mlx5: add multi-segment packets in MPRQ mode

  [ Suanming Mou ]
  * net/mlx5: fix meter suffix table leak
  * net/mlx5: fix jump table leak

  [ Vu Pham ]
  * common/mlx5: refactor IPC handling from net driver
  * common/mlx5: refactor memory management

  [ Hyong Youb Kim ]
  * net/enic: fix flow action reordering

  [ John Daley ]
  * net/enic: update flow manager API
  * net/enic: change Rx queue ordering to enable RSS action
  * net/enic: support flow API RSS ranges on outer headers
  * net/enic: allow multiple mark and flag actions

  [ Xiaoyu Min ]
  * net/mlx5: fix push VLAN action to use item info
  * net/mlx5: fix validation of push VLAN without full mask

  [ Yunjian Wang ]
  * net/tap: fix mbuf double free when writev fails
  * net/tap: fix mbuf and mem leak during queue release
  * net/tap: fix check for mbuf number of segment
  * net/tap: fix file close on remove
  * net/tap: fix fd leak on creation failure

  [ Jakub Grajciar ]
  * net/memif: enable promiscuous mode

  [ Bernard Iremonger ]
  * ethdev: add RSS offload types for ESP and AH
  * app/testpmd: handle RSS offload types ESP and AH
  * net/i40e: add ESP patterns

  [ Yunjian Wang ]
  * net/tap: fix unexpected link handler

  [ Ajit Khaparde ]
  * net/bnxt: update HSI structure

  [ Randy Schacher ]
  * net/bnxt: update HWRM prep to use pointer

  [ Pete Spreadborough ]
  * net/bnxt: add TruFlow message handlers

  [ Michael Wildt ]
  * net/bnxt: add initial TruFlow core session open
  * net/bnxt: add initial TruFlow core session close
  * net/bnxt: add TruFlow core session SRAM

  [ Shahaji Bhosle ]
  * net/bnxt: add initial TruFlow core resource management

  [ Michael Wildt ]
  * net/bnxt: add resource manager

  [ Farah Smith ]
  * net/bnxt: add TruFlow core identifier

  [ Shahaji Bhosle ]
  * net/bnxt: support TruFlow core TCAM

  [ Farah Smith ]
  * net/bnxt: support TruFlow core table scope

  [ Pete Spreadborough ]
  * net/bnxt: support EM/EEM

  [ Venkat Duvvuru ]
  * net/bnxt: fetch SVIF information from firmware
  * net/bnxt: fetch VNIC info
  * net/bnxt: support host memory based TruFlow
  * net/bnxt: support ULP session manager init
  * net/bnxt: support ULP session manager cleanup

  [ Mike Baucom ]
  * net/bnxt: add helper functions for blob/regfile ops
  * net/bnxt: support process action tables
  * net/bnxt: support process key tables
  * net/bnxt: support freeing key and action tables
  * net/bnxt: support alloc and program key and act tables

  [ Kishore Padmanabha ]
  * net/bnxt: match flow API items with flow template patterns
  * net/bnxt: match flow API actions with flow template actions
  * net/bnxt: support flow API item parsing
  * net/bnxt: support flow API action parsing
  * net/bnxt: support flow API create
  * net/bnxt: support flow API validate
  * net/bnxt: support flow API destroy
  * net/bnxt: support flow API flush

  [ Venkat Duvvuru ]
  * net/bnxt: register TruFlow flow API ops
  * net/bnxt: disable vector mode on host based TruFlow
  * net/bnxt: support marking packet
  * net/bnxt: enable meson build on TruFlow

  [ Asaf Penso ]
  * vdpa/mlx5: set default queue indices

  [ Matan Azrad ]
  * vdpa/mlx5: move virtual doorbell alloc to probe
  * vdpa/mlx5: support direct HW notifications
  * vdpa/mlx5: validate notifier configuration
  * vdpa/mlx5: add logs

  [ Xuan Ding ]
  * doc: add note for vhost builtin example

  [ Marvin Liu ]
  * vhost: fix shadow update
  * vhost: fix shadowed descriptors not flushed

  [ Ivan Dyukov ]
  * net/virtio: refactor devargs parsing
  * net/virtio: add link speed parameter
  * net/virtio-user: fix devargs parsing
  * net/virtio-user: adding link speed parameter
  * net/virtio: support Virtio link speed feature

  [ Christos Ricudis ]
  * net/bnxt: add counters to xstats

  [ Ajit Khaparde ]
  * net/bnxt: add PCI function stats to extended stats

  [ Somnath Kotur ]
  * net/bnxt: add flow stats in extended stats

  [ Mike Baucom ]
  * net/bnxt: add SVIF changes for port id
  * net/bnxt: allow usage of more resources in flow DB

  [ Kishore Padmanabha ]
  * net/bnxt: add flow database resource iteration API

  [ Mike Baucom ]
  * net/bnxt: add resource name type to debug messages

  [ Kishore Padmanabha ]
  * net/bnxt: aggregate ULP parser arguments

  [ Mike Baucom ]
  * net/bnxt: aggregate ULP mapper create arguments

  [ Kishore Padmanabha ]
  * net/bnxt: use hashing for flow template match
  * net/bnxt: add session and function flow flush

  [ Mike Baucom ]
  * net/bnxt: add default identifiers to ULP mapper
  * net/bnxt: add cache table type for TCAM lookup

  [ Kishore Padmanabha ]
  * net/bnxt: add port database

  [ Ajit Khaparde ]
  * net/bnxt: remove redefinition of page size

  [ Yunjian Wang ]
  * net/tap: fix queues fd check before close

  [ Suanming Mou ]
  * net/mlx5: add indexed memory pool
  * net/mlx5: add trunk dynamic grow for indexed pool
  * net/mlx5: add trunk release for indexed pool
  * net/mlx5: convert encap/decap resource to indexed
  * net/mlx5: convert push VLAN resource to indexed
  * net/mlx5: convert tag resource to indexed
  * net/mlx5: convert port id action to indexed
  * net/mlx5: convert jump resource to indexed
  * net/mlx5: convert hrxq to indexed
  * net/mlx5: convert flow dev handle to indexed
  * net/mlx5: reorganize fate actions as union
  * net/mlx5: optimize action flags in flow handle
  * net/mlx5: reorganize flow handle struct
  * net/mlx5: optimize flow meter handle type
  * net/mlx5: allocate meter from indexed pool
  * net/mlx5: convert mark copy resource to indexed

  [ Wentao Cui ]
  * net/mlx5: optimize flow director filter memory

  [ Suanming Mou ]
  * net/mlx5: optimize flow RSS struct
  * net/mlx5: allocate flow API from indexed pool
  * net/mlx5: reorganize flow API structure
  * doc: add mlx5 flow memory optimization to release notes

  [ Leyi Rong ]
  * net/iavf: support flexible Rx descriptor definitions
  * net/iavf: return error if opcode is mismatched
  * net/iavf: support flexible Rx descriptor in normal path
  * net/iavf: support flexible Rx descriptor in AVX path
  * net/iavf: support flexible Rx descriptor in SSE path
  * net/iavf: add flow director enabled switch value
  * net/iavf: support flow mark in normal data path
  * net/iavf: support flow mark in AVX path
  * net/iavf: support flow mark in SSE path
  * net/iavf: add RSS hash parsing in AVX path
  * net/iavf: add RSS hash parsing in SSE path

  [ Haiyue Wang ]
  * net/ice: check DSN package file firstly

  [ Simei Su ]
  * net/iavf: support flow director basic rule
  * net/iavf: support flow director GTPU
  * net/iavf: support flow director L2TPv3 and IPsec
  * net/iavf: support flow director PFCP
  * net/iavf: support flow director mark action

  [ Bernard Iremonger ]
  * net/i40e: fix flow director initialisation

  [ Wentao Cui ]
  * net/mlx5: optimize memory for flow meter

  [ Thomas Monjalon ]
  * common/mlx5: fix build with rdma-core 21

  [ Dong Zhou ]
  * ethdev: support flow aging

  [ Jeff Guo ]
  * ethdev: add RSS offload types
  * net/iavf: add RSS configuration for VF
  * app/testpmd: add new types to RSS hash commands

  [ Wei Hu (Xavier) ]
  * net/hns3: modify format for firmware version

  [ Chengwen Feng ]
  * net/hns3: get Rx/Tx queue fbd in xstats

  [ Lijun Ou ]
  * app/testpmd: remove hardcoded descriptors limit

  [ Tonghao Zhang ]
  * net/mlx5: fix crash when releasing meter table

  [ Bing Zhao ]
  * net/mlx5: fix header modify action validation

  [ Alexander Kozyrev ]
  * net/mlx5: set dynamic flow metadata in Rx queues
  * net/mlx5: improve logging of MPRQ selection

  [ Tao Zhu ]
  * net/ixgbe: fix resource leak after thread exits normally

  [ Wei Zhao ]
  * net/ice/base: support AH ESP and NAT-T on switch
  * net/ice/base: support L2TP on switch
  * net/ice: support flow for AH ESP and L2TP

  [ Shougang Wang ]
  * net/ixgbe: fix link status after port reset

  [ David Christensen ]
  * net/i40e: enable PPC AltiVec path in meson build

  [ Cheng Peng ]
  * net/iavf: fix stats query error code

  [ Beilei Xing ]
  * net/ice: fix flow redirector

  [ Ajit Khaparde ]
  * net/bnxt: fix build on BSD

  [ Kalesh AP ]
  * net/bnxt: use macro for PCI log format
  * net/bnxt: support speed capabilities query
  * net/bnxt: fix HWRM command during FW reset
  * net/bnxt: use true/false for bool types
  * net/bnxt: fix port start failure handling
  * net/bnxt: fix VLAN add when port is stopped
  * net/bnxt: log firmware status on early init failure
  * net/bnxt: fix port MAC query on VF

  [ Konstantin Ananyev ]
  * security: fix crash at accessing non-implemented ops

  [ Thomas Monjalon ]
  * devtools: fix tracepoint symbols check

  [ Fady Bader ]
  * mempool: remove inline functions from export list

  [ Yangchao Zhou ]
  * lpm: skip table entries update if rules found

  [ Alex Kiselev ]
  * lpm6: fix size of tbl8 group

  [ Stephen Hemminger ]
  * lpm6: fix comments spelling
  * eal: fix comments spelling

  [ Li Feng ]
  * mem: mark pages as not accessed when freeing memory
  * mem: exclude unused memory from core dump

  [ David Marchand ]
  * eal: fix build on armv7

  [ Aaron Conole ]
  * ip_frag: ensure minimum v4 fragmentation length
  * ip_frag: ensure minimum v6 fragmentation length
  * test/ipfrag: add unit test case

  [ Haiyue Wang ]
  * eal: add internal ABI tag definition
  * build: enable internal API tag
  * build: add internal tag check
  * devtools: ignore internal ABI check

  [ David Christensen ]
  * bus/pci: support IOVA as VA on PowerNV systems

  [ Vladimir Medvedkin ]
  * hash: add bulk lookup with signatures array
  * ipsec: use hash lookup with signatures in SAD lookup

  [ Honnappa Nagarahalli ]
  * timer: protect initialization with lock

  [ Luca Boccassi ]
  * fix various typos found by Lintian

  [ Thomas Monjalon ]
  * app: fix usage help of options separated by dashes

  [ Luca Boccassi ]
  * usertools: check for pci.ids in /usr/share/misc

  [ Vijaya Mohan Guvva ]
  * bus/pci: fix UIO resource access from secondary process

  [ Muhammad Bilal ]
  * mbuf: prevent setting mempool ops name empty

  [ Thomas Monjalon ]
  * mem: fix build

  [ Rahul Gupta ]
  * net/bnxt: fix memory leak during queue restart

  [ Kalesh AP ]
  * net/bnxt: fix VNIC Rx queue count on VNIC free

  [ Raslan Darawsheh ]
  * app/testpmd: add parsing for QinQ VLAN headers

  [ Dmitry Kozlyuk ]
  * eal: disable tracing on Windows

  [ Phil Yang ]
  * timer: relax barrier for status update

  [ Xiaolong Ye ]
  * doc: fix log level example in Linux guide

  [ Anatoly Burakov ]
  * examples/l3fwd-power: exit on power lib init failure
  * examples/l3fwd-power: implement proper shutdown

  [ Thomas Monjalon ]
  * version: 20.05-rc1

  [ Ruifeng Wang ]
  * maintainers: update for Arm v7 and v8

  [ Amaranath Somalapuram ]
  * maintainers: update for AMD axgbe and CCP crypto

  [ David Marchand ]
  * ring: fix build with -Wswitch-enum
  * eal: fix typo in endian conversion macros
  * ethdev: fix build warning on 64-bit value

  [ Wei Zhao ]
  * maintainers: update for Intel ixgbe/igb/igc

  [ Beilei Xing ]
  * maintainers: update for Intel i40e
  * maintainers: update for Intel iavf
  * maintainers: update for testpmd

  [ Srinivas Narayan ]
  * Disable flow steering in mlx5 driver
  * Remove change to bypass extended stats

  [ Ray Kinsella ]
  * version: reference next ABI 21 for recent additions

  [ Olivier Matz ]
  * mempool: return 0 if area is too small on populate

  [ Jerin Jacob ]
  * graph: define API
  * graph: implement node registration
  * graph: implement node operations
  * graph: implement node debug routines
  * graph: implement internal operation helpers
  * graph: populate fastpath memory for graph reel
  * graph: implement create and destroy
  * graph: implement graph operations
  * graph: implement Graphviz export
  * graph: implement debug routines
  * graph: implement stats
  * graph: implement fastpath routines

  [ Kiran Kumar K ]
  * test/graph: add functional tests

  [ Pavan Nikhilesh ]
  * test/graph: add performance tests

  [ Nithin Dabilpuram ]
  * node: add logging and null node
  * node: add ethdev Rx
  * node: add ethdev Tx
  * node: add ethdev control

  [ Pavan Nikhilesh ]
  * node: add generic IPv4 lookup

  [ Nithin Dabilpuram ]
  * node: add IPv4 lookup for arm64

  [ Pavan Nikhilesh ]
  * node: add IPv4 lookup for x86

  [ Kiran Kumar K ]
  * node: add IPv4 rewrite

  [ Nithin Dabilpuram ]
  * node: add IPv4 rewrite and lookup control
  * node: add packet drop
  * examples/l3fwd-graph: add graph-based l3fwd skeleton
  * examples/l3fwd-graph: add ethdev configuration changes
  * examples/l3fwd-graph: add graph config and main loop

  [ Jerin Jacob ]
  * doc: add graph library guide

  [ Nithin Dabilpuram ]
  * doc: add l3fwd-graph application user guide

  [ Kevin Traynor ]
  * net/avp: fix gcc 10 maybe-uninitialized warning
  * examples/ipsec-gw: fix gcc 10 maybe-uninitialized warning
  * eal/x86: ignore gcc 10 stringop-overflow warnings

  [ Ori Kam ]
  * eal/ppc: fix bool type after altivec include

  [ David Marchand ]
  * cryptodev: fix trace points registration
  * trace: simplify trace point headers
  * trace: avoid confusion on optarg
  * trace: remove unneeded checks in internal API
  * trace: remove limitation on patterns number
  * trace: remove string duplication

  [ Phil Yang ]
  * trace: fix build with gcc 10

  [ Olivier Matz ]
  * kvargs: fix invalid token parsing on FreeBSD

  [ David Christensen ]
  * eal/ppc: fix build with gcc 9.3

  [ Somnath Kotur ]
  * net/bnxt: fix max ring count

  [ Mike Baucom ]
  * net/bnxt: enable processing partially added flows

  [ Farah Smith ]
  * net/bnxt: update external action record pool

  [ Mike Baucom ]
  * net/bnxt: update ULP to handle action/index tables

  [ Shahaji Bhosle ]
  * net/bnxt: add Truflow flush-timer to alloc table scope

  [ Qi Zhang ]
  * net/ice/base: workaround unexpected rule deletion

  [ Wei Zhao ]
  * net/i40e: fix flow director for ARP packets
  * doc: add i40e limitation for flow director
  * net/i40e: fix flush of flow director filter

  [ Simei Su ]
  * net/iavf: fix VF reset for flow director rule

  [ Qi Zhang ]
  * net/ice/base: fix DCF switch rule

  [ Bing Zhao ]
  * net/mlx5: fix Rx queue flags on destroying flow
  * net/mlx5: fix empty flow error structure

  [ Asaf Penso ]
  * net/mlx5: fix assert in doorbell lookup

  [ Stephen Hemminger ]
  * common/mlx5: fix uninitialized RoCE variable

  [ Suanming Mou ]
  * net/mlx5: save meter index instead of meter id

  [ Maxime Coquelin ]
  * doc: remove virtio vector PMD from NIC features table

  [ Roland Qi ]
  * vhost: fix peer close check

  [ Phil Yang ]
  * vhost: optimize broadcast RARP sync with C11 atomic

  [ Matan Azrad ]
  * vdpa/mlx5: manage virtqs by array
  * vdpa/mlx5: separate virtq stop
  * vdpa/mlx5: recreate a virtq becoming enabled

  [ Marvin Liu ]
  * net/virtio: add Rx free threshold setting
  * net/virtio: enable in-order feature if negotiated
  * net/virtio: add parameter to enable vectorized path
  * net/virtio-user: add parameter to enable vectorized path
  * net/virtio: reuse packed ring functions
  * net/virtio: add vectorized packed ring Rx
  * net/virtio: add vectorized packed ring Tx
  * net/virtio: add election for vectorized path

  [ Xuan Ding ]
  * vhost: prevent zero-copy with incompatible client mode

  [ Marvin Liu ]
  * vhost: utilize dynamic memory allocator
  * vhost: use binary search in address conversion

  [ Alexander Kozyrev ]
  * net/mlx5: fix assert in dynamic metadata handling
  * net/mlx5: fix packet length assert in MPRQ

  [ Suanming Mou ]
  * net/mlx5: fix indexed pool bitmap initialization

  [ Bing Zhao ]
  * net/mlx5: fix actions validation on root table

  [ Jin Yu ]
  * examples/vhost_blk: refactor to increase readability

  [ Andrew Rybchenko ]
  * net/sfc/base: use simpler EF10 family conditional check
  * net/sfc/base: use simpler EF10 family run-time checks
  * net/sfc/base: fix build when EVB is enabled

  [ Jasvinder Singh ]
  * net/softnic: fix memory leak for thread
  * net/softnic: fix resource leak for pipeline

  [ Wei Hu (Xavier) ]
  * net/hns3: get Tx abnormal errors in xstats

  [ Lijun Ou ]
  * net/hns3: add error code to some logs

  [ Wei Hu (Xavier) ]
  * net/hns3: get PCI revision ID

  [ Min Hu (Connor) ]
  * net/hns3: fix VLAN PVID when configuring device

  [ Wei Hu (Xavier) ]
  * net/hns3: fix MSI-X interrupt during initialization
  * net/hns3: fix return value when clearing statistics

  [ Joyce Kong ]
  * virtio: use one way barrier for split vring used index
  * virtio: use one way barrier for split vring avail index

  [ Matan Azrad ]
  * vdpa/mlx5: fix PCI address comparison

  [ Rasesh Mody ]
  * net/qede: support flow API flush
  * net/qede: support FW version query

  [ Yunjian Wang ]
  * net/octeontx: fix dangling pointer on init failure

  [ Amit Gupta ]
  * net/octeontx2: fix bad L4 checksum detection

  [ Nithin Dabilpuram ]
  * net/octeontx2: update red algo for shaper dynamic update

  [ Mike Baucom ]
  * net/bnxt: fix mark handling

  [ Kishore Padmanabha ]
  * net/bnxt: modify mark manager validity checks

  [ Xiaoyu Min ]
  * net/mlx5: fix RSS enablement

  [ Dong Zhou ]
  * net/mlx5: modify ext-counter memory allocation
  * net/mlx5: support flow aging

  [ Bing Zhao ]
  * net/mlx5: fix assert in modify converting

  [ Wisam Jaddo ]
  * net/mlx5: fix VLAN ID check

  [ Kevin Traynor ]
  * net/mlx5: fix gcc 10 enum-conversion warning

  [ Eli Britstein ]
  * net/mlx5: introduce helper to set IP version match
  * net/mlx5: optimize IPv4/IPv6 matching

  [ Bing Zhao ]
  * doc: add hairpin buffer size config in mlx5 guide
  * doc: explicit flow config behaviour in mlx5 guide

  [ Ophir Munk ]
  * net/mlx5: fix flow rules with Verbs

  [ Sunil Kumar Kori ]
  * examples/l3fwd: fix error checking

  [ Lukasz Bartosik ]
  * event/octeontx2: fix queue removal from Rx adapter

  [ Pavan Nikhilesh ]
  * eventdev: fix probe and remove for secondary process

  [ Harman Kalra ]
  * event/octeontx: support multi-segment
  * event/octeontx: add framework for Rx/Tx offloads

  [ Vamsi Attunuru ]
  * event/octeontx: support VLAN filter offload

  [ Harman Kalra ]
  * event/octeontx: support Rx/Tx checksum offload

  [ aroberts ]
  * Don't progress the port time for borrowed bytes

  [ Mattias Rönnblom ]
  * event/dsw: avoid reusing previously recorded events

  [ Pavan Nikhilesh ]
  * common/octeontx: fix gcc 9.1 ABI break

  [ Bing Zhao ]
  * mk: fix static linkage of mlx dependency

  [ Pallavi Kadam ]
  * eal/windows: add fnmatch implementation
  * eal/windows: support logging

  [ Luca Boccassi ]
  * Update dpdk-doc.README.Debian to reflect recent changes

  [ Kevin Laatz ]
  * eal/x86: add more CPU flags

  [ Christian Ehrhardt ]
  * d/p/fix-autopkgtest-py3.patch: fix autotest runner for python3
  * d/t/*: use skippable test restriction and exit codes to skip tests
  * d/t/test-autotest: the python tool needs RTE_TARGET set in arg #3
  * d/p/fix-autopkgtest-py3.patch: update upstreaming info
  * d/p/autotest-fix-pexpect-in-python3.patch: fix autotest
  * d/t/test-autotest: adapt limits to autopkgtest environment
  * d/t/test-autotest: update blacklist
  * changelog: preliminary 19.11.1-3

  [ Bruce Richardson ]
  * build: add arch-specific header path to global includes

  [ Ciara Power ]
  * telemetry: move some functions to metrics library
  * metrics: reduce telemetry code

  [ Bruce Richardson ]
  * telemetry: invert dependency on metrics library
  * telemetry: add utility functions for creating JSON
  * telemetry: introduce new functionality
  * telemetry: add functions for returning callback data

  [ Ciara Power ]
  * telemetry: add default callback commands

  [ Bruce Richardson ]
  * usertools: add new telemetry script
  * ethdev: add telemetry callbacks

  [ Ciara Power ]
  * rawdev: add telemetry callbacks
  * examples/l3fwd-power: use new telemetry
  * telemetry: introduce backward compatibility
  * telemetry: remove redundant code
  * eal: add telemetry as dependency
  * eal: remove option registration infrastructure

  [ Bruce Richardson ]
  * eal: add telemetry callbacks

  [ Ciara Power ]
  * doc: update telemetry guides

  [ Harry van Haaren ]
  * test/service: add perf test for service on app lcore

  [ Honnappa Nagarahalli ]
  * service: fix race condition for MT unsafe service
  * service: fix identification of service running on other lcore

  [ Phil Yang ]
  * service: remove rte prefix from static functions
  * service: remove redundant code
  * service: optimize with C11 atomics
  * service: relax barriers with C11 atomics

  [ Jerin Jacob ]
  * bus/pci: reduce boot-up logs to absolute minimum

  [ David Marchand ]
  * remove references to private PCI probe function

  [ Sunil Kumar Kori ]
  * bus/pci: optimise scanning with whitelist/blacklist

  [ Radu Nicolau ]
  * raw/ioat: support ICX

  [ Louise Kilheeney ]
  * examples/l2fwd-keepalive: fix mbuf pool size

  [ Bing Zhao ]
  * mem: fix overflow on allocation

  [ David Marchand ]
  * telemetry: fix build for armv7
  * telemetry: fix error log output

  [ Harry van Haaren ]
  * examples/eventdev: fix crash on exit

  [ Ferruh Yigit ]
  * ring: fix build for gcc O1 optimization
  * mempool/octeontx2: fix build for gcc O1 optimization
  * net/ena: fix build for O1 optimization
  * event/octeontx2: fix build for O1 optimization

  [ Anatoly Burakov ]
  * examples/l3fwd-power: add Rx interrupt timeout

  [ Bruce Richardson ]
  * test/bonding: allow disabling driver

  [ Harry van Haaren ]
  * test/flow_classify: enable multi-sockets system

  [ Nicolas Chautru ]
  * bbdev: fix doxygen comments

  [ Pablo de Lara ]
  * crypto/aesni_mb: check if session is valid

  [ Savinay Dharmappa ]
  * test/ipsec: add performance cases

  [ Pablo de Lara ]
  * crypto/aesni_mb: fix DOCSIS AES-256

  [ Lukasz Wojciechowski ]
  * test/security: enable tests for non-implemented ops

  [ Phil Yang ]
  * ipsec: optimize SA outbound sequence update

  [ Yunjian Wang ]
  * crypto/ccp: fix fd leak on probe failure

  [ Adam Dybkowski ]
  * app/crypto-perf: fix display of sample test vector

  [ Arek Kusztal ]
  * crypto/qat: fix cipher descriptor for ZUC and SNOW

  [ Mariusz Drost ]
  * examples/ipsec-secgw: clean up test scripts

  [ Adam Dybkowski ]
  * common/qat: fix queue head update

  [ Lukasz Wojciechowski ]
  * crypto/dpaa_sec: improve memory freeing
  * crypto/dpaa_sec: repair memory allocations

  [ Ankur Dwivedi ]
  * test/crypto: set null cipher IV length to zero

  [ Kevin Traynor ]
  * crypto/kasumi: fix extern declaration

  [ Praveen Shetty ]
  * examples/ipsec-secgw: fix ESP flow error log

  [ Adam Dybkowski ]
  * common/qat: fix enqueue/dequeue statistics
  * common/qat: remove redundant check

  [ Archana Muniganti ]
  * examples/fips_validation: fix parsing of algorithms

  [ Ankur Dwivedi ]
  * test/crypto: handle unsupported error on session init

  [ Akhil Goyal ]
  * crypto/dpaa2_sec: improve error handling
  * crypto/dpaa_sec: improve error handling

  [ Kevin Traynor ]
  * drivers/crypto: disable gcc 10 no-common errors

  [ Akhil Goyal ]
  * cryptodev: add feature flag for non-byte aligned data
  * test/crypto: skip unsupported non-byte aligned cases
  * test/crypto: skip unsupported scatter/gather cases
  * test/crypto: skip unsupported session-less cases
  * test/crypto: skip unsupported session
  * test/crypto: run PDCP cases if supported
  * test/crypto: remove dpaaX_sec specific test suites
  * test/crypto: remove QAT specific check
  * test/crypto: remove unused variable

  [ Pablo de Lara ]
  * crypto/zuc: support IPsec Multi-buffer lib v0.54
  * doc: support IPsec Multi-buffer lib v0.54

  [ Arek Kusztal ]
  * doc: add QAT AES-GCM J0 in release notes

  [ Vladimir Medvedkin ]
  * examples/ipsec-secgw: remove limitation for crypto sessions
  * ipsec: check SAD lookup error

  [ Arek Kusztal ]
  * cryptodev: add ChaCha20-Poly1305 AEAD algorithm
  * cryptodev: fix ABI compatibility for ChaCha20-Poly1305

  [ Yunjian Wang ]
  * net/failsafe: fix fd leak

  [ Gaetan Rivet ]
  * net/failsafe: avoid crash on malformed ethdev

  [ Dong Zhou ]
  * app/testpmd: support flow aging

  [ Wei Hu (Xavier) ]
  * app/testpmd: fix statistics after reset

  [ Stephen Hemminger ]
  * net/netvsc: fix comment spelling
  * bus/vmbus: fix comment spelling
  * bus/vmbus: add missing barrier
  * net/netvsc: check vmbus ring buffer more often
  * net/netvsc: manage VF port under read/write lock
  * net/netvsc: do RSS across Rx queue only
  * net/netvsc: do not configure RSS if disabled

  [ Randy Schacher ]
  * net/bnxt: fix build with gcc 10 default no-common

  [ Linsi Yuan ]
  * net/bnxt: fix possible stack smashing

  [ Alvin Zhang ]
  * net/iavf: fix link speed

  [ Wei Zhao ]
  * net/ice/base: fix switch rule for IPsec

  [ Zhihong Peng ]
  * net/ixgbe: fix link status synchronization on BSD

  [ Simei Su ]
  * net/ice: support mark only action for flow director

  [ Junyu Jiang ]
  * net/ice: fix crash in switch filter

  [ Dekel Peled ]
  * doc: update LRO limitation in mlx5 guide

  [ Stephen Hemminger ]
  * net/tap: fix crash in flow destroy
  * net/tap: simplify netlink send/receive functions
  * net/tap: use netlink extended ack support

  [ Asaf Penso ]
  * ethdev: add 200G link speed
  * net/mlx5: support 200G link speed

  [ Kalesh AP ]
  * net/bnxt: fix number of TQM ring
  * net/bnxt: fix TQM ring context memory size

  [ Xiaoyu Min ]
  * app/testpmd: add option for Rx multi-queue mode

  [ Dekel Peled ]
  * doc: refine ethernet and VLAN flow rule items

  [ Marvin Liu ]
  * net/virtio: fix crash when device reconnecting
  * net/virtio: fix 32-bit build with clang 6

  [ Kishore Padmanabha ]
  * net/bnxt: fix overrun of ULP device params array

  [ Ajit Khaparde ]
  * net/bnxt: fix uninitialized variable
  * net/bnxt: fix FW version query

  [ Simei Su ]
  * net/ice/base: fix flow director rule completion report

  [ Kalesh AP ]
  * app/testpmd: fix memory failure handling for i40e DDP

  [ Apeksha Gupta ]
  * bus/fslmc: fix dereferencing null pointer

  [ Rohit Raj ]
  * net/dpaa2: fix 10G port negotiation

  [ Nipun Gupta ]
  * net/dpaa2: do not prefetch annotation for physical mode

  [ Hemant Agrawal ]
  * net/dpaa2: add default Rx/Tx configuration

  [ Nipun Gupta ]
  * drivers: enhance DPAA2 portal allocation error logs
  * net/dpaa2: support UDP destination port based muxing

  [ Hemant Agrawal ]
  * net/dpaa2: reduce logs in Rx queue count

  [ Jun Yang ]
  * net/dpaa2: fix congestion ID for multiple traffic classes

  [ Hemant Agrawal ]
  * bus/fslmc: fix size of qman fq descriptor
  * net/dpaa2: support additional link speeds

  [ Jeff Guo ]
  * net/iavf: fix input set for RSS hash

  [ Phil Yang ]
  * net/ixgbe: fix link state timing on fiber ports

  [ Jeff Guo ]
  * net/iavf: fix flow API error logs

  [ Wei Zhao ]
  * net/ice/base: fix PPPoE-IPv6 dummy packet

  [ Alvin Zhang ]
  * net/igc: remove useless log

  [ Qi Zhang ]
  * net/ice: fix variable initialization

  [ Rasesh Mody ]
  * net/bnx2x: add Rx descriptor MTU segment limitation

  [ Jerin Jacob ]
  * common/octeontx2: upgrade mbox definition to version 7

  [ Sunil Kumar Kori ]
  * net/octeontx2: fix minimum length to SMQ config

  [ Raslan Darawsheh ]
  * net/tap: fix build for glibc < 2.24

  [ Gaetan Rivet ]
  * net/ring: fix device pointer on allocation

  [ Xiaolong Ye ]
  * doc: remove Intel PMD examples in flow bifurcation guide

  [ Dekel Peled ]
  * net/mlx5: fix match on empty VLAN item in DV mode

  [ Raslan Darawsheh ]
  * net/mlx5: fix matching for UDP tunnels with Verbs

  [ Michael Baum ]
  * net/mlx5: fix meter color register consideration
  * net/mlx4: fix drop queue error handling

  [ Alexander Kozyrev ]
  * net/mlx5: fix Tx queue release debug log timing

  [ Dekel Peled ]
  * net/mlx5: support match on GTP flags

  [ Xiaoyun Wang ]
  * net/hinic: set jumbo frame offload flag
  * net/hinic: fail initialization for not supported device
  * net/hinic/base: support IPv6 flow rules

  [ Maxime Coquelin ]
  * net/virtio: fix AVX512 datapath selection

  [ Ivan Dyukov ]
  * app: remove extra new line after link duplex
  * examples: remove extra new line after link duplex

  [ Thomas Monjalon ]
  * version: 20.05-rc2

  [ Nithin Dabilpuram ]
  * node: fix arm64 build with old gcc

  [ Kiran Kumar K ]
  * test/graph: use better randomness
  * test/graph: fix memory leaks in functional tests

  [ Pavan Nikhilesh ]
  * test/graph: fix memory leaks in performance tests

  [ Yuri Chipchev ]
  * event/dsw: fix enqueue burst return value

  [ Mattias Rönnblom ]
  * event/dsw: update release notes

  [ Pavan Nikhilesh ]
  * app/eventdev: check Tx adapter service ID

  [ Anoob Joseph ]
  * test/crypto: remove tests for unsupported descriptors

  [ Akhil Goyal ]
  * drivers/crypto: fix build with -fno-common

  [ Mairtin o Loingsigh ]
  * crypto/qat: add DOCSIS AES-256 to release notes

  [ Apeksha Gupta ]
  * test/crypto: fix statistics case

  [ Yunjian Wang ]
  * crypto/caam_jr: fix check of file descriptors
  * crypto/caam_jr: fix IRQ functions return type

  [ Anoob Joseph ]
  * common/octeontx2: fix port ID bound check

  [ Tejasree Kondoj ]
  * net/octeontx2: update max packet length for inline IPsec

  [ Ankur Dwivedi ]
  * crypto/octeontx2: enable non-byte aligned data

  [ Anoob Joseph ]
  * crypto/octeontx2: improve symmetric session algos check

  [ Ankur Dwivedi ]
  * crypto/octeontx: enable non-byte aligned data

  [ Anoob Joseph ]
  * crypto/octeontx: improve symmetric session-less path

  [ Jay Zhou ]
  * crypto/virtio: enable OOP feature flag

  [ Kevin Traynor ]
  * hash: fix gcc 10 maybe-uninitialized warning
  * build: disable gcc 10 zero-length-bounds warning

  [ Maxime Coquelin ]
  * vhost: check log mmap offset and size overflow
  * vhost: fix vring index check
  * vhost/crypto: validate keys lengths

  [ Marvin Liu ]
  * vhost: fix translated address not checked

  [ Xiaolong Ye ]
  * vhost: fix potential memory space leak

  [ Xuan Ding ]
  * vhost: fix potential fd leak

  [ Luca Boccassi ]
  * New upstream version 19.11.2
  * Update changelog for 19.11.2-1 release

  [ Pavan Nikhilesh ]
  * common/octeontx2: mark internal symbols
  * mempool/octeontx2: mark internal symbols

  [ Matteo Croce ]
  * doc: fix LTO config option

  [ Honnappa Nagarahalli ]
  * doc: add RCU defer queue API in release notes

  [ Ray Kinsella ]
  * doc: add reason for three-part ABI versioning
  * doc: fix default symbol binding in ABI guide

  [ Ferruh Yigit ]
  * compat: provide experimental alias for matured ABI

  [ Stephen Hemminger ]
  * eal: fix C++17 compilation

  [ Raslan Darawsheh ]
  * doc: fix build issue in ABI guide

  [ Alvin Zhang ]
  * net/e1000: fix port hotplug for multi-process
  * net/igc: fix boundary checks for RSS

  [ Leyi Rong ]
  * net/iavf: remove useless assignment in Rx

  [ Qiming Yang ]
  * doc: fix multicast filter feature announcement

  [ Ophir Munk ]
  * common/mlx5: mark internal symbols
  * common/mlx5: remove DevX dependency on Verbs and DV

  [ Dekel Peled ]
  * net/mlx5: prefer DevX API to create Rx objects
  * common/mlx5: fix umem buffer alignment

  [ Guinan Sun ]
  * net/ixgbe: fix statistics in flow control mode

  [ Shougang Wang ]
  * net/i40e: fix flow director MAC rule creation

  [ Shiri Kuzin ]
  * common/mlx5: fix relaxed ordering support detection
  * common/mlx5: fix relaxed ordering count object
  * common/mlx5: disable relaxed ordering in unsuitable CPUs

  [ Kalesh AP ]
  * net/bnxt: support 200G link speed

  [ Jeff Guo ]
  * common/iavf: fix RSS algorithm type
  * net/iavf: fix RSS algorithm configuration

  [ Shougang Wang ]
  * net/i40e: fix RSS rule creation with L2 payload

  [ Rasesh Mody ]
  * net/qede: fix link state configuration

  [ Thomas Monjalon ]
  * doc: add required Linux capabilities in mlx5 guide

  [ Matan Azrad ]
  * net/mlx5: fix flow counter container resize

  [ Dekel Peled ]
  * net/mlx5: fix VLAN flow action with wildcard VLAN item

  [ Raslan Darawsheh ]
  * doc: remove limitation for mlx5 TSO over VM

  [ Stephen Hemminger ]
  * net/vmxnet3: handle bad host framing

  [ Xiaoyun Wang ]
  * net/hinic: fix queues resource free
  * net/hinic: fix Tx mbuf length while copying
  * net/hinic: update code style
  * net/hinic: optimize RSS RETA table update

  [ Chenxu Di ]
  * net/i40e: fix boundary check in RSS config

  [ Sivaprasad Tummala ]
  * vhost: handle mbuf allocation failure

  [ Marvin Liu ]
  * net/virtio: remove duplicated AVX512 check
  * net/virtio: fix unexpected event after reconnect

  [ Jin Yu ]
  * examples/vhost_blk: fix not null-terminated buffer

  [ Dharmik Thakkar ]
  * app/testpmd: print clock with CPU cycles per packet
  * app/testpmd: print fractional part in CPU cycles
  * doc: add aarch64 generic counter in profiling guide

  [ Rasesh Mody ]
  * net/qede: fix assignment of Rx/Tx handlers
  * net/qede: fix port reconfiguration

  [ Ajit Khaparde ]
  * net/bnxt: fix error log for command timeout
  * net/bnxt: fix allocation of LED config info
  * net/bnxt: fix allocation of COS queue info
  * net/bnxt: fix allocation of flow stat related structs
  * net/bnxt: fix allocation of link info struct
  * net/bnxt: fix allocation of PF info struct
  * net/bnxt: fix using RSS config struct

  [ Kalesh AP ]
  * net/bnxt: fix storing MAC address twice

  [ Mike Baucom ]
  * net/bnxt: fix allocation of ULP context

  [ Simei Su ]
  * net/ice/base: fix flow director rule passthrough mode

  [ Shougang Wang ]
  * net/i40e: fix queue region in RSS flow

  [ Ting Xu ]
  * net/iavf: fix RXDID setting for Rx queue

  [ Suanming Mou ]
  * net/mlx5: fix Verbs counter pool allocation

  [ Bing Zhao ]
  * net/mlx5: fix doorbell bitmap management offsets

  [ Suanming Mou ]
  * net/mlx5: fix shared flow counter lookup

  [ Viacheslav Ovsiienko ]
  * common/mlx5: fix MAC addresses assert
  * common/mlx5: fix netlink buffer allocation from stack

  [ Bing Zhao ]
  * net/mlx5: fix port action assert timing
  * net/mlx5: fix port action resource initialization

  [ Ting Xu ]
  * app/testpmd: fix DCB set

  [ Xiaoyun Li ]
  * net/ixgbe/base: update copyright
  * net/i40e/base: update copyright
  * common/iavf: update copyright
  * net/ice/base: update copyright
  * net/igc/base: update copyright

  [ Darek Stojaczyk ]
  * pci: accept 32-bit domain numbers

  [ Gaetan Rivet ]
  * pci: reject negative values in PCI id
  * pci: explain how empty strings are rejected in DBDF

  [ Hemant Agrawal ]
  * metrics: fix library cleanup
  * test: cleanup when leaving bitrate and latency tests

  [ Gaetan Rivet ]
  * doc: fix typos in ABI policy
  * kvargs: fix strcmp helper documentation

  [ Ciara Power ]
  * telemetry: keep threads separate from data plane
  * telemetry: fix error checking for strchr function
  * telemetry: close socket on connection failure
  * telemetry: check socket creation failure
  * telemetry: fix buffer overrun if max bytes read

  [ Hemant Agrawal ]
  * common/dpaax: mark internal symbols
  * bus/fslmc: mark internal symbols
  * bus/dpaa: mark internal symbols
  * drivers/mempool: mark internal NXP symbols
  * drivers: mark internal NXP symbols
  * mempool/dpaa2: install missing header with meson
  * bus/dpaa: add accessor for qman portal ids
  * bus/dpaa: move log types to NXP drivers
  * bus/dpaa: add accessor for netcfg
  * bus/fslmc: add accessor for MCP
  * bus/fslmc: remove unused internal symbol

  [ Muhammad Bilal ]
  * fix same typo in multiple places

  [ Jerin Jacob ]
  * doc: use globbing terminology

  [ Kevin Traynor ]
  * doc: add link to stable roadmap

  [ Ferruh Yigit ]
  * meter: provide experimental alias for matured API

  [ Darek Stojaczyk ]
  * build: skip config of explicitly disabled drivers

  [ Anatoly Burakov ]
  * kernel/linux: error out on module build failure

  [ Bruce Richardson ]
  * mk: add note about make system deprecation

  [ Pavan Nikhilesh ]
  * mempool/octeontx2: add devargs to lock context in cache

  [ Rasesh Mody ]
  * examples/kni: fix MTU change to setup Tx queue

  [ Haiyue Wang ]
  * devtools: handle internal version in symbols check
  * devtools: preserve internal section on ABI bump

  [ Pavan Nikhilesh ]
  * examples/l3fwd: check service core reset result
  * examples/l3fwd-graph: check link query failure

  [ Vladimir Medvedkin ]
  * app/fib: fix parsing of invalid line

  [ Wei Hu (Xavier) ]
  * doc: update release notes for hns3 driver

  [ Wei Zhao ]
  * net/i40e: fix wild pointer

  [ Qi Zhang ]
  * net/ice: fix RSS for GTPU

  [ Qiming Yang ]
  * net/i40e: fix queue related exception handling

  [ Jeff Guo ]
  * net/iavf: fix VF reset for RSS

  [ Xuan Ding ]
  * vhost: fix zero-copy server mode

  [ Qi Zhang ]
  * maintainers: update for ice

  [ Thomas Monjalon ]
  * version: 20.05-rc3

  [ Ferruh Yigit ]
  * bus/fslmc: drop inline from non-static functions

  [ Thomas Monjalon ]
  * net/mvpp2: fix build with gcc 10
  * examples/vm_power: fix build with -fno-common
  * examples/vm_power: drop Unix path limit redefinition
  * devtools: allow warnings in ABI reference build
  * doc: fix build with doxygen 1.8.18

  [ Adam Dybkowski ]
  * cryptodev: fix SHA-1 digest enum comment

  [ Qi Zhang ]
  * net/ice/base: fix tunnel type match word handling

  [ Leyi Rong ]
  * net/iavf: fix flow director after queue reconfigured

  [ Ajit Khaparde ]
  * doc: update bnxt guide

  [ Rahul Gupta ]
  * net/bnxt: fix Rx ring producer index

  [ Ankur Dwivedi ]
  * net/octeontx2: fix buffer size assignment

  [ Xiaoyun Wang ]
  * net/hinic: fix TSO

  [ Igor Romanov ]
  * net/sfc/base: fix manual filter delete in EF10

  [ Dekel Peled ]
  * net/mlx5: revert DevX preference for Rx objects

  [ Dharmik Thakkar ]
  * doc: add cycles per packet in testpmd guide

  [ Jeff Guo ]
  * net/i40e: fix setting L2TAG
  * net/iavf: fix setting L2TAG
  * net/ice: fix setting L2TAG
  * net/iavf: fix flow access

  [ Wei Zhao ]
  * net/i40e: fix flow director enabling

  [ Guinan Sun ]
  * net/ixgbe: check driver type in MACsec API

  [ Ciara Power ]
  * telemetry: fix init log printing

  [ Ferruh Yigit ]
  * examples/kni: fix crash during MTU set

  [ Jasvinder Singh ]
  * examples/ip_pipeline: remove check of null response

  [ Ciara Power ]
  * doc: fix telemetry registration example

  [ Pablo de Lara ]
  * doc: add NASM installation steps

  [ Christos Ricudis ]
  * usertools: read PCI device name as UTF-8

  [ Neil Horman ]
  * devtools: remove old ABI validation script

  [ Ferruh Yigit ]
  * devtools: add acronyms in dictionary for commit checks

  [ Kevin Traynor ]
  * doc: add gcc 10 support to release notes

  [ Ferruh Yigit ]
  * doc: update igb_uio module status in Linux guide

  [ Sarosh Arif ]
  * doc: fix typo in contributors guide

  [ Muhammad Bilal ]
  * doc: fix typo in contributors guide

  [ David Marchand ]
  * doc: prefer https when pointing to dpdk.org

  [ Zhaoyan Chen ]
  * doc: add tested Intel platforms with Intel NICs

  [ Raslan Darawsheh ]
  * doc: add tested platforms with Mellanox NICs

  [ Jerin Jacob ]
  * doc: add tested Marvell integrated NIC platforms

  [ Ferruh Yigit ]
  * doc: clarify security pre-release end of embargo date
  * doc: clarify experimental API status in security process
  * doc: announce deprecation of ethdev HW Rx done API

  [ Nithin Dabilpuram ]
  * doc: announce ethdev TM API back to experimental status

  [ Honnappa Nagarahalli ]
  * doc: announce adoption of C11 atomic operations semantics

  [ Thomas Monjalon ]
  * version: 20.05-rc4

  [ Ajit Khaparde ]
  * doc: add tested platforms with Broadcom NICs

  [ Zhaoyan Chen ]
  * doc: update firmware/driver mapping table for i40e

  [ Xiaolong Ye ]
  * doc: update ice guide

  [ John McNamara ]
  * doc: update release notes for 20.05

  [ Ferruh Yigit ]
  * doc: announce splitting ethdev ops struct

  [ Jerin Jacob ]
  * doc: announce removal of non-kernel based PCI probing

  [ Gaetan Rivet ]
  * doc: remove old devargs deprecation notice

  [ Thomas Monjalon ]
  * version: 20.05.0

  [ David Marchand ]
  * version: 20.08-rc0

  [ Thomas Monjalon ]
  * doc: fix API index

  [ Wei Zhao ]
  * net/ice: fix switch action number check

  [ Jeff Guo ]
  * net/iavf: fix RSS protocol field selector

  [ Chengchang Tang ]
  * net/hns3: replace special vport ids with macros
  * net/hns3: clear promiscuous on PF uninit

  [ Wei Hu (Xavier) ]
  * net/hns3: fix Tx less than 60 bytes

  [ Lijun Ou ]
  * net/hns3: add RSS hash offload to Rx configuration
  * net/hns3: fix key length when configuring RSS

  [ Kalesh AP ]
  * net/bnxt: fix setting link speed

  [ Rahul Gupta ]
  * net/bnxt: fix performance for Arm

  [ Ajit Khaparde ]
  * net/bnxt: fix crash during close

  [ Stephen Hemminger ]
  * net/netvsc: support per-queue info requests
  * net/netvsc: implement descriptor status
  * net/netvsc: change datapath logging
  * net/netvsc: fix warning when VF is removed
  * net/netvsc: do not query VF link state
  * net/netvsc: process link change messages in alarm
  * net/netvsc: do not spin forever waiting for reply

  [ Yunjian Wang ]
  * app/testpmd: fix memory leak on error path

  [ Jeff Guo ]
  * net/iavf: fix flow uninit

  [ Mike Baucom ]
  * net/bnxt: fix mark action if rule is at index zero

  [ Yunjian Wang ]
  * net/bnxt: fix missed unlock

  [ Haiyue Wang ]
  * net/ice: fix PCI DSN to lowercase

  [ Michael Baum ]
  * net/mlx5: fix hairpin Tx queue creation error path
  * net/mlx5: fix hairpin Rx queue creation error path
  * net/mlx5: remove unnecessary init in socket creation
  * net/mlx5: fix socket close
  * net/mlx5: remove needless Tx queue initialization check
  * net/mlx5: fix unreachable MPLS error path

  [ Suanming Mou ]
  * net/mlx5: fix secondary process resources release
  * net/mlx5: fix interrupt installation timing

  [ Muhammad Bilal ]
  * doc: remove duplicated line in memif guide

  [ Ian Dolzhansky ]
  * net/failsafe: fix RSS RETA size info

  [ Ophir Munk ]
  * common/mlx5: move glue files under Linux directory
  * common/mlx5: move netlink files under Linux directory
  * common/mlx5: split common file under Linux directory

  [ Suanming Mou ]
  * common/mlx5: add memory reclaim glue function
  * net/mlx5: add reclaim memory mode

  [ Alexander Kozyrev ]
  * net/mlx5: fix vectorized Rx burst termination

  [ Luca Boccassi ]
  * New upstream version 19.11.3~rc1
  * Update changelog for 19.11.3~rc1-1 release

  [ Chengchang Tang ]
  * net/hns3: remove unsupported VLAN capabilities
  * net/hns3: fix VLAN strip configuration when setting PVID

  [ Wei Hu (Xavier) ]
  * net/hns3: fix VLAN tags reported in Rx

  [ Hongbo Zheng ]
  * net/hns3: check TSO segment size during Tx

  [ Ruifeng Wang ]
  * net/i40e: enable NEON Rx/Tx in meson

  [ Chandu Babu N ]
  * net/axgbe: support RSS RETA/hash query and update

  [ Girish Nandibasappa ]
  * net/axgbe: support setting MTU

  [ Wei Hu (Xavier) ]
  * maintainers: update for bonding
  * app/testpmd: fix stats error message

  [ Thomas Monjalon ]
  * mbuf: document guideline for new fields and flags

  [ Xiaolong Ye ]
  * mbuf: remove unused next member in dynamic flag/field
  * test/mbuf: fix a dynamic flag log

  [ Alexander Kozyrev ]
  * mbuf: fix external buffer pool boundaries

  [ Tal Shnaiderman ]
  * mbuf: align layout in Windows

  [ Tasnim Bashar ]
  * eal/windows: support thread ID query

  [ Pallavi Kadam ]
  * eal/windows: fix warnings

  [ David Marchand ]
  * eal/windows: fix symbol export

  [ Dmitry Kozlyuk ]
  * eal: replace page sizes enum with a set of constants
  * eal: introduce internal wrappers for file operations
  * eal: introduce memory management wrappers
  * mem: extract common memseg list initialization
  * mem: extract common dynamic memory allocation
  * trace: add size_t field emitter
  * eal/windows: add tracing stubs
  * eal/windows: complete queue.h data structures
  * eal/windows: improve CPU and NUMA node detection
  * doc: split build and run instructions in Windows guide
  * eal/windows: initialize hugepage info
  * eal/windows: implement basic memory management

  [ Joyce Kong ]
  * eal: introduce bit operations API
  * test/bitops: add bit operations test case
  * net/axgbe: use common bit operations API
  * net/bnx2x: use common bit operations API
  * net/qede: use common bit operations API
  * net/hinic: use common bit operations API

  [ Stephen Hemminger ]
  * ring: check flag settings for future proofing
  * hash: check flags on creation for future proofing
  * stack: check flags on creation for future proofing
  * cfgfile: check flags on creation for future proofing

  [ Ophir Munk ]
  * net/mlx5: rename Verbs shared object
  * net/mlx5: add Linux-specific file with getter functions
  * common/mlx5: remove protection domain dependency on Verbs
  * net/mlx5: remove attributes dependency on Verbs
  * net/mlx5: remove umem field dependency on Direct Verbs
  * net/mlx5: refactor PCI probing on Linux
  * net/mlx5: add Linux-specific header file
  * net/mlx5: remove Verbs dependency in spawn struct

  [ Shy Shyman ]
  * app/testpmd: fix error detection in MTU command

  [ Wei Hu (Xavier) ]
  * net/hns3: fix flow director error message

  [ Hongbo Zheng ]
  * net/hns3: ignore function return on reset error path

  [ Wei Hu (Xavier) ]
  * net/hns3: fix unintended sign extension in fd operation

  [ Hongbo Zheng ]
  * net/hns3: fix unintended sign extension in dump operation

  [ Ali Alnubani ]
  * net/mlx5: fix typos in meter error messages

  [ Vivien Didelot ]
  * net/pcap: support Tx nanosecond timestamps

  [ Dekel Peled ]
  * net/mlx5: fix GTP mask definition location

  [ Gregory Etelson ]
  * net/mlx5: fix flow memory allocation size

  [ Ophir Munk ]
  * net/mlx5: remove completion object dependency on DV
  * net/mlx5: rename ib in names
  * net/mlx5: move socket files in Linux directory
  * net/mlx5: move Linux-specific functions
  * net/mlx5: refactor device operations for Linux
  * common/mlx5: flag Verbs dependency in a DevX command
  * net/mlx5: refactor statistics

  [ Alexander Kozyrev ]
  * net/mlx5: do not select legacy MPW implicitly
  * net/mlx5: fix descriptors number adjustment

  [ Dong Zhou ]
  * net/mlx5: fix LRO checksum

  [ Qi Zhang ]
  * net/ice/base: support flow director for non-IP packets
  * net/ice/base: add macros to parse flow director Rx desc
  * net/ice/base: disable profile merge for flow director
  * net/ice/base: avoid undefined behavior
  * net/ice/base: consolidate MAC config set
  * net/ice/base: report AOC PHY types as fiber
  * net/ice/base: gate devices from FW link override
  * net/ice/base: improve VSI filters rebuild
  * net/ice/base: add AUI media type
  * net/ice/base: fix ACL rules index
  * net/ice/base: update maximum PHY type high index
  * net/ice/base: consolidate VF promiscuous mode
  * net/ice/base: refactor flow director filter swap
  * net/ice/base: change IPv6 training packet
  * net/ice/base: group function prototypes together
  * net/ice/base: cleanup comment formatting
  * net/ice/base: support FDIR for L2TPV3 ESP AH and PFCP
  * net/ice/base: add flow director completion report option
  * net/ice/base: initialize PHY configuration FEC fields
  * net/ice/base: add NVM helper functions
  * net/ice/base: allow GENEVE and VXLAN rules with VLAN
  * net/ice/base: give time for package download after PF reset
  * net/ice/base: remove unnecessary braces
  * net/ice/base: adjust function signature style format
  * net/ice/base: support RSS IPv6 prefix
  * net/ice/base: use macro for sizeof
  * net/ice/base: add debug logs
  * net/ice/base: return correct error code
  * net/ice/base: remove unnecessary case branches
  * net/ice/base: support more PPPoE packet type
  * net/ice/base: fix advanced switch rule stale information
  * net/ice/base: reset capabilities before parsing
  * net/ice/base: add rate limiter profile bit mask check
  * net/ice/base: update VSI handle to remaining VSI
  * net/ice/base: fix return value
  * net/ice/base: remove unneeded variable
  * net/ice/base: fix memory leak on error path
  * net/ice/base: add entries in profile TCAM with priority
  * net/ice/base: remove unimplemented function prototypes
  * net/ice/base: support checking all autoneg enable bits
  * net/ice/base: avoid PPPoE IPv4 overlap
  * net/ice/base: clear error status before set FC
  * net/ice/base: adjust scheduler default bandwidth weight
  * net/ice/base: distribute Tx queues evenly
  * net/ice/base: add command to LLDP
  * net/ice/base: remove unused code for VSI list free
  * net/ice/base: fix reference count on VSI list update
  * net/ice/base: add more tunnel type for IPv4 and IPv6
  * net/ice/base: fix initializing resource for field vector
  * net/ice/base: support E823L devices
  * net/ice/base: add 1G SGMII PHY type
  * net/ice/base: update IPv4 and IPv6 flow packet type masks
  * net/ice/base: remove PPPoD from PPPoE bitmap

  [ Rahul Lakkireddy ]
  * net/cxgbe: fix CLIP leak in filter error path
  * net/cxgbe: fix L2T leak in filter error and free path
  * net/cxgbe: fix double MPS alloc by flow validate and create
  * net/cxgbe: fix SMT leak in filter error and free path
  * net/cxgbe: ignore flow default masks for unrequested fields

  [ Ophir Munk ]
  * common/mlx5: remove memory region dependency on Verbs
  * common/mlx5: export memory region Verbs operations
  * net/mlx5: add memory region callbacks in per-device cache
  * net/mlx5/linux: add memory region callbacks to Verbs

  [ Karra Satwik ]
  * net/cxgbe: always enable HASH filter support

  [ Luca Boccassi ]
  * New upstream version 19.11.3
  * Depend on pci.ids | hwdata instead of hwdata
  * Update changelog for 19.11.3-1 release

  [ Dmitry Kozlyuk ]
  * config: never link with pthread on Windows
  * config/x86: remove path for MinGW-w64 cross toolchain
  * doc: clarify compilation with MinGW-w64

  [ Fady Bader ]
  * timer: move from common to Unix directory
  * timer: support EAL functions on Windows
  * meter: remove inline functions from export list

  [ Harman Kalra ]
  * maintainers: update for interrupt subsystem
  * eal/linux: fix epoll fd list rebuild for interrupts

  [ Tal Shnaiderman ]
  * eal: move OS common debug functions to single file
  * eal/windows: support exit and panic

  [ Konstantin Ananyev ]
  * test/bpf: fix few small issues
  * bpf: fix add/sub min/max estimations
  * bpf: support packet data load instructions
  * bpf/x86: support packet data load instructions

  [ Hongzhi Guo ]
  * net: fix IPv4 checksum

  [ Jerin Jacob ]
  * bus/pci: optimize bus scan

  [ Georgiy Levashov ]
  * examples: add flush after stats printing

  [ Hrvoje Habjanic ]
  * sched: fix subport freeing

  [ Archit Pandey ]
  * sched: fix 64-bit rate

  [ Long Li ]
  * bus/vmbus: fix ring buffer mapping

  [ Ciara Power ]
  * usertools: fix telemetry user socket path

  [ David Marchand ]
  * eal: remove redundant newline in alert message
  * test/bitops: fix command name

  [ Haiyue Wang ]
  * bus/pci: fix VF memory access

  [ Xiaolong Ye ]
  * mbuf: fix boundary check at dynamic field registration
  * mbuf: fix error code in dynamic field/flag registration
  * mbuf: fix free space update for dynamic field
  * mbuf: fix dynamic field dump log
  * mbuf: add dump of free dynamic flags

  [ Wisam Jaddo ]
  * app/flow-perf: add flow performance skeleton
  * app/flow-perf: add insertion rate calculation
  * app/flow-perf: add deletion rate calculation
  * app/flow-perf: add memory dump to app
  * app/flow-perf: add packet forwarding support

  [ Thomas Monjalon ]
  * doc: remove outdated guidelines for library addition
  * doc: remove some build instructions where unneeded
  * doc: update build instructions in the Linux guide
  * mk: add a paused deprecation warning before each build

  [ Tal Shnaiderman ]
  * build: skip pmdinfogen on Windows
  * build: fix drivers library path on Windows
  * build: generate version map file for MinGW
  * eal: move OS common config objects
  * eal: move OS common options usage functions
  * pci: use OS generic memory mapping functions
  * pci: build on Windows
  * pci: fix address domain format size
  * bus/pci: introduce Windows support with stubs
  * bus/pci: support Windows with bifurcated drivers

  [ Tasnim Bashar ]
  * eal/windows: fix thread handle

  [ Thomas Monjalon ]
  * devtools: shrink cross-compilation test definition
  * devtools: allow non-standard toolchain in meson test
  * devtools: add ppc64 in meson build test
  * devtools: add Windows cross-build test with MinGW

  [ Fady Bader ]
  * ring: enable for Windows

  [ Thomas Monjalon ]
  * app/flow-perf: use macro for cache alignment
  * build: replace meson OS detection with variable

  [ Qi Zhang ]
  * net/ice/base: adjust profile ID map locks
  * net/ice/base: refactor to avoid need to retry
  * net/ice/base: support flow director for outer IP of GTPU
  * net/ice/base: add commands for system diagnostic
  * net/ice/base: rename misleading variable
  * net/ice/base: support flow director for GTPU with outer IPv6
  * net/ice/base: get tunnel type for recipe
  * net/ice/base: choose TCP dummy packet by protocol
  * net/ice/base: fix VSI ID mask to 10 bits
  * net/ice/base: replace RSS profile locks

  [ Maxime Coquelin ]
  * vhost: enable reply-ack systematically

  [ Matan Azrad ]
  * vhost: introduce operation to get vDPA queue stats
  * common/mlx5: support DevX virtq stats operations
  * vdpa/mlx5: support virtio queue statistics get
  * examples/vdpa: add statistics show command
  * common/mlx5: add virtio queue protection domain
  * vdpa/mlx5: adjust virtio queue protection domain
  * common/mlx5: share kernel interface name getter
  * vdpa/mlx5: support MTU feature

  [ Andrew Rybchenko ]
  * net/sfc: reap Tx descriptors at least once

  [ David Marchand ]
  * net/mlx5: remove redundant newline from logs

  [ Suanming Mou ]
  * net/mlx5: add three-level table utility
  * net/mlx5: manage shared counters in three-level table
  * net/mlx5: optimize single counter pool search
  * net/mlx5: optimize free counter lookup

  [ Ophir Munk ]
  * common/mlx5: move some getter functions from net driver

  [ Ori Kam ]
  * common/mlx5: move doorbell record from net driver

  [ Junyu Jiang ]
  * net/ice: initialize and update RSS based on user config

  [ Viacheslav Ovsiienko ]
  * net/mlx5: fix host physical function representor naming

  [ Harman Kalra ]
  * net/octeontx2: support CN98xx

  [ Devendra Singh Rawat ]
  * net/qede: fix multicast drop in promiscuous mode

  [ David Marchand ]
  * net/mvpp2: fix non-EAL thread support

  [ Ruifeng Wang ]
  * eal/arm: add vcopyq intrinsic for aarch32
  * net/ixgbe: support aarch32
  * net/ixgbe: fix include of vector header file
  * net/i40e: support aarch32

  [ Maxime Coquelin ]
  * bus/dpaa: fix iterating on a class type
  * bus/fslmc: fix iterating on a class type
  * vhost: introduce vDPA device class
  * vhost: make vDPA framework bus agnostic
  * vhost: replace device ID in vDPA ops
  * vhost: replace vDPA device ID in Vhost
  * vhost: replace device ID in applications
  * vhost: remove useless vDPA API
  * vhost: use linked list for vDPA devices
  * vhost: introduce wrappers for some vDPA ops
  * examples/vdpa: use new wrappers instead of ops
  * examples/vdpa: remove useless device count
  * vhost: remove vDPA device count API
  * vhost: split vDPA header file

  [ Harman Kalra ]
  * net/octeontx2: fix DMAC filtering

  [ Kishore Padmanabha ]
  * net/bnxt: distribute makefile to subdirectories
  * net/bnxt: remove fields from bitmap and mapper table
  * net/bnxt: support more resource functions in flow database
  * net/bnxt: add computed header field in result opcode
  * net/bnxt: update compute field list and access macros
  * net/bnxt: change default identifier to global resource
  * net/bnxt: add resource subtype to class and action tables
  * net/bnxt: remove cache table ID from mapper class table
  * net/bnxt: support action bitmap opcode
  * net/bnxt: process action templates
  * net/bnxt: use vport in PHY port action handler
  * net/bnxt: convert critical resource to enum
  * net/bnxt: refactor and rename some fields and enums

  [ Shuanglin Wang ]
  * net/bnxt: set maximum flow count

  [ Kishore Padmanabha ]
  * net/bnxt: support VXLAN encap/decap templates
  * net/bnxt: get VF representor action record

  [ Venkat Duvvuru ]
  * net/bnxt: modify IPv6 VTC flow field parsing

  [ Kishore Padmanabha ]
  * net/bnxt: remove implicit bitset update for vnic action
  * net/bnxt: divide ULP template database to smaller modules

  [ Mike Baucom ]
  * net/bnxt: refactor mapper opcodes

  [ Kishore Padmanabha ]
  * net/bnxt: support internal exact match flows
  * net/bnxt: add vfr flag to mark manager
  * net/bnxt: support mark action for LFID rules
  * net/bnxt: rename fields in device params structure
  * net/bnxt: update ULP template database for new opcodes

  [ Qi Zhang ]
  * net/ice: init RSS and supported RXDID in DCF
  * net/ice: complete device info get in DCF
  * net/ice: complete device configure in DCF
  * net/ice: complete queue setup in DCF
  * net/ice: add stop flag for device start/stop
  * net/ice: add Rx queue init in DCF
  * net/ice: init RSS during DCF start
  * net/ice: add queue config in DCF
  * net/ice: add queue start and stop for DCF
  * net/ice: enable stats for DCF
  * net/ice: set MAC filter during start for DCF
  * doc: update for ice DCF datapath configuration

  [ Shiri Kuzin ]
  * common/mlx5: add default miss action
  * net/mlx5: add default miss action to flow engine
  * net/mlx5: add parameter for LACP packets control

  [ Michael Baum ]
  * common/mlx5: fix code arrangement in tag allocation
  * net/mlx5: use direct API to find port by device
  * net/mlx4: use anonymous Direct Verbs allocator argument
  * common/mlx5: remove useless assignment
  * net/mlx4: remove useless assignment
  * net/mlx5: use anonymous Direct Verbs allocator argument
  * net/mlx5: fix iterator type in Rx queue management

  [ David Marchand ]
  * common/mlx5: remove unneeded experimental build flag

  [ Matan Azrad ]
  * vdpa/mlx5: optimize notification events
  * vdpa/mlx5: optimize completion queue poll
  * vdpa/mlx5: control completion queue event mode
  * vhost: support host notifier queue configuration
  * vhost: skip access lock when vDPA is configured
  * vhost: improve device readiness notifications
  * vhost: handle memory hotplug with vDPA devices
  * vhost: notify virtq file descriptor update
  * vdpa/mlx5: support queue update

  [ Joyce Kong ]
  * net/virtio: simplify variable name

  [ Matan Azrad ]
  * vhost: fix features definition location

  [ Xiaolong Ye ]
  * maintainers: resign from next-net-intel/virtio/vhost/af_xdp

  [ Ciara Loftus ]
  * maintainers: update for af_xdp
  * net/af_xdp: improve packet loss
  * net/af_xdp: revert to MP/MC ring for copy mode

  [ Feifei Wang ]
  * test/ring: fix statistics in bulk enq/dequeue
  * ring: fix bulk enqueue for HTS/RTS ring modes
  * ring: fix tail in peek API for ST mode

  [ Morten Brørup ]
  * ring: cleanup coding style
  * ring: optimize empty test

  [ Bruce Richardson ]
  * test: fix build with ring PMD but no bond PMD
  * build: always link whole DPDK static libraries
  * build: remove unnecessary variable
  * devtools: test static linkage with pkg-config
  * build/pkg-config: move pkg-config file creation
  * build/pkg-config: output drivers first for static build
  * build/pkg-config: improve static linking flags
  * build/pkg-config: prevent overlinking

  [ Thomas Monjalon ]
  * devtools: forbid variable declaration inside for
  * devtools: remove useless files from ABI reference
  * devtools: allow ENOSYS in checkpatch

  [ Konstantin Ananyev ]
  * test/ring: reduce compilation time
  * test/ring: add stress test for ST peek API
  * test/ring: rename stress test for MT peek API

  [ Jerin Jacob ]
  * log: introduce logtype register macro

  [ Thomas Monjalon ]
  * build: remove special handling for node library

  [ Vamsi Attunuru ]
  * examples/l2fwd: add forwarding port mapping option

  [ Bruce Richardson ]
  * mem: fix 32-bit init config with meson
  * build: check AVX512 rather than binutils version
  * eal: remove unnecessary null-termination in plugin path
  * eal: load only shared libs from driver plugin directories
  * eal: forbid loading drivers from insecure paths
  * eal: cache last directory permissions checked
  * eal: restrict default plugin path to shared lib mode

  [ David Marchand ]
  * trace: simplify trace point registration

  [ Harman Kalra ]
  * event/octeontx: fix memory corruption

  [ Harry van Haaren ]
  * examples/eventdev: fix 32-bit coremask

  [ Pavan Nikhilesh ]
  * event/octeontx2: fix device reconfigure
  * event/octeontx2: fix sub event type
  * event/octeontx2: improve datapath memory locality

  [ Christian Ehrhardt ]
  * d/t/test-autotest: bump sse feature check

  [ David Marchand ]
  * devtools: fix path in forbidden token check
  * devtools: fix check of variable declaration inside for

  [ Jerin Jacob ]
  * regexdev: introduce API

  [ Ori Kam ]
  * regexdev: add core structures
  * regexdev: add core functions
  * regexdev: implement API functions

  [ Alan Dewar ]
  * sched: fix port time rounding

  [ Fady Bader ]
  * eal: disable function versioning on Windows
  * mempool: use generic memory syscall wrappers
  * mempool: build on Windows

  [ Tal Shnaiderman ]
  * eal: support endianness detection on Windows
  * mbuf: build on Windows

  [ David Marchand ]
  * build: remove special versioning for non stable libraries
  * drivers: drop workaround for internal libraries version
  * lib: remind experimental status in headers

  [ Hemant Agrawal ]
  * rawdev: remove remaining experimental tags

  [ Jerin Jacob ]
  * log: remove unneeded logtype declaration

  [ Honnappa Nagarahalli ]
  * eal/armv8: fix timer frequency calibration with PMU
  * eal/armv8: force inlining of timer API

  [ Stephen Hemminger ]
  * eal: fix lcore accessors for non-EAL threads

  [ Yunjian Wang ]
  * vfio: remove unused variable

  [ Stephen Hemminger ]
  * vfio: lower the priority of startup messages

  [ Haiyue Wang ]
  * eal: fix uuid header dependencies
  * vfio: support VF token

  [ Timothy Redaelli ]
  * test: fix rpath for drivers with meson

  [ Bruce Richardson ]
  * rawdev: allow getting info for unknown device
  * rawdev: fill NUMA socket ID in info
  * rawdev: export dump function in map file

  [ Stephen Hemminger ]
  * cfgfile: fix stack buffer underflow
  * rib: constify arguments
  * rib: check for negative maximum of nodes
  * rib: add C++ include guard

  [ Igor Romanov ]
  * service: fix lcore iteration
  * test/service: check active state on two lcores

  [ Ray Kinsella ]
  * doc: reword ABI policy for Windows
  * doc: clarify period of alias to experimental symbol

  [ Honnappa Nagarahalli ]
  * eal/arm: adjust memory barriers for IO on ARMv8
  * doc: announce deprecation of coherent I/O memory barriers

  [ David Marchand ]
  * eal: relocate per thread symbols to common
  * eal: fix multiple definition of per lcore thread id
  * eal: introduce thread init helper
  * eal: introduce thread uninit helper
  * eal: move lcore role code
  * eal: register non-EAL threads as lcores
  * eal: add lcore init callbacks
  * eal: add lcore iterators
  * mempool/bucket: handle non-EAL lcores
  * eal: add multiprocess disable API

  [ Anoob Joseph ]
  * examples/ipsec-secgw: add per-core packet statistics

  [ Pablo de Lara ]
  * drivers/crypto: add missing OOP feature flag

  [ Adam Dybkowski ]
  * test/crypto: fix asymmetric session mempool creation
  * cryptodev: verify session mempool element size
  * crypto/qat: verify session IOVA

  [ David Coyle ]
  * security: support DOCSIS protocol
  * cryptodev: add comments for DOCSIS protocol
  * crypto/aesni_mb: support DOCSIS protocol
  * crypto/qat: support DOCSIS protocol
  * test/crypto: add DOCSIS security cases
  * test/security: add DOCSIS capability checks
  * test/crypto-perf: support DOCSIS protocol

  [ Ankur Dwivedi ]
  * common/cpt: fix encryption offset
  * crypto/octeontx: remove empty statistics callback
  * crypto/octeontx: reset session private data
  * crypto/octeontx2: reset session private data
  * crypto/octeontx: revert non-byte aligned data feature
  * crypto/octeontx2: revert non-byte aligned data feature

  [ Anoob Joseph ]
  * test/crypto: remove some PMD specific null tests
  * test/crypto: use generic test suite for OCTEON TX/TX2

  [ Adam Dybkowski ]
  * crypto/qat: fix AES-XTS capabilities

  [ Fiona Trahe ]
  * cryptodev: add function to check queue pair status
  * cryptodev: add traces in multi-process path

  [ Tejasree Kondoj ]
  * crypto/octeontx2: discover capabilities
  * crypto/octeontx2: support ChaCha20-Poly1305

  [ Akhil Goyal ]
  * crypto/dpaax_sec: fix 18-bit PDCP cases with HFN override
  * test/crypto: update PDCP HFN scenarios
  * test/crypto-perf: add option to enable session HFN
  * crypto/dpaax_sec: fix inline query for descriptors
  * crypto/dpaa2_sec: fix HFN override
  * common/dpaax: fix 12-bit null auth case
  * common/dpaax: remove unnecessary jump for PDCP

  [ Arek Kusztal ]
  * common/qat: improve multi-process handling
  * crypto/qat: add multi-process handling of driver ID
  * common/qat: add multi-process handling of capabilities
  * crypto/qat: support ChaCha20-Poly1305
  * test/crypto: add ChaCha20-Poly1305 cases

  [ Phil Yang ]
  * eventdev: fix race condition on timer list counter
  * eventdev: use C11 atomics for lcore timer armed flag
  * eventdev: remove redundant reset on timer cancel
  * eventdev: relax SMP barriers with C11 atomics

  [ Lukasz Wojciechowski ]
  * service: fix core mapping reset

  [ Qi Zhang ]
  * net/ice: support original VF action for DCF

  [ Wei Zhao ]
  * net/ixgbe: report 10Mbps link speed for x553

  [ Shougang Wang ]
  * net/ice: fix EEPROM data

  [ Ferruh Yigit ]
  * net/iavf: fix uninitialized variable
  * net/ixgbe/base: remove dead code

  [ Junyu Jiang ]
  * net/iavf: fix RSS RETA after restart

  [ Harman Kalra ]
  * common/octeontx2: fix crash on running procinfo

  [ Dekel Peled ]
  * net/mlx5: rename Verbs flow to generic name
  * net/mlx5: rename Verbs action to generic name
  * net/mlx5: add OS specific flow related utilities
  * net/mlx5: add OS specific flow type selection
  * net/mlx5: add OS specific flow create and destroy
  * net/mlx5: add OS specific flow actions operations

  [ Wei Zhao ]
  * net/ice: redirect switch rule with to VSI list action

  [ Qi Zhang ]
  * net/ice/base: fix GTP-U inner RSS IPv4 IPv6 co-exist
  * net/ice/base: cleanup some code style
  * net/ice/base: move LLDP function to common module
  * net/ice/base: clean code in flow director module
  * net/ice/base: add capability list AQ function
  * net/ice/base: split capability parse into separate functions
  * net/ice/base: clear and free XLT entries on reset
  * net/ice/base: update version

  [ Lijun Ou ]
  * net/hns3: support symmetric RSS

  [ Wei Hu (Xavier) ]
  * net/hns3: support LRO

  [ Chengchang Tang ]
  * net/hns3: decrease non-nearby memory access in Rx
  * net/hns3: support setting VF PVID by PF driver

  [ Wei Hu (Xavier) ]
  * net/hns3: get device capability in primary process

  [ Hongbo Zheng ]
  * net/hns3: clear residual hardware configurations on init

  [ Lijun Ou ]
  * net/hns3: report Tx descriptor segment limitations

  [ Wei Hu (Xavier) ]
  * net/hns3: fix Rx buffer size
  * net/hns3: fix reassembling multiple segment packets in Tx
  * net/hns3: add missing features to feature list

  [ Pavan Nikhilesh ]
  * net/octeontx2: add devargs to lock Rx/Tx contexts

  [ Xiaoyun Wang ]
  * net/hinic/base: check output of management sync channel
  * net/hinic/base: remove unused function parameters
  * net/hinic: fix setting promiscuous mode
  * net/hinic: add TCAM filter switch for flow director
  * net/hinic/base: modify returned error values

  [ Ferruh Yigit ]
  * devtools: add acronyms in dictionary for commit checks

  [ Ting Xu ]
  * net/ice: fix build with 16-byte Rx descriptor in DCF

  [ Wei Zhao ]
  * net/ice: support more PPPoE packet type for switch
  * net/ice: fix tunnel type for switch rule
  * net/ice: support switch flow for specific L4 type
  * net/ice: add input set byte number check
  * net/ice: fix typo on variable name

  [ Shy Shyman ]
  * net/mlx5: fix flow META item validation

  [ Jakub Neruda ]
  * maintainers: update for Netcope sze/nfb

  [ Long Li ]
  * maintainers: update for netvsc
  * maintainers: update for vmbus

  [ Somnath Kotur ]
  * net/bnxt: add port representor infrastructure
  * net/bnxt: support port representor data path
  * net/bnxt: get IDs for port representor endpoint

  [ Lance Richardson ]
  * net/bnxt: initialize parent PF information

  [ Venkat Duvvuru ]
  * net/bnxt: modify port DB dev interface
  * net/bnxt: get port and function info
  * net/bnxt: support HWRM port PHY qcaps
  * net/bnxt: modify port DB to handle more info

  [ Peter Spreadborough ]
  * net/bnxt: support exact match
  * net/bnxt: use HWRM direct for exact match insert and delete

  [ Michael Wildt ]
  * net/bnxt: support multi device

  [ Shahaji Bhosle ]
  * net/bnxt: support bulk table get and mirror

  [ Michael Wildt ]
  * net/bnxt: update multi device design

  [ Shahaji Bhosle ]
  * net/bnxt: support two-level priority for TCAMs

  [ Peter Spreadborough ]
  * net/bnxt: support HCAPI interface

  [ Randy Schacher ]
  * net/bnxt: add core changes for EM and EEM lookups

  [ Jay Ding ]
  * net/bnxt: support TCAM access

  [ Michael Wildt ]
  * net/bnxt: support multiple device
  * net/bnxt: update identifier with remap support
  * net/bnxt: update RM with residual checker

  [ Jay Ding ]
  * net/bnxt: support two-level priority for TCAMs

  [ Peter Spreadborough ]
  * net/bnxt: support EM and TCAM lookup with table scope

  [ Michael Wildt ]
  * net/bnxt: update table get to use new design

  [ Peter Spreadborough ]
  * net/bnxt: update RM to support HCAPI only
  * net/bnxt: remove table scope from session

  [ Jay Ding ]
  * net/bnxt: add external action allocate and free

  [ Randy Schacher ]
  * net/bnxt: align CFA resources with RM

  [ Jay Ding ]
  * net/bnxt: implement IF tables set and get

  [ Michael Wildt ]
  * net/bnxt: add TF register and unregister

  [ Jay Ding ]
  * net/bnxt: add global config set and get functions

  [ Peter Spreadborough ]
  * net/bnxt: support EEM system memory

  [ Kishore Padmanabha ]
  * net/bnxt: integrate with the latest TF core changes

  [ Mike Baucom ]
  * net/bnxt: support internal encap records

  [ Kishore Padmanabha ]
  * net/bnxt: support IF table processing
  * net/bnxt: disable Tx vector mode on TruFlow
  * net/bnxt: add index opcode and operand to mapper table
  * net/bnxt: support global resource templates
  * net/bnxt: support internal exact match entries
  * net/bnxt: support conditional execution of mapper tables

  [ Venkat Duvvuru ]
  * net/bnxt: enable port MAC qcfg command for trusted VF
  * net/bnxt: enhance port DB
  * net/bnxt: manage VF to VFR conduit

  [ Somnath Kotur ]
  * net/bnxt: parse representors along with other devargs

  [ Venkat Duvvuru ]
  * net/bnxt: fill mapper parameters with default rules

  [ Kishore Padmanabha ]
  * net/bnxt: add port representor and stat templates

  [ Somnath Kotur ]
  * net/bnxt: create default flow rules for port reprentor

  [ Venkat Duvvuru ]
  * net/bnxt: add port default rules for ingress and egress
  * net/bnxt: fill cfa action in Tx descriptor

  [ Somnath Kotur ]
  * net/bnxt: add ULP flow counter manager
  * net/bnxt: support count action in flow query

  [ Ajit Khaparde ]
  * doc: update release notes for bnxt

  [ Simei Su ]
  * ethdev: add PPPoE RSS offload types
  * app/testpmd: support extended RSS offload types
  * net/ice: support PPPoE RSS

  [ Shougang Wang ]
  * net/ice: fix error log in generic flow

  [ Pavel Ivashchenko ]
  * net/i40e: fix getting EEPROM information

  [ Simei Su ]
  * net/ice: fix GTPU/PPPoE packets with no hash value

  [ Guinan Sun ]
  * net/e1000/base: update for i210 slow system clock
  * net/e1000/base: add ICL device ID
  * net/e1000/base: introduce flags for outstanding requests
  * net/e1000/base: support i211
  * net/e1000/base: expose xMDIO methods
  * net/e1000/base: fall through explicitly
  * net/e1000/base: add function parameter descriptions
  * net/e1000/base: fix minor issues and improve code style
  * net/e1000/base: modify HW level time sync mechanisms
  * net/e1000/base: remove duplicated codes
  * net/e1000/base: expose MAC functions
  * net/e1000/base: add PCIm function state
  * net/e1000/base: add missing register defines
  * net/e1000/base: increase timeout for ME ULP exit
  * net/e1000/base: add missing device ID
  * net/e1000/base: expose more future extended NVM
  * net/e1000/base: remove useless statement
  * net/e1000/base: add missed define for VFTA
  * net/e1000/base: modify flow control setup
  * net/e1000/base: fix led blinking for i210
  * net/e1000/base: expose FEXTNVM registers and masks
  * net/e1000/base: support MAC type for Nahum10
  * net/e1000/base: add ADL device ID
  * net/e1000/base: introduce DPGFR register
  * net/e1000/base: cleanup pre-processor tags
  * net/e1000/base: modify copyright
  * net/e1000/base: update version

  [ Simei Su ]
  * net/ice: support ether type filter on flow director

  [ Jeff Guo ]
  * net/iavf: refactor hash flow
  * net/iavf: enable 5 tuple RSS hash
  * net/iavf: enable additional hash flow
  * net/ice: refactor PF hash flow
  * net/ice: support hash for GTPU protocols
  * net/ice: enable additional input set for RSS hash
  * app/testpmd: add GTPU to RSS hash commands

  [ Patrick Fu ]
  * vhost: introduce async enqueue registration API
  * vhost: introduce async enqueue for split ring

  [ Honnappa Nagarahalli ]
  * app/testpmd: use clock time in throughput calculation
  * app/testpmd: fix burst percentage calculation
  * app/testpmd: enable empty polls in burst stats

  [ Wei Hu (Xavier) ]
  * net/hns3: check multi-process action register result

  [ Chengchang Tang ]
  * net/hns3: cleanup duplicated code on processing TSO in Tx

  [ Wei Hu (Xavier) ]
  * net/hns3: fix inserted VLAN tag position in Tx

  [ Lijun Ou ]
  * doc: update feature list in hns3 guide

  [ Ferruh Yigit ]
  * ethdev: fix log type for some error messages

  [ Levend Sayar ]
  * service: fix C++ linkage

  [ Feifei Wang ]
  * ring: remove experimental flag from reset API
  * ring: remove experimental flag from custom element API
  * ring: use custom element for fixed size API

  [ Phil Yang ]
  * eal/linux: use C11 atomics for interrupt status

  [ Ruifeng Wang ]
  * lpm: implement RCU rule reclamation
  * test/lpm: add RCU functional tests

  [ Honnappa Nagarahalli ]
  * test/lpm: add RCU performance tests

  [ Joyce Kong ]
  * introduce restricted pointer aliasing marker
  * net/virtio: restrict pointer aliasing for NEON
  * vhost: restrict pointer aliasing for packed ring

  [ Hongzhi Guo ]
  * net: fix unneeded replacement of TCP checksum 0
  * net: fix checksum on big endian CPUs

  [ Dmitry Kozlyuk ]
  * eal/windows: detect insufficient privileges for hugepages

  [ Vladimir Medvedkin ]
  * doc: add RIB and FIB into the API index

  [ Harman Kalra ]
  * eal: fix parentheses in alignment macros

  [ Thomas Monjalon ]
  * pci: keep API compatibility with mmap values

  [ Anatoly Burakov ]
  * examples/l3fwd-power: disable interrupts by default
  * examples/l3fwd-power: allow only supported environments
  * examples/l3fwd-power: fix style and control flow
  * examples/l3fwd-power: add legacy mode option
  * examples/l3fwd-power: add interrupt-only mode
  * power: add environment capability probing
  * examples/l3fwd-power: select default mode automatically

  [ Ruifeng Wang ]
  * lpm: hide defer queue handle

  [ David Marchand ]
  * eal/linux: truncate thread name

  [ Maxime Coquelin ]
  * net/virtio: support vhost-user protocol features
  * net/virtio-user: support reply-ack
  * vhost: fix virtio ready flag check
  * vhost: refactor virtio ready check
  * vhost: make some vDPA callbacks mandatory
  * vhost: check vDPA configuration succeed
  * vhost: support virtio status

  [ Adrian Moreno ]
  * vhost: support virtio status message

  [ Maxime Coquelin ]
  * vdpa/ifc: enable status protocol feature
  * vdpa/mlx5: enable status protocol feature

  [ Nithin Dabilpuram ]
  * common/octeontx2: retry interrupt callback unregister

  [ Wei Zhao ]
  * net/ice/base: fix tunnel type check for PPPoE
  * net/ice/base: fix tunnel filtering rule

  [ Zhirun Yan ]
  * net/ice: support src MAC filter for flow director

  [ Junfeng Guo ]
  * net/ice: support flow director GTPU outer IPv4/IPv6
  * net/iavf: support flow director GTPU outer IPv4/IPv6

  [ Guinan Sun ]
  * net/i40e: support cloud filter with L4 port

  [ Chenxu Di ]
  * net/i40e: add private APIs for flow filtering
  * net/ixgbe: add private APIs for flow filtering
  * app/testpmd: replace legacy filter usage
  * net/i40e: enable flow query RSS
  * app/testpmd: support RSS config in flow query

  [ Ferruh Yigit ]
  * ethdev: verify reserved HW ring

  [ Nipun Gupta ]
  * bus/fslmc: fix getting FD error
  * net/dpaa: fix FD offset data type

  [ Gagandeep Singh ]
  * net/dpaa2: enable timestamp for Rx offload case
  * bus/fslmc: combine thread-specific variables

  [ Nipun Gupta ]
  * bus/fslmc: rework portal allocation to per-thread basis

  [ Hemant Agrawal ]
  * bus/fslmc: handle portal allocation failure

  [ Nipun Gupta ]
  * bus/fslmc: support portal migration
  * bus/fslmc: rename cinh read functions used for ls1088

  [ Gagandeep Singh ]
  * net/dpaa: enable Tx queue taildrop

  [ Sachin Saxena ]
  * net/dpaa: support 2.5G

  [ Nipun Gupta ]
  * net/dpaa: update process specific device info

  [ Rohit Raj ]
  * drivers/dpaa: optimize thread local storage
  * bus/dpaa: enable link state interrupt
  * bus/dpaa: enable set link status

  [ Jun Yang ]
  * net/dpaa2: support dynamic flow control
  * net/dpaa2: support key extracts of flow API
  * net/dpaa2: add sanity check for flow extracts
  * net/dpaa2: free flow rule memory
  * net/dpaa2: support QoS or FS table entry indexing
  * net/dpaa2: define size of table entry
  * net/dpaa2: add logging of flow extracts and rules
  * net/dpaa2: differentiate IPv4/IPv6 in IP flow setup
  * net/dpaa2: support distribution size set on multiple TCs
  * net/dpaa2: support index of queue action for flow
  * net/dpaa2: add flow data sanity check
  * net/dpaa2: modify flow API QoS setup to follow FS setup
  * net/dpaa2: support flow API FS miss action configuration
  * net/dpaa2: configure per-class distribution size

  [ Nipun Gupta ]
  * net/dpaa2: support raw flow classification

  [ Lance Richardson ]
  * net/bnxt: disable vector Rx for mark action
  * net/bnxt: support Rx/Tx burst mode info
  * net/bnxt: support NEON

  [ Kishore Padmanabha ]
  * net/bnxt: use source property for VXLAN encap/decap
  * net/bnxt: support VLAN header bitmap
  * net/bnxt: support negative conditional opcodes
  * net/bnxt: validate port ID and PHY port parsing
  * net/bnxt: support index opcode constant

  [ Jay Ding ]
  * net/bnxt: update HWRM structures
  * net/bnxt: add HWRM for global config

  [ Kishore Padmanabha ]
  * net/bnxt: cleanup and refactor session management
  * net/bnxt: support VLAN push and pop actions
  * net/bnxt: remove VNIC and vport bits from template match
  * net/bnxt: move VXLAN outer IP protocol ID in encap
  * net/bnxt: add VLAN tag count in computed field list
  * net/bnxt: enable PF and VF port action items
  * net/bnxt: change port config for full offload
  * net/bnxt: add conditional opcodes for mapper result table
  * net/bnxt: support NAT action items
  * net/bnxt: support src and dst port actions
  * net/bnxt: use VF VNIC if port action is for VF rep

  [ Somnath Kotur ]
  * net/bnxt: enable filter ctrl ops for port representor
  * net/bnxt: avoid hard coded values when reading counters

  [ David Marchand ]
  * net/bonding: fix socket ID check

  [ Long Li ]
  * net/netvsc: fix underflow when Rx external mbuf
  * net/netvsc: detach external buffer on failure

  [ Rasesh Mody ]
  * net/qede/base: re-arrange few structures for DDC
  * net/qede/base: add changes for debug data collection
  * net/qede: add infrastructure for debug data collection
  * net/qede: support registers dump

  [ Guinan Sun ]
  * net/ixgbe/base: fix host interface shadow RAM read
  * net/ixgbe/base: fix response to apply-update command
  * net/ixgbe/base: fix x550em 10G NIC link status
  * net/ixgbe/base: fix infinite recursion on PCIe link down
  * net/ixgbe/base: add register definitions for NVM update
  * net/ixgbe/base: cleanup spelling mistakes in comments
  * net/ixgbe/base: remove whitespace in function comments
  * net/ixgbe/base: move increments after evaluations
  * net/ixgbe/base: create function to restart autoneg
  * net/ixgbe/base: add typecast for type mismatch
  * net/ixgbe/base: remove unnecessary return value check
  * net/ixgbe/base: remove log message FC autoneg
  * net/ixgbe/base: initialize data field in struct buffer
  * net/ixgbe/base: improve log about autoneg being disabled
  * net/ixgbe/base: add IPv6 mask for flow director
  * net/ixgbe/base: remove default advertising for x550 2.5G/5G
  * net/ixgbe/base: cleanup pre-processor tags
  * net/ixgbe/base: check host interface return status
  * net/ixgbe/base: update version

  [ Simei Su ]
  * net/ice: fix protocol header for PPPoE

  [ Junfeng Guo ]
  * net/ice: support RSS for IPv4 IPv6 mix of GTP
  * net/iavf: support RSS for IPv4 IPv6 mix of GTP

  [ Ali Alnubani ]
  * doc: fix a typo in mlx5 guide
  * net/mlx5: add ConnectX-6 Lx device ID

  [ Viacheslav Ovsiienko ]
  * common/mlx5: fix physical port name pattern recognition

  [ Hyong Youb Kim ]
  * net/enic: support VLAN push and pop flow actions
  * net/enic: add more flow manager actions to dump

  [ Roman Kapl ]
  * net/dpaa2: avoid multiple IOVA conversions

  [ Wei Hu (Xavier) ]
  * ethdev: fix data room size verification in Rx queue setup
  * ethdev: fix VLAN offloads set if no relative capabilities

  [ Xiaoyun Wang ]
  * net/hinic/base: convert error value to ETIMEDOUT

  [ Junfeng Guo ]
  * ethdev: add RSS types for IPv6 prefix
  * app/testpmd: support extended RSS offload types
  * net/ice: support RSS for IPv6 prefix

  [ Hyong Youb Kim ]
  * net/enic: support burst mode info

  [ Ferruh Yigit ]
  * doc: announce marking ethdev internal symbol

  [ Jasvinder Singh ]
  * app/testpmd: remove softnic forward mode

  [ Phil Yang ]
  * app/testpmd: fix CPU cycles per packet stats on Tx modes

  [ Ivan Malov ]
  * net: use named constants for deprecated QinQ TPIDs

  [ Viacheslav Ovsiienko ]
  * mbuf: introduce accurate packet Tx scheduling
  * app/testpmd: add Tx scheduling command

  [ Heinrich Kuhn ]
  * net/nfp: fix RSS hash configuration reporting

  [ Ferruh Yigit ]
  * drivers/net: fix exposing internal headers

  [ Renata Saiakhova ]
  * ethdev: add function to release HW rings
  * drivers/net: delete HW rings while freeing queues

  [ Shiri Kuzin ]
  * app/testpmd: add 5-tuple swap forwarding engine

  [ Yicai Lu ]
  * net/bonding: fix LACP negotiation

  [ Kalesh AP ]
  * net/bnxt: fix unnecessary memory allocation
  * net/bnxt: remove unused enum declaration
  * net/bnxt: fix unnecessary HWRM command
  * net/bnxt: fix flow error on filter creation
  * net/bnxt: fix freeing filters on flow creation failure

  [ Bing Zhao ]
  * ethdev: add eCPRI key fields to flow API
  * app/testpmd: add eCPRI in flow creation patterns

  [ Thomas Monjalon ]
  * version: 20.08-rc1

  [ Ferruh Yigit ]
  * lpm: fix build dependency on RCU library

  [ David Marchand ]
  * devtools: give some hints for ABI errors

  [ Honnappa Nagarahalli ]
  * eal: change the log level for test asserts

  [ Rory Sexton ]
  * examples/vm_power: make branch ratio threshold per core
  * examples/vm_power: allow managing idle cores

  [ Ciara Power ]
  * metrics: fix header installation with meson

  [ Phil Yang ]
  * doc: describe optimizations using C11 atomic builtins
  * eal: add wrapper for C11 atomic thread fence
  * devtools: prevent use of legacy atomic API

  [ Wisam Jaddo ]
  * app/flow-perf: fix hairpin queues setup
  * app/flow-perf: fix typo in usage help

  [ Ciara Power ]
  * telemetry: add upper limit on connections

  [ Konstantin Ananyev ]
  * crypto/scheduler: use ring peek API

  [ Ankur Dwivedi ]
  * test/crypto: change cipher offset for ESN vector

  [ Archana Muniganti ]
  * examples/fips_validation: fix TDES interim callback

  [ Ayuj Verma ]
  * examples/fips_validation: fix parsing of TDES vectors

  [ Archana Muniganti ]
  * examples/fips_validation: fix count overwrite for TDES

  [ Arek Kusztal ]
  * compress/qat: fix lacking memzone lookup

  [ Adam Dybkowski ]
  * compress/qat: revert change in GEN3 marketing name

  [ Tejasree Kondoj ]
  * crypto/octeontx2: move capabilities init into probe
  * net/octeontx2: move security session struct to crypto PMD
  * crypto/octeontx2: add lookaside SA context definitions
  * crypto/octeontx2: register security operations
  * crypto/octeontx2: add security capabilities

  [ Vamsi Attunuru ]
  * crypto/octeontx2: add security misc callbacks
  * crypto/octeontx2: support security session create
  * crypto/octeontx2: support security session data path

  [ David Coyle ]
  * test/crypto: fix AESNI-MB CPU tests
  * test/crypto: enable feature flag for security
  * app/crypto-perf: enable feature flag for security
  * crypto/qat: improve DOCSIS session creation
  * crypto/aesni_mb: fix memory leak in DOCSIS session
  * crypto/qat: check multi-segment buffers for DOCSIS
  * crypto/qat: fix ambiguous variable names for CRC

  [ Adam Dybkowski ]
  * doc: update QAT driver version for D15xx

  [ Junfeng Guo ]
  * net/ice/base: fix RSS removal for GTP-U

  [ Wei Hu (Xavier) ]
  * net/hns3: support copper media type
  * net/hns3: support 200G speed rate

  [ Min Hu (Connor) ]
  * net/hns3: support keeping CRC

  [ Lijun Ou ]
  * net/hns3: fix RSS configuration on empty RSS type

  [ Chenxu Di ]
  * app/testpmd: fix output format in flow query

  [ Wei Hu (Xavier) ]
  * net/bonding: fix error code on device creation

  [ Yunjian Wang ]
  * net/af_packet: fix check of file descriptors
  * net/af_packet: fix memory leak on init failure
  * net/af_packet: fix munmap on init failure

  [ Ajit Khaparde ]
  * net/bnxt: fix crash during Tx

  [ Wei Hu (Xavier) ]
  * net/bonding: fix MAC address when switching active port
  * net/bonding: fix MAC address when one port resets

  [ Wei Zhao ]
  * net/ice: fix tunnel type get

  [ Simei Su ]
  * net/ice: fix RSS type

  [ Jeff Guo ]
  * net/ice/base: fix GTPU IP hash

  [ Alvin Zhang ]
  * net/i40e: fix queue pairs configuration in VF

  [ Jeff Guo ]
  * net/ice: fix IPv6 NAT-T ESP

  [ Chenbo Xia ]
  * net/virtio-user: fix uninitialized reply-ack variable

  [ Viacheslav Ovsiienko ]
  * app/testpmd: fix typos

  [ Anoob Joseph ]
  * examples/ipsec-secgw: enable flow based distribution

  [ Akhil Goyal ]
  * test/crypto: skip unsupported cases

  [ Phil Yang ]
  * mbuf: use C11 atomic builtins for refcnt
  * doc: announce removal of mbuf legacy refcnt field

  [ Yuval Avnery ]
  * regex/mlx5: introduce driver for BlueField 2
  * regex/mlx5: add log macros

  [ Ori Kam ]
  * regex/mlx5: support probing
  * regex/mlx5: support info query
  * regex/mlx5: add engine status check
  * regex/mlx5: support configuration

  [ Francis Kelly ]
  * regex/mlx5: support rules import

  [ Ori Kam ]
  * regex/mlx5: add completion queue creation
  * regex/mlx5: add send queue

  [ Yuval Avnery ]
  * regex/mlx5: setup fast path
  * regex/mlx5: support enqueue
  * regex/mlx5: support dequeue

  [ Ori Kam ]
  * regex/mlx5: add empty start/stop/close

  [ Konstantin Ananyev ]
  * doc: add ring based mempool guide
  * mempool/ring: support RTS and HTS ring modes

  [ Ruifeng Wang ]
  * lpm: report error when defer queue overflows

  [ Yunjian Wang ]
  * bus/fslmc: fix memory leak in secondary process

  [ Kevin Traynor ]
  * test/eal: check invalid CPU value

  [ Louise Kilheeney ]
  * app/bbdev: support python3
  * add python2 deprecation notice

  [ Peter Spreadborough ]
  * net/bnxt: delay EEM sysmem mapping

  [ Jay Ding ]
  * net/bnxt: implement TF Identifier search
  * net/bnxt: check index range in bulk get

  [ Farah Smith ]
  * net/bnxt: support two table scopes

  [ Kishore Padmanabha ]
  * net/bnxt: support extracting data from ULP blob
  * net/bnxt: ignore IPv4 TOS mask
  * net/bnxt: support identifier search and ref count
  * net/bnxt: consider VLAN fields for template match criteria
  * net/bnxt: increase number of egress flow entries
  * net/bnxt: support decrement TTL action

  [ David Marchand ]
  * net/bnxt: remove experimental build flag

  [ Chenmin Sun ]
  * net/i40e: support flow director space tracking
  * net/i40e: optimize flow director memory management
  * net/i40e: optimize TPID fetching
  * net/i40e: optimize flow director update rate

  [ Simei Su ]
  * net/ice: fix GTPU RSS

  [ Chenmin Sun ]
  * net/i40e: fix flow director Rx writeback packet

  [ Junfeng Guo ]
  * net/ice/base: fix memory leak on GTPU RSS

  [ Shougang Wang ]
  * net/i40e: fix filter pctype

  [ Guinan Sun ]
  * net/ixgbe: fix MAC control frame forward
  * net/ixgbe: fix flow control status

  [ Peter Spreadborough ]
  * net/bnxt: modify resource management scheme

  [ Farah Smith ]
  * net/bnxt: initialize table scope parameter

  [ Kishore Padmanabha ]
  * net/bnxt: enable default flows in TruFlow mode

  [ Somnath Kotur ]
  * net/bnxt: fix accumulation of flow counters

  [ Kishore Padmanabha ]
  * net/bnxt: add matching protocol header info

  [ Farah Smith ]
  * net/bnxt: fix exact match message size

  [ Jay Ding ]
  * net/bnxt: use NAT IPv4 action

  [ Randy Schacher ]
  * net/bnxt: remove unused macro
  * net/bnxt: use SPDX license tag

  [ Kishore Padmanabha ]
  * net/bnxt: fix null pointer dereference
  * net/bnxt: modify default egress rule for VF representor
  * net/bnxt: update TruFlow resource allocation numbers
  * net/bnxt: support exact match templates

  [ Dongyang Pan ]
  * net/bonding: delete redundant code

  [ Weifeng Li ]
  * net/bonding: change state machine to defaulted

  [ Andrew Rybchenko ]
  * net: check fragmented headers in non-debug as well

  [ Hemant Agrawal ]
  * net/dpaa2: remove Rx timestamp enable PMD API
  * net/dpaa2: support per-port Rx mbuf timestamp

  [ Apeksha Gupta ]
  * net/dpaa: add Tx/Rx burst mode info
  * net/dpaa2: add Tx/Rx burst mode info

  [ Hemant Agrawal ]
  * net/dpaa: report error on using deferred start
  * net/dpaa2: report error on queue deferred start
  * net/dpaa2: support using Tx queue descriptor size
  * net/dpaa2: support queue info routines
  * net/dpaa: support queue info routines

  [ Zhihong Peng ]
  * net/i40e: report VLAN filter capability
  * net/e1000: report VLAN extend capability

  [ Jeff Guo ]
  * net/ice: fix symmetric hash configuration
  * net/ice: fix GTPU L4 hash
  * net/iavf: fix GTPU L4 hash
  * net/e1000: fix crash on Tx done clean up

  [ Thomas Monjalon ]
  * common/mlx5: fix link with ibverbs glue dlopen option

  [ Viacheslav Ovsiienko ]
  * common/mlx5: prepare support of packet pacing
  * net/mlx5: introduce send scheduling devargs
  * net/mlx5: fix UAR lock sharing for multiport devices
  * net/mlx5: introduce shared UAR resource
  * net/mlx5: create clock queue for packet pacing
  * net/mlx5: create rearm queue for packet pacing
  * net/mlx5: create Tx queues with DevX
  * net/mlx5: allocate packet pacing context
  * net/mlx5: introduce clock queue service routine
  * net/mlx5: prepare Tx queue structures to support timestamp
  * net/mlx5: convert timestamp to completion index
  * net/mlx5: prepare Tx to support scheduling
  * net/mlx5: support scheduling on send routine template
  * net/mlx5: support reading device clock
  * net/mlx5: provide send scheduling error statistics
  * common/mlx5: add register access DevX routine
  * net/mlx5: convert Rx timestamps in real-time format

  [ Bing Zhao ]
  * net/mlx5: add flow validation of eCPRI header
  * net/mlx5: add flow translation of eCPRI header
  * common/mlx5: add flex parser DevX structures
  * common/mlx5: add DevX command for flex parsers
  * net/mlx5: create and destroy eCPRI flex parser
  * net/mlx5: add eCPRI flex parser capacity check
  * doc: update release notes and mlx5 guide for eCPRI

  [ Suanming Mou ]
  * common/mlx5: add memory management functions
  * net/mlx5: add option to allocate memory from system
  * net/mlx5: convert control path memory to unified malloc
  * common/mlx5: convert control path memory to unified malloc
  * common/mlx5: convert data path objects to unified malloc
  * net/mlx5: convert configuration objects to unified malloc
  * net/mlx5: convert queue objects to unified malloc
  * common/mlx5: query scatter FCS with decap capability
  * net/mlx5: add option to configure FCS or decapsulation

  [ Ophir Munk ]
  * net/mlx5: move flow priority discovery to Verbs file
  * net/mlx5: replace Linux specific calls
  * net/mlx5: refactor Linux MAC operations
  * net/mlx5: wrap Linux promiscuous and multicast functions
  * net/mlx5: eliminate dependency on Linux in shared header
  * net/mlx5: cleanup header file
  * net/mlx5: refactor multi-process communication
  * common/mlx5: remove inclusion of Verbs header files

  [ Dekel Peled ]
  * common/mlx5: support more fields in DevX CQ create
  * net/mlx5: implement CQ for Rx using DevX API

  [ Viacheslav Ovsiienko ]
  * net/mlx5: add queue start and stop

  [ Shy Shyman ]
  * net/mlx5: fix HW counters path in switchdev mode

  [ Dekel Peled ]
  * net/mlx5: fix VLAN pop with decap action validation
  * net/mlx5: fix VLAN push action on hairpin queue

  [ Gregory Etelson ]
  * net/mlx5: fix tunnel flow priority

  [ Pavan Nikhilesh ]
  * net/octeontx2: free CQ ring memzone on queue release

  [ Patrick Fu ]
  * vhost: fix missing device pointer validity check
  * vhost: fix missing virtqueue status check in async path
  * vhost: fix async completion of multi-seg packets
  * vhost: fix double-free with zero-copy

  [ Raslan Darawsheh ]
  * net: fix pedantic build

  [ Andrew Rybchenko ]
  * net/sfc/base: improve headers independence
  * net/sfc: remove inclusion of unused headers
  * net/sfc: avoid unnecessary actions on dummy default MAC set
  * net/sfc: do not enforce hash offload in RSS multi-queue

  [ Matan Azrad ]
  * net/vhost: support queue update

  [ Tianfei Zhang ]
  * raw/ifpga/base: fix SPI transaction
  * raw/ifpga/base: fix NIOS SPI init

  [ Nithin Dabilpuram ]
  * node: add packet classifier

  [ Zhike Wang ]
  * mempool: fix allocation in memzone during retry

  [ Anatoly Burakov ]
  * power: fix environment detection
  * examples/l3fwd-power: fix updating lcore parameters

  [ Honnappa Nagarahalli ]
  * doc: fix some typos in Linux guide

  [ Sarosh Arif ]
  * doc: fix typo in bbdev test guide

  [ Muhammad Bilal ]
  * bus/vdev: fix a typo in doxygen comment

  [ Thomas Monjalon ]
  * version: 20.08-rc2

  [ Yunjian Wang ]
  * hash: fix out-of-memory handling in hash creation

  [ Ruifeng Wang ]
  * test/cycles: restore default delay callback

  [ Parav Pandit ]
  * eal: introduce macro for bit definition

  [ Thomas Monjalon ]
  * drivers: fix indent of directory list
  * drivers: relax dependency order

  [ Parav Pandit ]
  * common/mlx5: fix void parameters in glue wrappers
  * regex/mlx5: fix crash on initialization failure
  * common/mlx5: avoid class constructor priority
  * common/mlx5: change class values as bits
  * common/mlx5: introduce layer for multiple class drivers
  * common/mlx5: register class drivers through common layer
  * common/mlx5: remove class check from class drivers

  [ Yunjian Wang ]
  * event/dpaa: remove dead code

  [ Apeksha Gupta ]
  * app/eventdev: fix capability check in pipeline ATQ test
  * event/dpaa2: add all-types queue capability flag

  [ David Coyle ]
  * crypto/qat: improve security instance setup
  * crypto/aesni-mb: improve security instance setup
  * crypto/qat: fix DOCSIS performance

  [ Tejasree Kondoj ]
  * crypto/octeontx2: fix structure alignment

  [ Adam Dybkowski ]
  * common/qat: remove unused fields
  * common/qat: fix uninitialized variable
  * common/qat: support GEN2 device 200xx
  * doc: update QAT PMD release notes

  [ Ruifeng Wang ]
  * crypto/armv8: remove debug option
  * crypto/armv8: use dedicated log type
  * crypto/armv8: remove redundant assert definition

  [ David Coyle ]
  * app/crypto-perf: fix mbuf lengths for DOCSIS
  * app/crypto-perf: support security protocol in PMDCC mode

  [ Long Li ]
  * bus/vmbus: use SMP memory barrier for signaling read

  [ Yuval Avnery ]
  * regex/mlx5: fix overrun on enqueueing
  * app/regex: add RegEx test application

  [ Junyu Jiang ]
  * net/ice: fix bytes statistics

  [ Ophir Munk ]
  * net/mlx5: fix premature disabling of interrupt

  [ Raslan Darawsheh ]
  * net/mlx5: fix flow items size calculation

  [ Viacheslav Ovsiienko ]
  * common/mlx5: fix queue doorbell record size

  [ Suanming Mou ]
  * net/mlx5: separate aging counter pool range
  * net/mlx5: fix counter query

  [ Michael Baum ]
  * net/mlx5: fix initialization of steering registers
  * net/mlx5: fix crash in NVGRE item translation
  * net/mlx5: remove ineffective increment in hairpin split
  * net/mlx4: optimize stack memory size in probe
  * net/mlx5: fix unlimited parsing of switch info
  * net/mlx5: optimize critical section in device free
  * net/mlx5: fix unnecessary init in mark conversion
  * net/mlx5: optimize stack memory in probe

  [ Junfeng Guo ]
  * net/iavf: disable simple XOR RSS hash function

  [ Alexander Kozyrev ]
  * net/mlx5: fix vectorized mini-CQE prefetching

  [ Raslan Darawsheh ]
  * net/mlx5: fix VF MAC address set over BlueField

  [ Sachin Saxena ]
  * doc: announce dpaa-specific API parameter change

  [ Wei Hu (Xavier) ]
  * doc: update release notes for hns3 driver

  [ Mao Jiang ]
  * net/i40e: fix binding interrupt without MSI-X vector
  * net/i40e: fix flow director MSI-X resource allocation

  [ Jeff Guo ]
  * net/iavf: add GTPU in default hash

  [ Yunjian Wang ]
  * net/qede: remove dead code

  [ Jeff Guo ]
  * net/iavf: delete unsupported RSS types

  [ Shougang Wang ]
  * net/i40e: fix hash lookup table

  [ Viacheslav Ovsiienko ]
  * net/mlx5: fix UAR memory mapping type
  * net/mlx5: fix metadata storing for NEON Rx

  [ Gregory Etelson ]
  * net/mlx5: fix dynamic inline hint handling

  [ Ciara Loftus ]
  * net/af_xdp: remove mempool freeing on umem destruction

  [ Wei Zhao ]
  * net/i40e: enable QinQ stripping

  [ Qi Zhang ]
  * net/ice/base: fix RSS interference
  * net/ice: remove RSS for SCTP in PPPoE

  [ Jeff Guo ]
  * net/ice: fix hash action validation

  [ Dekel Peled ]
  * net/mlx5: fix Rx interrupt handling and cleanup

  [ Xiaoyun Wang ]
  * net/hinic: refactor checksum functions
  * net/hinic: optimize Rx performance for x86
  * net/hinic/base: modify VHD type for SDI
  * net/hinic/base: avoid system time jump

  [ Yunjian Wang ]
  * net/hinic: check memory allocations in flow creation

  [ Ophir Munk ]
  * net/mlx4: fix premature disabling of interrupt

  [ Mike Baucom ]
  * net/bnxt: add shadow and search capability to TCAM

  [ Kishore Padmanabha ]
  * net/bnxt: add access to NAT global register
  * net/bnxt: configure PARIF for offload miss rules

  [ Mike Baucom ]
  * net/bnxt: modify ULP mapper to use TCAM search
  * net/bnxt: add TruFlow hash function

  [ Venkat Duvvuru ]
  * net/bnxt: fix mark id update to mbuf

  [ Kishore Padmanabha ]
  * net/bnxt: fix NAT template
  * net/bnxt: configure PARIF for egress rules
  * net/bnxt: ignore VLAN priority mask
  * net/bnxt: add egress template with VLAN tag match

  [ Mike Baucom ]
  * net/bnxt: update shadow TCAM to use TruFlow hash
  * net/bnxt: add shadow table capability with search
  * net/bnxt: modify ULP mapper to use table search

  [ Venkat Duvvuru ]
  * net/bnxt: fix port default rule create/destroy
  * net/bnxt: fix FW rule deletion on representor create

  [ Kishore Padmanabha ]
  * net/bnxt: add TCAM table processing for search and alloc

  [ Mike Baucom ]
  * net/bnxt: add templates for search before alloc
  * net/bnxt: enable shadow tables during session open

  [ Somnath Kotur ]
  * net/bnxt: cleanup VF representor device operations

  [ Ajit Khaparde ]
  * net/bnxt: fix logical AND in if condition
  * net/bnxt: fix build with extra cflags

  [ Bing Zhao ]
  * vdpa/mlx5: fix compatibility with MISC4

  [ Patrick Fu ]
  * doc: describe async API in vhost guide
  * vhost: fix async callback return type

  [ Matan Azrad ]
  * vdpa/mlx5: fix live migration termination

  [ Sergey Madaminov ]
  * doc: add a supported NIC in mlx5 vDPA guide

  [ Matan Azrad ]
  * vdpa/mlx5: fix steering update in virtq unset
  * vdpa/mlx5: fix notification timing

  [ Xueming Li ]
  * vdpa/mlx5: fix completion queue initialization

  [ Xiao Wang ]
  * net/virtio-user: fix status management

  [ Xueming Li ]
  * vdpa/mlx5: fix event queue number query

  [ Chenbo Xia ]
  * vdpa/ifc: support vring update after device config

  [ Xuan Ding ]
  * doc: add vhost multi-queue reconnection issue

  [ Haiyue Wang ]
  * net/ice: fix TCP checksum offload

  [ Chenmin Sun ]
  * net/i40e: fix bitmap free

  [ Jeff Guo ]
  * net/ice: fix GTPU TEID hash

  [ Yunjian Wang ]
  * net/ice: fix memory leak when releasing VSI
  * net/ice: add memory allocation check in RSS init

  [ Simei Su ]
  * net/ice: fix GTPU down/uplink and extension conflict

  [ Haiyue Wang ]
  * net/ice: calculate TCP header size for offload

  [ Yuying Zhang ]
  * net: fix IPv6 checksum with TSO

  [ Viacheslav Ovsiienko ]
  * app/testpmd: fix timestamp init in txonly mode

  [ Randy Schacher ]
  * net/bnxt: remove EEM system memory support

  [ Maxime Coquelin ]
  * vhost: fix guest notification setting
  * net/vhost: fix queue update
  * net/vhost: fix interrupt mode

  [ Chenbo Xia ]
  * net/virtio-user: check tap system call setting

  [ Patrick Fu ]
  * vhost: fix async copy on multi-page buffers

  [ Viacheslav Ovsiienko ]
  * common/mlx5: fix user mode register access command

  [ Shiri Kuzin ]
  * common/mlx5: fix MAC addresses flush

  [ Yuval Avnery ]
  * common/mlx5: fix regex register layout

  [ Jecky Pei ]
  * net/kni: set packet input port in Rx

  [ Raslan Darawsheh ]
  * doc: add tested platforms with Mellanox NICs

  [ Ciara Power ]
  * doc: add more detail to telemetry guides

  [ Sarosh Arif ]
  * examples: fix port mask parsing failure handling
  * examples/packet_ordering: use proper exit method

  [ Chas Williams ]
  * net/netvsc: fix crash during Tx

  [ David Marchand ]
  * devtools: avoid explicit experimental build flag

  [ Thomas Monjalon ]
  * devtools: add checkpatch spelling dictionary builder

  [ Stephen Hemminger ]
  * devtools: add new SPDX license compliance checker

  [ Ciara Power ]
  * devtools: standardize script arguments
  * devtools: summarize git log check

  [ Bruce Richardson ]
  * doc: fix build when sphinx reports version to stderr

  [ Ferruh Yigit ]
  * doc: add patch dependency syntax to contributing guide

  [ Sarosh Arif ]
  * doc: fix ethtool app path
  * doc: refer to default directory for hugepages

  [ Thomas Monjalon ]
  * version: 20.08-rc3

  [ Dekel Peled ]
  * net/mlx5: fix number of retries for UAR allocation

  [ Viacheslav Ovsiienko ]
  * doc: add timestamp upper limitation in mlx5 guide

  [ Zhiguang He ]
  * net/bonding: fix dead loop on RSS RETA update

  [ Long Li ]
  * net/netvsc: fix chimney index

  [ Xueming Li ]
  * vdpa/mlx5: fix queue update synchronization

  [ Matan Azrad ]
  * vdpa/mlx5: fix virtio queue unset

  [ Thomas Monjalon ]
  * regex/mlx5: fix registered driver name

  [ Gaurav Singh ]
  * net/i40e: remove duplicate tunnel type check

  [ Haiyue Wang ]
  * net/ice: fix Tx hang with TSO
  * net/ice: revert fake TSO fixes

  [ Jeff Guo ]
  * net/iavf: fix default RSS hash configuration

  [ Bo Chen ]
  * doc: update firmware/driver mapping table for i40e

  [ Thomas Monjalon ]
  * ethdev: remove device-specific comments from VLAN API

  [ Shahaji Bhosle ]
  * net/bnxt: update resource allocation settings

  [ Somnath Kotur ]
  * net/bnxt: fix flow counter query

  [ Bruce Richardson ]
  * doc: announce removal of make build system
  * doc: announce rawdev API change

  [ David Marchand ]
  * doc: announce kernel driver enum removal
  * doc: announce PCI resources map API removal

  [ Timothy McDaniel ]
  * doc: announce eventdev ABI change to support DLB PMD

  [ Thomas Monjalon ]
  * doc: announce mbuf layout change
  * doc: announce ethdev port freeing on close operation
  * doc: announce removal of legacy ethdev filtering API
  * doc: announce removal of ethdev flow director API
  * doc: announce removal of L2 tunnel filtering API
  * doc: announce deprecation of port mirroring API
  * version: 20.08-rc4
  * doc: announce removal of interactive setup script

  [ Arek Kusztal ]
  * doc: announce removal of crypto list end enumerators

  [ Akhil Goyal ]
  * doc: announce change of security session API

  [ David Marchand ]
  * doc: announce internal hotplug structure removal

  [ Konstantin Ananyev ]
  * doc: announce removal of unused enum in ACL library

  [ Viacheslav Ovsiienko ]
  * doc: announce ethdev API change for Rx split

  [ Dekel Peled ]
  * doc: announce more fields in flow API for VLAN
  * doc: announce more fields in flow API for IPv6

  [ Viacheslav Ovsiienko ]
  * doc: fix release notes for mlx5 dependency

  [ Suanming Mou ]
  * doc: update release notes for mlx5 PMD

  [ Qi Zhang ]
  * doc: update release notes for ice and iavf

  [ Bo Chen ]
  * doc: add tested Intel platforms with Intel NICs

  [ Ajit Khaparde ]
  * doc: add tested platforms with Broadcom NICs

  [ Thomas Monjalon ]
  * doc: sort features in release notes

  [ Maxime Coquelin ]
  * maintainers: update for Vhost/Virtio/vDPA

  [ Harini Ramakrishnan ]
  * maintainers: update for Windows

  [ Stephen Hemminger ]
  * doc: announce deprecation of master lcore naming
  * kni: fix reference to master/slave process
  * doc: fix reference to master process
  * doc: announce deprecation of blacklist/whitelist naming
  * ethdev: improve API comment for MAC address addition
  * devtools: rename variables in maintainers file parsing

  [ Ferruh Yigit ]
  * devtools: add acronyms in dictionary for commit checks

  [ Adrian Moreno ]
  * devtools: ignore Linux-style fallthrough warning

  [ Thomas Monjalon ]
  * usertools: warn about future removal of setup script

  [ Bruce Richardson ]
  * doc: announce deprecation of CPU build flags

  [ Maxime Coquelin ]
  * doc: announce removal of vhost zero-copy dequeue

  [ Chengchang Tang ]
  * doc: announce new ethdev field in Rx queue info

  [ Savinay Dharmappa ]
  * doc: announce sched API changes for dynamic config

  [ John McNamara ]
  * doc: update release notes for 20.08

  [ Thomas Monjalon ]
  * version: 20.08.0
  * version: 20.11-rc0
  * devtools: fix ABI update in map files

  [ Adam Dybkowski ]
  * doc: announce renaming in crypto scheduler API

  [ Ray Kinsella ]
  * doc: describe process for new ABI versions

  [ Thomas Monjalon ]
